Introduction

Introduction to Labbie, the Laboratory Data Retriever

Version 6.0.1.7 – 1 September 2015

<<Glossary – What's New?> – Next>>

Below: Cube Tests ~ Soil and other Tests ~ General Information

Cube Tests

How do engineers know that their reinforced concrete building will stay up? Civil Engineering Materials Laboratories strength-test endless batches of concrete cubes for quality control purposes. In the past, Labs often lacked a coherent system to capture the data and report the results to clients, then bill them timeously for the number of tests done. Our solution is the program Labbie, first released in May 2007.

Using the Cubes Menu, Labbie will walk you through the sequence of testing cubes (more details here):
  • Receiving the cubes (entering new clients and projects as needed),
  • Listing the cubes to be crushed each day,
  • Entering the results of crushed cubes,
  • Approving the results (by a senior technician or other authorised person), or
  • Rejecting dubious results, then
  • Correcting dubious results (or marking them as unfixable), and
  • Finally, producing the results for the client by e-mail and/or fax and/or printing for posting and/or collection, plus printing a copy for file.
  • Monthly, or when desired, the program can do pro-forma invoicing, which can be exported to Pastel Accounting.
  • There are numerous reports and charts that allow you to look at results globally or individually.
  • For quality control purposes, Labbie also allows you to monitor and report on curing bath temperature, curing chamber humidity, and verification of scales and presses.

Soil and other Tests

Labbie Version 1 handles concrete test cubes (of any size). With Version 2, we have added many other Civil Engineering materials tests:

  • Sieve Analysis (Wet Preparation) – TMH1 - Method A1 (a)
  • Mechanical analysis - TMH1 - Method A5
  • Hydrometer Analysis (ASTM Standard D422)
  • Atterberg Limits TMH 1 - Methods A2, A3, A4.
  • “MOD”: Maximum Dry Density and Optimum Moisture Content - TMH1 - Method A7.
  • CBR: California Bearing Ratio - TMH1 - Method A8.
  • UCS: Unconfined Compressive Strength
  • On-Site Field report
  • Soil Classifications: AASHTO Group Index (formerly HRB), Unified Classification, TRH 14 Material Type, and COLTO Type of Material.
  • Generic Results – numeric and text results (not calculations) for any other tests can be stored and reported. Apart from Soil Samples, this also allows for tests to Aggregate, Asphalt, Bitumen, Rubber, and Cores.

Over time we will be adding many other Civil Engineering materials tests. Please e-mail us your wish list!

General Information

You can Browse through this whole Help file by clicking the “<<Previous” and “Next>>” links on each page, like those below. Click on “Next>>” now for Important Notes on Labbie Implementation.

For a list of the latest improvements in Labbie, click here.


Overview

Notes on Labbie Implementation

<<Previous – Next>>

The Process

If you use it properly, Labbie will have a profound effect on your Lab's productivity and efficiency, which will rapidly show up in your bottom line by way of speedier billing and happier customers. However, the program will not achieve this on its own. You need to help it by possibly adapting your systems a little, setting up the right equipment, and getting the enthusiastic co-operation of the staff involved.

Labbie is intended to closely follow your sequence of testing cubes:

Receiving Cubes

Ideally you need a computer running Labbie at the point where cubes are received. All data for the batch is entered immediately as the cubes are received. Labbie allocates numbers to the cubes, which should be written on them (or you can use the maker's marks). Cubes are then immediately put into a curing bath. New clients and projects are entered into Labbie as needed. Clients can be imported from a CSV file exported from Pastel Accounting or other Accounting programs.

Crushing Cubes

First thing every morning, print from Labbie a listing the cubes to be crushed that day (the Crushing Diary). If your cubes are kept in the curing bath in the order to be crushed, they will be easily located.

As the operator weighs and crushes each cube, he writes down the results on the Crushing Diary sheet. Alternatively he can enter the results directly into Labbie.

Entering Crushing Results

If the lab technician did not enter the results directly into Labbie, the Labbie operator does so from the Crushing Diary sheet. Varies alerts will appear if the data is dubious: If the mass is wrong for the cube size, and if the results are weaker than any previous results for that batch.

Approval Process

A senior technician or other authorised person must then review and approve the results, or rejecting dubious results.

Rejected batches appear for the Labbie operator to correct (or mark as unfixable).

The Labbie operator then produces the results for the client according to the method(s) they prefer to get them: By e-mail and/or fax and/or printing for posting and/or collection. In addition Labbie always prints a copy for filing.

Invoicing

Monthly, or when desired, Labbie can do pro-forma invoicing, which it can print and/or export to Pastel Accounting.

Quality Control

There are numerous reports and charts that allow you to look at results globally or individually.

For certification purposes, Labbie also allows you to monitor and report on curing bath temperature, curing chamber humidity, verification of scales, and verification of presses.

Setting up Labbie

You need decent Personal Computers running Microsoft Windows Vista or Windows XP with Service Pack 2 or 3, and Microsoft Internet Explorer 5.01 or greater. If you will be running Labbie on more than one PC (highly advisable so that the processes of receiving cubes, entering results, approval/rejection, and printing can proceed in parallel) you also need a network, preferably with a good Server. , Because databases are sensitive to power failures, the PCs, Server, all hubs and switches should each have a uninterruptible power supply (UPS).

Future Development

At present Labbie handles only concrete test cubes (of any size). Over the course of time we will be adding many other Civil Engineering materials tests. Please e-mail us your wish list!


Conventions

The following conventions are used in this Help file:

New terms or those requiring emphasis will appear in boldface. These terms are usually explained in the Glossary.

Keys that you press are shown in bold Italics, for example Enter.

Keys that you press together are shown with a + between them, for example Alt+F4, meaning, "hold down Alt and press F4".

Menu use: When you are supposed to select something from a menu, it will be indicated thus: "File > Unlock". This means that you should click on (or otherwise open) the File menu and then select the option Unlock.


Notices

Labbie is a Product of Communication in Action cc, trading as Software Africa.

This product is never sold, is only utilised under strict licensing guidelines, remains the property of Software Africa and Roadlab (Pty) Ltd, and is copyright. No copies of this software may be sold, supplied or reproduced in whole or in part. Any violations will result in criminal and civil prosecution. To claim a reward, please report any violations to us at rick@softwareafrica.co.za or contact us via our web site: www.softwareafrica.co.za.

Our full contact details are:

Communication in Action cc t/a Software Africa
 Reg. 2009/007863/23 ~ VAT No 4500104387
 Tel: 011 802-2685 / 6440/1
Cell: 082 389-3482/1
Fax-to-email (South Africa only): 086 635-7902/3
For international calls, replace the first zero with: 00 27
E-mail: info@softwareafrica.co.za
Web: www.softwareafrica.co.za
Postal and physical address: 126 Kelvin Drive, Morningside Manor, Sandton, 2191 South Africa

Operating System:

Labbie is supported on the following Operating System configurations:

  • Microsoft Windows XP with Service Pack 2 or 3 (not recommended on Home Edition)
  • Microsoft Windows Vista
  • Microsoft Windows 7

Please note that it is not supported on plain Microsoft Windows XP, nor on earlier versions of Windows or “Home” versions of Windows, i.e. XP Home, Millennium, and 98.

For installations of 20 users and more, Labbie requires Microsoft SQL Server 2005 or later, which is not included in the price of Labbie.


 What's New?

What's New in Labbie?

<<Previous – Next>>

From time to time Labbie is revised to add enhancements and fix bugs. The list of recent revisions is below, in reverse order (latest at the top). To find out how to update the program, click here.

Version 6.0.1.7 – 1 September 2015

Expiry date extended to 1 January 2016. More error-trapping added to References form.

Version 6.0.1.6 – 1 June 2015

Expiry date extended to 1 August 2015.

Version 6.0.1.5 – 1 April 2015

Expiry date extended to 1 June 2015.

Version 6.0.1.4 – 1 February 2015

Expiry date extended to 31 March 2015.

Version 6.0.1.3 – 1 December 2014

Expiry date extended to 31 January 2015.

Version 6.0.1.2 – 1 November 2014

Expiry date extended to 30 November 2014.

Version 6.0.1.1 – 1 October 2014

Expiry date extended to 31 October 2014.

Version 6.0.1.0 – 30 June 2014

Expiry date extended to 30 September 2014.

Bug-728 on DCP Report reported 14 May 2014 by Phinda, fixed by Gram on 15 May 2014:
Search on DCP Reports - Phinda (Langa GeoTech)
---------------------------
Error in Sub LoadData in frmReports
No value given for one or more required parameters.
Getting DCP Report Data - DataAdapter Fill
Programmer Check: is SQL$ up to date?
---------------------------
Fix for this bug, commented code under Sub DisplayDCP
(If one searches using client name and project name the error message shows but searching using sampleIX and/or JobID or client name, project name plus sampleIX the required report is generated.)

Bug-669 on Start-up reported 16 Sep 2013 by Gram, fixed by Rick on 19 Sep 2013:
Opposite from Bug-304, when the user clicks OK button the warning message
will show up:
–––––––––––––-
Program Error in Sub frmCbReceive_Load in frmCubeReceive
Unknown Search Type 2 =''
(Press Ctrl+Insert to copy this message to the Clipboard)
–––––––––––––-

Version 6.0.0.9 – 1 April 2014

Expiry date extended to 30 June 2014.

Bug-723 on Help reported 11 Feb 2014 by Rick, fixed by Rick on 18 Feb 2014:
Help on Import Form, and new Help on File > Import menu, do not open the correct page.

Bug-722 on Import Clients reported 11 Feb 2014 by Rick, fixed by Rick on 11 Feb 2014:
"Client ID + Pastel a/c" is not recognised as a Key Field.
Clients table field names are EditedBy and Edited, not ModifiedBy and ModifiedOn!
Client ID + Pastel a/c does not fill Client ID into Pastel a/c, puts 0 instead.
First record (heading) is imported too [cannot replicate -debugging error?]

Misunderstanding-718 on Clients Form reported 14 Jan 2014 by Marshall Stevens, fixed by Rick on 14 Jan 2014:
At the moment Martie can’t capture any new client details. Please assist as a matter of URGENCY.
(Is it possible that Martie has not noticed the Edit button?)

Wish-721 on Program reported 14 Jan 2014 by Rick, fixed by Gram on 17 Mar 2014:
To prevent occurrences like Misunderstanding-718 (Martie can’t capture any new client details because of the new Edit button), Labbie should check if it is a new upgrade (check if the Ver Date has changed in the Updates table) and, if so, tell the user that it is an upgrade and ask if they would like to see what is new in the program. In which case open Help > What's New. "If you click No, we suggest that you click 'Help > What's New' later."

Bug-719 on UCS reported 14 Jan 2014 by Linda, fixed by Rick on 16 Jan 2014:
Linda has entered Sample 14/U0002 and it appears on Soil Summary for Diesel Power Opencast Mining cc (job 622: AMD Group Five), but it does not appear in the UCS form's combo box, so she can't enter results for it.
Reason: This arises because the Sample Register form and table confuse RefID and JobType. RefID (7) from the RefNumbers table is stored in the JobType field in the Jobs table, whereas the JobType should be 2 (soil) and RefID should have its own field. Other forms, like UCS, use JobType as Job Type (2=soil), so 7 does not appear.
Fix: Add RefID field to the Jobs table and separate the use of RefID and JobType in the Sample Register form.
(In the UCS form combo box, type the sample number and press Enter. Labbie will then ask if you want to put in that sample's results (Yes). Added new combo box "Job Type" to Sample Register form.)

Bug-717 on Crushing Diary form reported 14 Jan 2014 by Martie, fixed by Gram on 15 Jan 2014:
Labbie does not allow me to click “View Report” from the menu item: Cubes > Enter Cube Crushing Results > View Report.
Unhandled exception has occurred in your application. If you click Continue, the application will ignore this error and attempt to continue, If you click Quit, the application will close immediately. The Microsoft Jet database engine cannot find the input table or query ‘DocumentNos1’. Make sure it?
When JIT debugging is enabled, any unhandled exception will be sent to the JIT debugger registered on the computer rather than be handled by this dialog box.

Bug-716 on Database reported 14 Nov 2013 by Gram, fixed by Gram on 11 Mar 2014:
Loma cannot find projects for clients that previously had projects.
(Database corruption - fixed.)

Bug-714 on Database reported 28 Oct 2013 by Gram, fixed by Gram on 11 Mar 2014:
Found Corrupt records on invoices table.

Bug-713 on Database reported 28 Oct 2013 by Gram, fixed by Gram on 11 Mar 2014:
The message that popped up when opening Loma Database via access: see picture in link. The database did not open when button "No" on the message was clicked, "Yes" button had to be clicked
(Compact and Repair fixed it.)

Bug-705 on Generic Test form reported 7 Oct 2013 by Gram, fixed by Gram on 7 Oct 2013:
On form load the below error message shows up:
---------------------------
DataGridView Default Error Dialog
---------------------------
The following exception occurred in the DataGridView:
System.ArgumentException: DataGridViewComboBoxCell value is not valid.
To replace this default dialog please handle the DataError event.
---------------------------
(Added Private Sub dgvGenFields_DataError with detailed error reporting. The error is caused by referential intergrity, generic test PrIX on GenFields and on Price table is not generic)

Minor Bug-704 on Rigorous Classifications reported 7 Oct 2013 by Gram, fixed by Gram on 7 Oct 2013:
If the user searches for all classification records by using form search, the below error message shows up before loading the data:
---------------------------
Error in Sub LoadDataExt in frmTestClassify3
---------------------------
Failed to enable constraints. One or more rows contain values violating non-null, unique, or foreign-key constraints.
---------------------------
(This error message showed up as result of duplicate records on the database, hence we now have a sub GetDataSetErrors under modCommon that reads the duplicates and writes them to text file)

Minor Bug-703 on Field Data reported 7 Oct 2013 by Gram, fixed by Gram on 7 Oct 2013:
On form Load, the below error message shows up, when button ignore is clicked the field data form continues to load as required.
---------------------------
Error in Sub LoadData in frmFieldData
---------------------------
Failed to enable constraints. One or more rows contain values violating non-null, unique, or foreign-key constraints.
Running Search:
---------------------------
(This error message showed up as result of duplicate records on the database, hence we now have a sub GetDataSetErrors under modCommon that reads the duplicates and writes them to text file)

Minor Bug-701 on Classifications reported 7 Oct 2013 by Gram, fixed by Gram on 7 Oct 2013:
If the user searches for all classification records by using form search, the below error message shows up before loading the data:
---------------------------
Error in Sub LoadData in frmTestClassify
---------------------------
Failed to enable constraints. One or more rows contain values violating non-null, unique, or foreign-key constraints.
Running Search:
---------------------------
(This error message showed up as result of duplicate records on the database, hence we now have a sub GetDataSetErrors under modCommon that reads the duplicates and writes them to text file)

Bug-700 on Database reported 6 Oct 2013 by Rick, fixed by Rick on 6 Oct 2013:
On LomaLabbie2013, Loma Lab still has problems with classifications.
Found 2 corrupt Classifications records (new since Thursday?). Copied all good data to new Table, deleted old one, renamed new as Classifications. There was NO Relationship between Classifications and Samples. Created one-to-many relationship after deleting records that violated referential integrity.
There was NO Relationship between MODs and MODdata. Created one-to-many relationship after deleting records that violated referential integrity.
There was NO Relationship between Hydro and HydroTimes. Created one-to-many relationship (no records violated referential integrity). HydroTimes had not key fields. Created SampleIX+TimeRead as combined key.
(Check if Roadlab needs any of these changes!)

Niggle-699 on Classifications:Test Classify reported 3 Oct 2013 by Gram, fixed by Gram on 7 Oct 2013:
If one searches for a sample, then closes the form the below message shows
---------------------------
Error in Sub cboSampleGoTo_SelectedIndexChanged in frmTestClassify
---------------------------
This operation requires an IBindingList.
---------------------------
(This error message showed up as result of duplicate records on the database, hence we now have a sub GetDataSetErrors under modCommon that reads the duplicates and writes them to text file)

Niggle-697 on Field Data Form reported 2 Oct 2013 by Gram, fixed by Gram on 7 Oct 2013:
If one searches for a particular record and closes without entering data fields the below message shows.
---------------------------
Error in Sub cboSampleGoTo_SelectedIndexChanged in frmTestFieldData
---------------------------
This operation requires an IBindingList.
---------------------------
(This error message showed up as result of duplicate records on the database, hence we now have a sub GetDataSetErrors under modCommon that reads the duplicates and writes them to text file)

Bug-696 on Classifications: frmTestClassify reported 2 Oct 2013 by Gram, fixed by Gram on 2 Oct 2013:
GoTo Sample combo does not search, one has to use form search
(Code already existed from rigorous classifications, just copy and paste, named load data sub accordingly.)

Bug-695 on Classifications reported 2 Oct 2013 by Lindi, to fix by Gram on 12 Mar 2014:
So this is the third attempt to classify theses samples. I re-entered the data after Bluepoint did a compact and repair on the database.(Friday and yesterday)
Also they reloaded info from the backed up files.
---------------------------
Error in Sub cmdCalc_Click in frmTestClassify
---------------------------
Operation is not allowed when the object is closed. Classification
---------------------------
(Error was caused by database corruption, after fixing the database (deleting duplicates, corrupt records, doing compact and repair) the error was solved.)

Bug-694 on Mechanical Analysis reported 2 Oct 2013 by Lindi, to fix by Gram on 12 Mar 2014:
Getting Sieve data by clicking "Get Sieve Data" button
No sieve analysis values.
Sieve analysis for sampleIX = "13-03300" does not exist
(Error was caused by database corruption, after fixing the database (deleting duplicates, corrupt records, doing compact and repair) the error was solved.)

Bug-693 on Classifications reported 2 Oct 2013 by Lindi, to fix by Gram on 12 Mar 2014:
---------------------------
Error in cmdCalc_Click in frmTestClassify
---------------------------
Not a valid Bookmark. Classification
---------------------------
(Error was caused by database corruption, after fixing the database (deleting duplicates, corrupt records, doing compact and repair) the error was solved.)

Minor Bug-689 on Clients Form reported 1 Oct 2013 by Gram, fixed by Gram on 1 Oct 2013:
If the user clicks AddNew button on the binding navigator and decides to search while the fields are empty, the below error message shows.
Column 'ClientIX' does not allow nulls.
(Added code under Sub:FindClient If….Else…statement enabling user to search even if textboxes are empty If txtClient.Text = "" Then
TableAdapter.Fill do normal search Else Do normal search)

Bug-686 on Field Data Form reported 25 Sep 2013 by Gram, fixed by Gram on 7 Oct 2013:
Failed to enable constraints. One or more rows contain values violating non-null, unique, or foreign-key constraints.
Running Search:
––––––––––––-–
(This error message showed up as result of duplicate records on the database, hence we now have a sub GetDataSetErrors under modCommon that reads the duplicates and writes them to text file)

Bug-685 on Field Data Form reported 23 Sep 2013 by Gram, fixed by Gram on 7 Oct 2013:
---------------------------
Error in Sub cboSampleGoTo_SelectedIndexChanged in frmTestFieldData
---------------------------
This operation requires an IBindingList.
---------------------------
(This error message showed up as result of duplicate records on the database, hence we now have a sub GetDataSetErrors under modCommon that reads the duplicates and writes them to text file)

Bug-687 on reports reported 20 Sep 2013 by Lindi, fixed by Gram on 13 Mar 2014:
Lindi Cannot View or Print Graphs
I plotted the Van der Merwe graphs (expansiveness button) ; then saved ; clicked okay ; opened Foundation Indicator Reports ; searched for one of the lab ref. numbers (Sample Nos ) ; then I immediately got the error message.
It occurs for all lab numbers and jobs.
Under all circumstances.
This problem has been occurring since the last time we talked about it and mentioned it as a priority.
Please refer to Alrika’s e-mail of 27 Aug. 2013.
(Apparently data corruption)

Niggle-676 on Company Setup form reported 17 Sep 2013 by Gram, fixed by Rick on 12 Mar 2014:
Company information form should be read-only, only the administrator, owner and manager will have duties and access to edit company information. So that other users do not fiddle and change the information as they see fit.
(No change will be done here, because by default company setup form was read-only and only high level users can edit company information)

Misunderstanding-673 on Projects Form & Clients Form reported 17 Sep 2013 by Gram, fixed by Gram on 17 Sep 2013:
Saved a new client for the purpose of assigning a project to that client, when I select the client from the combo box, the msg below shows, after clicking Yes it would then take me to client form to fill the details and save again BUT the msg below "Error in sub…….." would show up first
---------------------------
Labbie Message
---------------------------
Do you want to enter a new CLIENT
"GramLetoaba " ?
---------------------------
Below msg shows after clicking Yes
---------------------------
Error in Sub SetWindowState for frmClient
---------------------------
Column 'ClientIX' does not allow nulls.
---------------------------
(Uncommented "For each….. " statement that was commented enabling the program to save new client information For Each ro As Data.DataRow In modClients StatusBarSet("Updating " & ro("ClientIX") & " " & ro("Client")) Me.clientTableAdapter.Update(r)

Bug-663 on Generic Test form reported 28 Aug 2013 by Rick, fixed by Gram on 7 Oct 2013:
Error opening form:
–––––––––––––-
Error in Sub form_Load in frmTestGenData
–––––––––––––-
Failed to enable constraints. One or more rows contain values violating non-null, unique, or foreign-key constraints.
Loading Generic Fields data
–––––––––––––--
(This error message showed up as result of duplicate records on the database, hence we now have a sub GetDataSetErrors under modCommon that reads the duplicates and writes them to text file)

Bug-662 on Max Dry Density reported 28 Aug 2013 by Rick, fixed by Gram on 17 Feb 2014:
Searching for tests 1 Jul 2013 to date in data from LomaLabbie2013-08-15.zip:
---------------------------
Error in Sub LoadData in frmTestMDD
---------------------------
Failed to enable constraints. One or more rows contain values violating non-null, unique, or foreign-key constraints.
Running Search:
-------------------------–
(This error is caused by database corruption, specifically duplicate records. To solve this error problem we now have GetDataSetErrors sub capturing and writing corrupt records on LogFile, as soon as the corrupt records are deleted, the error will go)

Serious Bug-660 on Generic Test form reported 28 Aug 2013 by Rick, fixed by Gram on 7 Oct 2013:
When opening the form, it endlessly repeats this error:
–––––––––––––-
DataGridView Default Error Dialog
–––––––––––––-
The following exception occurred in the DataGridView:
System.ArgumentException: DataGridViewComboBoxCell value is not valid.
To replace this default dialog please handle the DataError event.
–––––––––––––-
(Added Private Sub dgvGenFields_DataError with detailed error reporting. The error is caused by referential integrity: generic test PrIX on GenFields and on Price table is not generic)

Version 6.0.0.8 – 5 January 2014

Expiry date extended to 31 March 2014.

If there is no user with a security level of 5 ('Administrator') then, if User = 'Administrator' exists, it is set to Level 5, otherwise User named 'Administrator' is created at Level 5.

Develop-692 on User form reported 1 Oct 2013 by Gram, fixed by Gram on 1 Oct 2013:
We do not provide a search for users, what if we have hundreds of users and want to search quickly for a particular user………Similar search method on clients can come in handy.
On form load, user details are read only until the user clicks button edit, allowing the user to update the user details
(Created a search field, user information can be searched using user name as search criteria.)

Niggle-688 on User form reported 30 Sep 2013 by Gram, fixed by Gram on 30 Sep 2013:
Users, Full users and Supervisors must NOT add new users, only the administrator and other high level users should be able to do that, in that way the administrator will know who is accessing the system, the manager, developer can also be able to add new users.
(Users and supervisors can only read user information. Admin, Developer, Owner, Manager are all able to do CRUD on users)

Serious Bug-659 on Visual Studio 2013 reported 28 Aug 2013 by Rick, fixed by Rick on 28 Aug 2013:
Error in Function OpenAndCheckBackend in modDatabasefrmLogin
-------------------------–
Could not load file or assembly 'Interop.ADODB, Version=2.8.0.0, Culture=neutral, PublicKeyToken=null' or one of its dependencies. This assembly is built by a runtime newer than the currently loaded runtime and cannot be loaded.
–––––––––––––-
Both System.Data.CTP.dll and System.Data.Entity.dll are mixed-mode assemblies (have both native and managed code in them) so they're platform-specific. For this CTP we only shipped 32-bit versions of the binaries, so you either need to run it in a 32-bit OS or you have to make your application run inside WoW64. To force the app to run in WoW64 you can go to the project properties in VS, select the "build" tab, and set the "platform target" to x86 [in Configuration manager].
Pablo Castro, ADO.NET Technical Lead, Microsoft Corporation
http://social.msdn.microsoft.com/Forums/en-US/41623cb4-107f-4bba-8167-4c78aad16e3b/systembadimageformatexception-
(Was "Any CPU". C:\Work\Labbie\Labbie2013\obj\Debug\Interop.ADODB.dll Removed refence to ODODB and replaced with latest. Visual Studio Help useless as usual.)

Bug-487 on All Reports reported 26 Jul 2011 by Jan-Hendrik, fixed by Rick on 16 Sep 2013:
Footer has a non-white background colour. Redo. Got logos from Jan-Hendrik.

Version 6.0.0.7 – 21 October 2013

Expiry date extended to 31 December 2013.

Bug-711 on Database reported 14 Oct 2013 by Rick, fixed by Rick on 14 Oct 2013:
Loma Lab data problems: The Sieve data will not import via my new Labbie "Import > Database" function, I have to do it manually. The import gives “Unrecognized database format 'P:\Labbie\LomaLabbie2013.MDB'.”, yet Access recognises the database. The Sieve table must have some corruption.
(Works OK with Monday's data.)

Bug-710 on Database reported 14 Oct 2013 by Rick, fixed by Rick on 14 Oct 2013:
Loma Lab data problems: SampleTests apparently had 182 records, yet on import, it had 1962. This is somehow different to the MODdata case, since when I open the databases in MS Access, they both have 1962 records.
(Seems OK in the new database.)

Bug-709 on Database reported 14 Oct 2013 by Rick, fixed by Rick on 14 Oct 2013:
Loma Lab data problems: MODdata apparently had 828 records, yet on import, it had 833: 5 “invisible” records for sample 13-03622 miraculously pop into existence when the table is imported. This may be the cause of the “MOD not saving” error – These “invisible” records may be confusing Labbie (they certainly confuse me!).
(Seems OK in the new database.)

Bug-708 on Database reported 14 Oct 2013 by Rick, fixed by Rick on 14 Oct 2013:
Loma Lab data problems: The Classifications had a duplicate Sample 13-020930. This should be impossible, as SampleIX is a unique key field, meaning it cannot be duplicated. Yet it is there. This could have been causing problems with Classifications.
(Seems OK in the new database.)

In solution of all the above, added a new option, File > Import > Database, to import all data from an existing database into a fresh, blank database (which Software Africa must create for this purpose). Because of the obscure problem that can arise (very infrequently) if a database goes deeply corrupt, it is better if the import is done at Software Africa, as was done on Monday 14 October 2013 and uploaded that evening.

Serious Bug-661 on Visual Studio 2013 reported 28 Aug 2013 by Rick, fixed by Rick on 9 Sep 2013 in VS 2013 version:
Opening Licensing Form - Error in Sub frmLicence_Load in frmLicence
Could not load file or assembly 'Interop.Scripting, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null' or one of its dependencies. This assembly is built by a runtime newer than the currently loaded runtime and cannot be loaded.
(References: Removed Scripting Runtime and used My.Computer.FileSystem per http://msdn.microsoft.com/en-us/library/vstudio/dhc4wh9w(v=vs.100).aspx )

Version 6.0.0.6 – 21 August 2013

Bug-657 on Classifications reported 1 Aug 2013 by Lindi, fixed by Rick on 20 Aug 2013:
Unified Classification: Labbie classifies as GC, GM-GC what Loma Lab classifies as SC, SM-SC and so on. There was indeed an error: Labbie was swapping sand with gravel. I have corrected that. Still need clarity (moved to Bug-658) on the criteria for Gravel: Definition 1 (if R4 / R200 > 0.5, it's Gravel, where R4 = % retained on 4.75 mm sieve, and R200 = % retained on 0.075 mm sieve), or Definition 2 (if R4 > 50%, it's Gravel). For the “simple” classification, I have meanwhile programmed Labbie to ask whether to use Definition 1 or 2 where it makes a difference. For the “rigorous” classification, I have kept Definition 1 (the current definition).

Serious Bug-656 on Setup reported 31 Jul 2013 by Hannelene, fixed by Rick on 15 Aug 2013:
Cannot Start Application Application cannot be started. Contact the application vendor.
ERROR DETAILS:
* [2013/07/31 03:16:22 PM] System.ArgumentException
- Value does not fall within the expected range.
(Uninstalled Labbie from Control Panel > Programs and Features then re-installed, which fixed the issue)

Bug-652 on Storing reported 14 Jun 2013 by Alrika, fixed by Rick on 14 Jun 2013:
This is the results for LL2057 but is saves it as LL2071 – HELP Please!
(Replied it is LL2071, but PDF is LL2057. If data really for LL2057 then job was allocated to wrong project. Should be easy to correct: go into Soil tests > Search Sample Register, search for job 644, change Client and Project. No reply from site, so closed this issue)

Version 6.0.0.5 – 23 July 2013 (Released 29 July)

Changes to File splitting to allow for inactive projects to be deleted, and projects to be made active or inactive interactively during the process (specified by Project Ref).

Version 6.0.0.4 – 10 July 2013

Wish-654 on Hydrometer report reported 8 Jul 2013 by Lindi, fixed by Rick on 9 Jul 2013:
Can we please change the hydrometer heading to: Grain Size.

Bug-651 on Sub StartUpForm reported 21 May 2013 by Rick, fixed by Rick on 21 May 2013:
When startup form for a user is set to "Receive Cubes":
Program Error in Sub frmCbReceive_Load in frmCubeReceive:
Unknown Search Type 2 =''
(Other errors result on other startup choices)
(Sub StartUpForm moved from modCommon to form MDImain and revamped.)

Bug-653 on Licence reported 4 Jul 2013 by Lindi, in progress on 10 Jul 2013:
Message "This Licence is for a different drive!" but it was set up specifically for that drive. Wrong drive in serial number from site - does not match Key Data. Why?
Added code to Licensing database and Labbie to check.

Expiry date extended to 10 September 2013.

Version 6.0.0.3 – 19 May 2013

Bug-650 on Sample Register reported 26 Apr 2013 by Lindi, fixed by Rick on 19 May 2013:
Error in Sub Form_Load - Error 5: Failed to enable constraints. One or more rows contain values violating non-null, unique, or foreign-key constraints. Setting the Connections.
On the line Me.PricesTableAdapter.Fill(Me.LabbieDataSet2.Prices)
Error does not recur if you click "Retry" but then get Error in Sub cboSampleRef_SelectedIndexChanged in frmSampleRegister
Conversion from type 'ComboLineInt' to type 'Integer' is not valid.
Followed by (new On Error) Error in Sub cboCostCentRef_SelectedIndexChanged in frmSampleRegister
Conversion from type 'ComboLineInt' to type 'Integer' is not valid.
(To fix: Removed relationFK_SampleTests_Prices from LabbieDataSet2.xsd)

Version 6.0.0.2 – 15 April 2013

This version allows the price list to be updated in a more flexible fashion including deleting and renumbering items, and releasing new prices at a later date than the import.

Three new fields have been added to the Prices table: PrIXnew (proposed new Item Number; use "Delete" to delete), RateNew (new Rate (without VAT) that can be released later), and Delete? (checkbox to mark if Item should be deleted, and alternative to putting "Delete" in PrIXnew).

File > Import > Prices has been improved and now imports the new fields PrIXnew and RateNew too. Normally you will import one Rate only: Rate itself if the prices are for immediate release, RateNew if they are to be released later. If you omit Item Number (as for a new Item), Labbie will propose new, temporary, values, starting with "New00".

The Prices form (Setup > Prices) now has three new toolbar buttons:

  • Mass Delete: Deletes all items with the "Delete?" checkbox marked or "Delete" in PrIXnew.
  • Renumber: Renumbers all Item Numbers to new PrIXnew value (if it exists). Before doing so, it will reformat all PrIXnew values in two-digit format (NN.NN).
  • Mass Re-price (Release New Rates): This changes the Rates to the RateNew values (where they exist), and removes RateNew.

Version 6.0.0.1 – 10 April 2013

Wish-649 on All Charts fixed by Rick on 9 Apr 2013:
Arising out of Bug-648 (Roadlab request to make DCP Graph clearer), used a different routine for the text on charts, resulting in clearer text presentation. Added Main Title to all charts, and made X- and Y-Titles bold. Sizing and positioning of chart improved.
(Graphs must be re-plotted to see the effect.)

Bug-647 on Foundation Indicator Report reported 2 Apr 2013 by Lindi, fixed by Rick on 9 Apr 2013:
Foundation Indicator Report needs Client reference, as on Columnar Report. Also the layer as well. Done on all three Indicator reports.

Bug-648 on DCP Report reported 14 Mar 2013 by Linda, fixed by Rick on 9 Apr 2013:
Changes to DCP Report Beta for First Release:
• Client info block on top of each page
• Alignment of client's info (Project & Client)
• Font for results made smaller (changed from 10 pt to 9 pt)
• Date at bottom of page OK, time not needed (removed).
• Improve graph quality – can be controlled by user, by plotting a larger graph. Added a button to DCP Form to use optimum graph size.
• Signature line a bit shorter.
• Under the ‘’signature’’ Roadlab wanted the person's name, his position in the company and under that ‘’Technical Signatory’’.
(Added “Technical Signatory” but the rest can not be done at present as we do not have approval process yet, when Labbie will know whose name (and signature) to use, as on Cube side.)

Bug-646 on CBR reported 27 Feb 2013 by Lindi, fixed by Rick on 27 Feb 2013:
"Go To Sample" list not sorted: SQL "ORDER BY Samples.SampleIX" statement in wrong place.

Bug-645 on Foundation Indicator Report reported 26 Feb 2013 by Lindi, fixed by Rick on 9 Apr 2013:
The columnar report is correct. But the Foundation Indicator Report should be 0.026 as well and not 0.260 (just one value).

Version 6.0.0.0 – 19 February 2013

Bug-644: DCP Snag List reported 30 Jan 2013 by Linda, fixed by Rick on 19 Feb 2013:
First release of Phase 6: Detailed Classifications form with COLTO C-Class, ITS (on UCS form) and DCP.

Bug-642 on Classifications reported 13 Feb 2013 by Lindi, fixed by Rick on 18 Feb 2013:
The combo box list for Go To Sample is not sorted.
(Also in 3 Asphalt forms, Atterberg, CBR, DCP, Generic, Hydro, MDD, Mech, and UCS.)

Bug-641 on Max Dry Density reported 13 Feb 2013 by Lindi, fixed by Rick on 19 Feb 2013:
On Sample 13-00226, changed mould volumes on first tab. Labbie does not change previously-calculated results on 2nd tab. This is by design, as first tab data is supposed to be done first. Dangerous! Changed to recalculate 2nd tab if first changes.

Bug-640 on CBR reported 13 Feb 2013 by Lindi, fixed by Rick on 13 Feb 2013:
Moulding Moisture Content: The average (to 1 decimal) often does not match hand calculations.
(Changed to display 2 decimals for the individual results, and do the average on the full (instead of rounded) numbers.)

Bug-638 on Atterberg Limits reported 13 Feb 2013 by Gladys, fixed by Rick on 19 Feb 2013:
Type a sample number in Go To box, Labbie says "No Atterberg Limits as yet, add?". Answer Yes - won't save (no diskette, duplicate sample no). Have to answer "NO" to get it to save. Also on CBR and all other Soil & Asphalt forms.
(Evaded the "as yet" question if Sample number has already been set. Also changed AutoCompleteMode from SuggestAppend to Append to avoid 2nd List.)

Misunderstanding-637 on Search form reported 13 Feb 2013 by Joseph, fixed by Rick on 13 Feb 2013:
Search does not always work, e.g. for sample 13-00329.
(Joseph was connected to the wrong database: Backups\Lomalabbie.mdbusy – So was Bertie!)

Bug-633 on Hydro form reported 5 Feb 2013 by Hannelene, fixed by Rick on 6 Feb 2013:
Data Gnd Error in Hydro Data in frmTestHydro
Error: System.Data.ConstraintException: Column SampleIX, TimeRead is constrained to be unique. Value '12-03924, 2' is already present.
Sender: System.WindowsForms.DataGridView
Starting Function SaveAlIOK
(Replied 06/02/2013 10:49 with guidelines. Unable to duplicate error (compiled and development versions) but put in a lot more error-checking.)

Version 3.1.0.12 – 4 February 2013

Bug-631 on New Classifications form reported 23 Jan 2013 by Lindi, fixed by Rick on 3 Feb 2013:
Error in sub cmdCalc_click: Operator '>' not defined for type DBNull and type integer

Bug-630 on Max Dry Density report reported 22 Jan 2013 by Lindi, fixed by Rick on 4 Feb 2013:
Change the MOD reports so all 3 dates are day/month/year.
(Also renamed report to rptSoilMDD.rpt, but can't rename Query to qrySoilMDD without losing Crystal Report fields)

Bug-615 on Labels report reported 4 Dec 2012 by Lindi, fixed by Rick on 4 Feb 2013:
The Labels print but without some information. It prints the word Project – but there is no project information: Client, Project, or Client Ref.
(Re-created using qrySoilSummary (same as Sub DisplaySoilReports) to make all data display. Does not work using individual tables)

Minor Bug-606 on Indicator reports reported 13 Nov 2012 by Lindi, fixed by Rick on 4 Feb 2013:
"Sampled" shows the hour as well as the date –remove.

Bug-632 on Database reported 30 Jan 2013 by Hannelene, possibly fixed by Rick on 4 Feb 2013:
CBR frequently will not save, despite several attempts. I think the database needs a compact and repair, which will make it more efficient.
This did not work. Blue Point Africa also did a disk scan to see if the hard drive was problematic.
I picked up the database from Dropbox and tried some tests over the weekend. My development version had no problems saving CBRs, but the release version did have problems sometimes, so we are issuing a new release today. Added some traps to prevent saving attempt if there is no SampleIX, and report as an error if the SampleIX disappears.

Version 3.1.0.11 – 16 January 2013

Develop-622 on Database reported 8 Jan 2013 by Rick, fixed by Rick on 12 Jan 2013:
Allow Admin user to move entries for the new year to a new database.
Procedure: (1) Warnings, check if Admin user, all others must be logged off. (2) Ask for new name, suggest with year at end. (3) Close database. (4) Copy Database (5) Open old database: Remove entries for this year. (6) Open new database: Remove entries prior to this year.
(This option is currently only available for Roadlab. Need to add licensing for other labs)

Develop-624 on Soil Test forms reported 9 Jan 2013 by Rick, fixed by Rick on 15 Jan 2013:
Make "Go to samples" drop-down list more versatile:
1) Loosen the list to show samples registered within the last two months.
2) Let user type in (or paste) any sample number even if it is not in the list, as already works on the Classifications (rigorous). In this case, one of the following happens:
(a) If the Sample exists and has test data, Labbie loads it up and displays it.
(b) If the Sample exists but has no test data, Labbie offers to let you enter it now.
(c) If the Sample does not exist, Labbie asks you to check your typing.

Bug-627 on Generic Test form reported 15 Jan 2013 by Rick, fixed by Rick on 15 Jan 2013:
Search was getting Sample list from Sieve table instead of GenResults.
After Search, Redo Field visibility (Added Sub DisplayFields()).
Go to SampleIX list was not showing samples in last 2 months.
In Go To Price IX list, now display just the Generic tests that have Defined Fields (in Setup > Generic Tests), instead of all Generic Tests from Price List.

Bug-626 on Soil Test forms reported 14 Jan 2013 by Rick, fixed by Rick on 15 Jan 2013:
After Bug-625, if one clicks the "Yellow Plus", the program crashes on "System.Data.NoNullAllowedException was unhandled" but there is no indication, in Help or the Internet, of how one "handles" it. (Fixed by fixing Bug-625.)

Bug-625 on Soil Test forms reported 14 Jan 2013 by Rick, fixed by Rick on 15 Jan 2013:
On trying to create a new record via typing into Go To Sample when there is already data in the form added by typing into Go To Sample:
Error in Sub cboSampleGoTo_KeyDown in frmTestSieve - Column 'SampleIX' does not allow nulls.
(Solved by inserting code to check if we are on a blank new record –if so, remove it!)

Bug-623 on Max Dry Density report reported 8 Jan 2013 by Lindi, fixed by Rick on 8 Jan 2013:
Searching for sample number (12-02921) and then the job number (248) on MODs or Columnar Report:
Program Error in Sub form_Shown in frmReports - Report Type "ViewSample" on Search Type "Samples" has not been programmed for!
Please report this Program Error to rick@softwareafrica.co.za!
(This bug only occurs if you opened the Sample Registration form just before the search. However if you click OK, close (blank) report, and search again, the problem does not recur. Temporary solution: Just search again. Now fixed properly by removing gTempReportType$)

Version 3.1.0.10 – 6 January 2013

Beta version of Phase 6, Classifications form, for testing. The old form has been retained as "Classifications (simpler)", while the new one has been added as "Classifications (rigorous)". The old one does not do COLTO C-Classifications (stabilized samples), and ignores some COLTO criteria (more here). The new form makes fewer assumptions for the COLTO Classification, and hence requires more data. It does both G-Classifications (natural samples) and C-Classifications (Stabilised samples) (more here).

Version 3.1.0.9 – 6 December 2012

Beta version of Phase 6, ITS (on UCS form) and DCP, for testing. A new field, pH, was added to the CBR form for use by the expanded COLTO classification.

Bug-618 on MOD Report Search reported 6 Dec 2012 by Rick, fixed by Rick on 6 Dec 2012:
Search with JobID. "Error in Sub cmdOK_Click: No value given for one or more required parameters."
"…WHERE Jobs.BatchID IN (278,279) AND JobType=2"

Bug-617 on MOD Report Search reported 6 Dec 2012 by Rick, fixed by Rick on 6 Dec 2012:
"Labbie Error in Sub DisplaySoilMOD in frmReports - No value given for one or more required parameters. Getting MOD Report Data - DataAdapter Fill.
"...WHERE Jobs.Projects.ClientIX IN ('LL072') AND Jobs.Projects.ProjectNo=18"

Bug-619 on Soil Reports reported 6 Dec 2012 by Rick, fixed by Rick on 6 Dec 2012:
"Labbie Error in Sub DisplaySoilReports - No value given for one or more required parameters.
"...WHERE Jobs.Projects.ClientIX IN ('LL072') AND Jobs.Projects.ProjectNo=13"

Bug-616 on DCP form reported 6 Dec 2012 by Lindi, fixed by Zinhle on 6 Dec 2012:
When I open DCP this message appears: "Error in Sub form Load in frmTestDCP: Error 5 - C:\Work\Labbie\Labbie.mdb’ is not a valid path. Make sure that the path name is spelled correctly and that you are connected to the server on which the file resides". When I click Abort or Ignore it goes to the DCP input form.

Bug-611 on All Reports reported 2 Dec 2012 by Rick, fixed by Zinhle on 6 Dec 2012:
Using the binoculars Search from an open Report, error: Object reference not set to an instance of an object.
(frmReports lacked a Sub LoadData. Fixed. Search button now works for all reports)

Percent Passing for sieve sizes 2 and 0.425 mm were not showing on Indicator Reports for Sieve and Mech. Now fixed.

Minor improvements to Verification of Press (Cubes) Report.

Version 3.1.0.8 – 5 December 2012

Beta Version of DCP (Dynamic Cone Penetrometer) form and report, on the Soil Tests and Soil Results menus respectively.

Beta Version of ITS (Indirect Tensile Strength) added to the UCS (Unconfined Compressive Strength) form on the Soil Tests menu, and relevant reports on the Soil Results menu.

All the Test Results forms (Sieve, Mech, Hydro, etc.) now behave differently: They no longer load up all existing data when opened. Instead they display only a blank record ready for you to enter data. Start by selecting your sample number from the "Go to Sample No." Combo Box at the top as you have always done. This list now shows only the samples registered in the last month that do not yet have results on the system. To find existing results on the database, first open the relevant results form, then click the "Binoculars" button on the toolbar.

Other changes and bug fixes:

Wish-610 on Update Table Structure reported 30 Nov 2012 by Rick, fixed by Rick on 30 Nov 2012:
The message "Log off Other Users to Update Table Struture!" is too restrictive if, for example, one has a database from site where users were logged onto Labbie. Added hidden option to Click 'Retry' four times to Override and Upgrade Anyway, if you are sure no-one else is logged on. Fixed spelling of "Struture".

Bug-608 on Foundation Indicator Report reported 28 Nov 2012 by Lindi, fixed by Rick on 2 Dec 2012:
Cannot print the reports of project LL1986 (client : Engeolab), Job 278. Only the first three print then there is an error. It seems it is only a problem for this specific job. I tried to skip the problem samples by selecting to print only the pages where there are no error messages – but it didn’t work.
Labbie doesn’t give you an option to select certain samples only – for example if you want to print sample 5 it displays samples 1 to 5 (as with the MODs).
This isn’t actually a problem but if we could select certain samples only maybe we could skip the error samples:
–––––––––––––-
Crystal Report Windows Forms Viewer - on Sample 12-03052
Error in File C:\Users\Rick\AppData\Local\Temp\temp_b10d6dc3-265e-47ea-88fc-31516020b768 {050DBB43-5083-467E-95AD-B7AADB8A96C3}.rpt:
The request could not be submitted for background processing.
––––––––––––-–
(Added New "Samples ONLY" to the Search Form to find the problematic sample. The problem lay with Sample 12-03053’s Atterberg Limits, with the Van der Merwe diagram.)

Bug-609 on Columnar Report reported 20 Nov 2012 by Lindi, fixed by Rick on 29 Nov 2012:
The columnar report's hydrometer "grain size" information is incorrect. A zero needs to be added. For example - it should be 0.003 as in the foundation indicator report and not 0.03 – checked and adjusted accordingly.

Bug-604 on Soil Summary Report reported 4 Nov 2012 by Rick, fixed by Zinhle on 6 Nov 2012:
Vertical lines do not all extend to bottom of Job, just bottom of 1st sample.

Bug-601 on Report form reported 1 Nov 2012 by Zinhle, fixed by Rick on 1 Nov 2012:
The % of soil mortar (<2mm) is displaying one way on the Mech form but then on the report the data under % soil mortar seems to be the % passing of the total sample.
Changed the subheading to “Percent Passing Sieve Size” and not “Percent of Soil Mortar (<2 mm) for Grain Size range” and then changed the row names to the following:
Coarse Sand (0.425 – 2.0 mm)
Coarse-Fine Sand (0.250 – 0.425)
Medium-Fine Sand (0.150 – 0.250)
Fine-Fine Sand 10 (0.075 – 0.150)
Silt and Clay (< 0.075 mm)

Bug-600 on Module reported 26 Oct 2012 by Zinhle, fixed by Zinhle on 1 Nov 2012:
modDatabase, updating the database. Add RefID field in Jobs Table, using values in JobType for the RefID in the Jobs table and replacing the JobType with the true JobType Values

Wish-599 on Max Dry Density reported 25 Oct 2012 by Rick, fixed by Zinhle on 25 Oct 2012:
Loma Lab wants to add the unit of measurement on the graph itself to become True Dry Density (kg/m³).
(Also "Approximate Dry Density (kg/m³)" - RIR 121130)

Wish-598 on CBR reported 25 Oct 2012 by Zinhle, fixed by Zinhle on 25 Oct 2012:
Loma Lab want to change the description from “Hygroscopic Moisture Content” to “Moulding Moisture Content” and check the calculation of the average % moisture.

Bug-597 on Cube Register form reported 11 Oct 2012 by Rick, fixed by Zinhle on 1 Nov 2012:
Toolbar "Binoculars" search button does not work anymore. Fix, and let the form just load the records it needs, rather than loading all records and then filtering (check what happens with the menu item for Search).

Develop-596 on Soil Test forms reported 8 Oct 2012 by Lindi, fixed by Zinhle on 1 Nov 2012:
Max Dry Density takes too long to Save. We need to prefix the MDD (and the other data entry forms) with a search [for samples without results for that test], so that it is not saving all the results but only new (or searched-for) ones, as currently happens with the Sample Register. "Binoculars" search button needs to be activated for Soil and Asphalt test forms. Sample IX combo box must show only items in current search i.e., by default, new results only, and only for samples registered in last month.

Bug-593 on All Forms reported 26 Sep 2012 by Rick, fixed by Zinhle on 3 Oct 2012:
We need successive copies of the each Cube and Asphalt form to retain their screen position and Window State, without interfering with other forms. Like Wish-588, but for non-soil forms. Also identify SampleIX in Title bar (Like Wish-587). DeleteSetting in FormClosed, not FormClosing!
(Not working for Asphalt Binder form, otherwise seem OK. - RIR 04/11/2012 Zinhe has sorted out the Asphalt Binder form)

Develop-592 on Report form reported 26 Sep 2012 by Rick, fixed by Zinhle on 3 Oct 2012:
We need successive copies of the same Report to retain their screen position and Window State, without interfering with other Reports. Like Wish-588, but for reports. DeleteSetting in FormClosed, not FormClosing!

Version 3.1.0.7 – 26 September 2012

Wish-590 on Main Form reported 26 Sep 2012 by Rick, fixed by Rick on 26 Sep 2012:
Labbie should restore the screen state (Restored/Maximized), size and position it had when last closed.
(If Program is not visible on screen, tick the new "Maximize" checkbox on the Login form.)

Serious Bug-587 on Classifications reported 26 Sep 2012 by Lindi, fixed by Rick on 26 Sep 2012:
There is data but the program says there is not: Critical Sieve Analysis Data Missing - Unable to Calculate AASHTO Classification & Group Index! % Passing is zero for 2 mm and/or 0.425 mm and/or 75 micron sieves. (Now using Mechanical Analysis.)

Bug-585 on Print Label from Sample Register reported 25 Sep 2012 by Lindi, fixed by Rick on 26 Sep 2012:
Report Type "ViewSample" on Search Type "JobSample" has not been programmed for!

Bug-588 on Classifications reported 25 Sep 2012 by Rick, fixed by Rick on 26 Sep 2012:
Classification is not using Hydrometer: Extrapolating Grain Size: Unified may be inaccurate - Warning: % Passing for 75 micron (No. 200) sieve is xx (>10%). Grain size for 10% passing will be extrapolated from 425 and 75 micron.
(Now using Hydrometer. Same as Wish-582.)

Wish-582 on Classifications reported 23 Sep 2012 by Rick, fixed by Rick on 26 Sep 2012:
Extrapolating Grain Size: Unified may be inaccurate. Warning: % Passing for 75 micron (No. 200) sieve is 98.2 (>10%). Grain size for 10% passing will be extrapolated from 425 and 75 micron.
If there are Mech or Hydro results, use them if necessary! (Same as Bug-588)

Bug-384 on ShowChildFormNew reported 25 Jan 2010 by Rick, fixed by Zinhle on 25 Sep 2012:
We still need a way of identifying successive copies of the same form and letting them retain their screen position. Mzamo's identification of window via Title bar was ineffective/incomplete. See Bug-383.
20/09/2012 Rick undid Mzamo's shortening of Title in Sub ShowChildFormNew.
23/09/2012 Rick modified Sub SaveWindowState and Sub SetWindowState to remember settings for different copies of same form. Implemented on Sieve form. 25/09/2012: Zinhle Fixed in all Soils forms.

Develop-357 on Soil Test forms reported 24 Jul 2009 by Rick, to fix by Zinhle on 26 Sep 2012:
(split from Bug-331) Sample number should show in title bar of form; keep title short so sample number shows when form is minimized.
Code commented out RIR 17/09/2009: Shows successive sample numbers, and only if chosen from combo.
RIR rejected Mzamo's "fix" of 02/10/2009. Code commented out RIR 17/09/2009: Shows successive sample numbers, and only if chosen from combo. 26/09/2009: Zinhle Fixed in all Soils forms.

Wish-280 on Crushing Diary report reported 29 Apr 2009 by Modise, fixed by Mzamo on 22 Sep 2009:
Need a version of New Crushing Diary report that shows all overdue cubes (should have been crushed before today, and weren't), with all results in order by test-on date and cube ID (search criteria: datedue< today and dayMPa is null)
Done but could be improved by putting on one page: This would require a new report.
(Put on Cube Reports menu at bottom of Crushing Diary reports group: "Cube Crushing Diary - Missed Cubes".)

Version 3.1.0.6 – 24 September 2012

Bug-584 on Projects Form reported 24 Sep 2012 by Rick, fixed by Rick on 24 Sep 2012:
Data changes are not being noticed - fLoading staying True - can't save. Now fLoading = false after record navigation.

Bug-580 on Hydrometer form reported 20 Sep 2012 by Rick, fixed by Rick on 21 Sep 2012:
We are not interpolating from the user's results to the Standard sizes. Added, with Graph to check results.

Wish-559 on Hydrometer reported 30 Aug 2012 by Lindi, fixed by Rick on 19 Sep 2012:
It will help a great deal if we are able to enter/edit hydrometer results manually without having to enter data. (Same as Wish-572)

Wish-572 on Hydrometer form reported 22 Aug 2012 by Lindi, fixed by Rick on 19 Sep 2012:
Lindi needs to be able to type in Hygroscopic Moisture Content and last 2 columns of grid –and avoid it recalculating. Times must always be entered; this is a required field. Leave Hydrometer Reading and Temperature blank, and it will not recalculate.

Wish-581 on Printing Single Labels reported 6 Sep 2012 by Dinah, fixed by Rick on 22 Sep 2012:
Dinah sometimes needs to print only one extra label for one specific sample. But then it prints all the labels for that job again.
Change options to allow just one label for one sample. (Can now print: Several sets, one set, or one label.)

Minor Bug-578 on Grading Reports reported 17 Sep 2012 by Rick, fixed by Zinhle on 22 Sep 2012:
GM to be rounded off to 2 decimals on Reports (done in Minor Bug-542 but redid as part of moving Grading Modulus from the Sieve table to the Mech table: All reports containing GM had to be altered).

Wish-577 on Soil Report reported 5 Sep 2012 by Bertie, fixed by Zinhle on 19 Sep 2012:
Add Client Ref on the Summary of soil test results: make the Description narrower to fit it in.

Wish-579 on Soil Summary Report reported 5 Sep 2012 by Bertie, fixed by Zinhle on 22 Sep 2012:
The Summary of Soil Test Results “look” as it is now should be adjusted as it is NOT easy to read, the information is cropped and I suggest we should add column lines (vertical & horizontal) as this will ease the process. (Added column lines (vertical) between result groups, also on the Indicator reports.)

Wish-575 on Soil Classifications reported 23 Aug 2012 by Rick, fixed by Rick on 22 Sep 2012:
Rather give a blank result instead of question marks, if classification can not be determined. (Used dashes instead of "??")

Bug-574 on Projects Form reported 22 Aug 2012 by Rick, fixed by Rick on 24 Sep 2012:
Billing tab, Check Dup, second dialog box not working? Also, get it to ignore "Generic" duplicates.
(Got it to ignore "Generic" duplicates, 24/09/2012. Fixed to check for Project Price items with missing/null prices that have Sample Tests, but not for Sample Tests without Project Price items.)

Serious Bug-573 on Price List form reported 22 Aug 2012 by Rick, fixed by Rick on 24 Sep 2012:
Price list changes are not saving! "Update Successful" is not true! Limited to some columns: Combo boxes "Job type" and "Test" columns will not clear once a non-null value has been set. The former does not have "blank" in the list, the latter has but it seems not to work. Fixed to save nulls.

Bug-569 on Max Dry Density reported 22 Aug 2012 by Rick, fixed by Rick on 19 Sep 2012:
On form and report, Label "Description" should become "Remark" to distinguish from description on sample register details. (Internally it is still MODs.Description)

Bug-568 on Soil Report reported 22 Aug 2012 by Rick, fixed by Zinhle on 19 Sep 2012:
Summary of Soil Test Results: Swel is not shown? E.g. Loma 12-02095/6. It was not in the SQL. Added.

Serious Bug-567 on Mech Analysis reported 22 Aug 2012 by Rick, fixed by Zinhle on 19 Sep 2012:
Values in the 1st column (Cumulative Mass Retained) change change after Saving or clicking button "Get Sieve Data".
(Last column was linked to Retained values instead of Passing values.)

Bug-557 on Mechanical Analysis reported 30 Aug 2012 by Lindi, fixed by Zinhle on 19 Sep 2012:
When saving on the Mechanical Analysis tab – data changes. Thus incorrect data on the report. As Bug-567.

Wish-566 on Sieve form reported 22 Aug 2012 by Rick, fixed by Zinhle on 20 Sep 2012:
Ideally, along with Wish-565, we want to plot sieve sizes from the Mech Analysis and the Hydrometer Analysis, if they exist. (Done.)

Wish-565 on Sieve form and Mech form reported 22 Aug 2012 by Rick, fixed by Zinhle on 19 Sep 2012:
Can we move the Grading Modulus from the Sieve form to the Mech Analysis form, and remove 0.075 mm from the Sieve form? Also see Wish-566. Nico at Roadlab says (Tue 04/09/2012 11:03) "The suggested change should not cause a problem and can be done". Done. Indicator reports, Columnar reports, and Soil Summary Report modified to suit.

Wish-558 on Grading Modulus reported 30 Aug 2012 by Lindi, fixed by Zinhle on 19 Sep 2012:
Can Grading Modulus calculation be moved from Sieve Analysis to Mechanical analysis. As sieve analysis actually only goes to the 0.425 mm sieve. (Re-e-mailed Nico and Linda to ask if OK. OK'd. Same as Wish-565.)

Bug-552 on Classifications reported 6 Aug 2012 by Rick, fixed by Rick on 6 Aug 2012:
Description containing the word 'crush' is not recognised. (Was case-sensitive.)

Bug-520 on Main form reported 26 Oct 2011 by Spha, fixed by Zinhle on 10 Sep 2012:
Clicking close/cancel button on the login form, on second login: "Program Error in Sub frmCbReceive_Load in frmCubeReceive"
Unknown Search Type 2 =''.

Bug-512 on Columnar Report reported 30 Sep 2011 by Rick, fixed by Zinhle on 18 Sep 2012:
Hydrometer Test Results do not show on Report. They should.

Bug-511 on Columnar Report reported 30 Sep 2011 by Rick, fixed by Spha on 7 Oct 2011:
Can not view two columnar reports at the same time. Eg Job 16 on screen; asking for columnar report for job 735 does nothing. Close 16, then 735 works. Also: Blank title bar on report (may be related problem). Done.

Version 3.1.0.5 – 22 August 2012

Develop-531 on Print Labels reported 9 Apr 2012 by Rick, fixed by Rick on 22 Aug 2012: Improvements to print Sample labels: Arial font, Zebra bar code.

Version 3.1.0.4 – 21 August 2012

Develop-531: Start of Label printing: New menu items – Tools > View Sample Labels, Set Label Printer, No Label Printing, and Number of Copies on Tools menu, plus new Print Labels button on Sample Registration form.

Serious Bug-387 on Open Database reported 20 Apr 2010 by Rick, fixed by Rick along with Bug-530 on 5 Sep 2012:
Civilab can not open MDB file on 64-bit Windows 2008 Server:
Error in Function OpenDatabase on rnodDatabase
Error 3706: Provider cannot be found. It may not be properly installed.
on Ad.Open \\MAINDUDE\Civilab\Labbie\Labbie.mdb
Solution: Run under WOW as 32-bit application. Setup has been altered to suit.

Bug-511 on Columnar Report reported 30 Sep 2011 by Rick, fixed by Spha on 7 Oct 2011:
Can not view two columnar reports at the same time. E.g. Job 16 on screen; asking for columnar report for job 735 does nothing. Close 16, then 735 works. Also: Blank title bar on report (may be related problem). Done.

Wish-489 on Columnar Report reported 26 Jul 2011 by Rick, fixed by Spha on 7 Oct 2011:
Can Groups be set to not split across pages? Spha's fix did not work - Redone: OK.

Bug-486 on Columnar Report reported 26 Jul 2011 by Jan-Hendrik, fixed by Spha on 12 Oct 2011:
Asphalt Columnar Report is missing second sample data for jobs 733 & 747. (Currently no data for the samples concerned!)

Bug-453 on Sample Register reported 18 May 2011 by Rick, fixed by Spha on 7 Oct 2011:
Clicked [Duplicate this sample and its tests], got "No Tests to Copy!"
Then (and this is the bug): "Unable to Paste some Tests!"
Done. It now says: "No Tests to Paste! There are no Tests to Paste. Tick the required tests in the list for one Sample, then Click 'Copy Tests' and Paste again. Otherwise just Duplicate a Sample with its tests."

Version 3.1.0.3 – 7 August 2012

Develop-554 on Columnar Report reported 6 Aug 2012 by Rick, fixed by Rick on 7 Aug 2012:
Currently-built-in Soil Test Remarks must become data. This can now be edited in Setup > Company, on the new third tab "Remarks".

Wish-544 on Columnar Report reported 22 May 2012 by Linda, fixed by Rick on 7 Aug 2012:
Smaller font, to fit on one page (if possible). 8 pt. is acceptable (used 7.25 pt). Same as Wish-553
Wish-553 on Columnar Report reported 3 Aug 2012 by Lindi, fixed by Rick on 7 Aug 2012:
Loma Lab needs a smaller version of the Columnar report, i.e. one using a tiny font so that more will fit on a page, as Roadlab want this too (Wish-544). The new report is found under Soil Reports > Columnar Report (small).

Wish-551 on MOD Report reported 3 Aug 2012 by Lindi, fixed by Rick on 7 Aug 2012:
We need all the registered sample information on the Max Dry Density report – not all of it is currently reflected.

Version 3.1.0.2 – 2 July 2012

Minor Bug-542 on Grading Curves reported 22 May 2012 by Linda, fixed by Rick on 2 Jul 2012:
Grading output: No decimals, GM: 2 decimals on Soil Columnar Report.

Bug-537 on Sieve form reported 22 May 2012 by Linda, no fix by Rick on 29 Jun 2012:
Sieve analysis: 0.075% not recalculating (Unable to duplicate the problem.)

Bug-536 on Clients Form reported 17 Apr 2012 by Leticia, fixed by Rick on 18 Apr 2012:
Error in Sub SaveAll in frmClient - Data can not be Saved!
Cannot perform cascading operation. Since related records exist in table 'CubeBatches', referential integrity rules would be violated.
on Update modified Clients.
Problem arises because the update is trying to update ClientIX, which will never change, but VB seems to be too stupid to notice this.
Fix: In Labbie Database relationships, set Cascade Update ON between Projects and 'CubeBatches' tables.
(Same problem as Bug-528)

Bug-530 on Compile on 64-bit reported 1 Apr 2012 by Rick, fixed by Rick on 24 Jun 2012:
The application platform does not match the existing application on the server. Do you want to overwrite it? Yes (changing from Project > Properties > Compile > Advanced > AnyCPU to x86)
When running Setup:
The deployment identity at the deployment provider is not the same as the original deployment identity.
You changed your target CPU from CPUAny to x86:
You will have to reinstall the application.
(Done to solve Bug-529) But Labbie was not ON the laptop, so can't be uninstalled!
Trick: Run Setup.exe from INSIDE a Zip file –it then does not look on the internet for part of the installation, and installs OK (but the next time it runs it reverts to the internet version).
(Click-once confuses itself by running part of the setup from the web. Uploading the same version cures it.)

Bug-527 on MOD report reported 15 Feb 2012 by Rick, fixed by Rick on 29 Jun 2012:
MOD report can not select by Job number.
On Demo Lab (Roadlab 2011), Running report for JobID = 718: Crystal Report Windows Forms Viewer
The remaining text does not appear to be part of the formula.
The MOD Report is working again.

Bug-479 on Columnar Report reported 26 Jul 2011 by Linda, fixed by Linda on 2 Jul 2012:
ITS (Generic result) is not printing on Soil Columnar Report - Fixed.

Bug-308 on Soil Summary reported 15 Jun 2009 by Linda, fixed already:
Use UCS results if no CBR (Done 2009-12-11 in Sub DisplaySoilReports)

Version 3.1.0.1 - 25 June 2012

Bug-547 on Classifications reported 25 Jun 2012 by Rick, fixed by Rick on 25 Jun 2012:
TRH14 C-Classifications: UCS is in kPa but criteria from spreadsheet are in MPa.

Bug-546 on MOD reported 20 Jun 2012 by Loma Lab, fixed by Rick on 25 Jun 2012:
Remove the list that appears after saving MOD. Gets too long!

Version 3.1.0.0 - 24 June 2012

First Release that will run on 64-bit PCs as well as 32-bit ones. Note that we have gone from the 3.0-series to the 3.1-series.

Added TRH14 C-classifications (new fields: ACV and SandEq) and fixed several bugs:

Bug-483 on Soil Classifications reported 26 Jul 2011 by Linda, fixed by Rick on 24 Jun 2012:
Still need "C" Classifications using UCS (for compacted soil). Only have "G" Classifications at present.

Serious Bug-548 on Setup reported 24 Jun 2012 by Rick, fixed by Rick on 25 Jun 2012:
Difficulty with the installation or if PCs on the internet do not install automatically, if there is an error message similar to this:
Application Cannot be started. Contact the application vendor [OK / Details…]
and if you click Details, one of the messages in the text file that opens, reads:
+ The deployment identity does not match the subscription.
Solution: Uninstall/Remove Labbie first before installing. Done in Control Panel > Add or Remove Programs (Windows XP) or Programs and Features (Windows 7).

Serious Bug-545 on Certificate reported 13 Jun 2012 by Rick, fixed by Rick on 19 Jun 2012:
Trying to release from new Laptop. The project won't publish. It gives the error:
SignTool reported an error 'Key not valid for use in specified state.'.
"This CA Root certificate is not trusted because it is not in the Trusted Root Certification Authorities store. To enable trust, install this certificate in the Trusted Root Certification Authorities store."
To fix, double-click C:\Work\Labbie\Labbie2\LabbieKey3.pfx to import into the Trusted Root Certification Authorities store using the Certificate Import Wizard (See also Bug-218, where the Certificate was created.)

Bug-529 on Open Database on 64-bit reported 1 Apr 2012 by Rick, fixed by Rick on 1 Apr 2012:
Error in Function OpenDatabase on modDatabase
Error 3706: Provider cannot be found. It may not be properly installed.
On Ad.Open P:\Labbie\Labbie 2011.mdb
Choose Retry to Change Provider, currently:
Provider=Microsoft.Jet.OLEDB.4.0
(Same problem with Provider=Microsoft.ACE.OLEDB.12.0)
–––––––––––––-
Solution: There is not a 64 bit version of jet that is why you get that error. To force your app. to use the 32 bit change the target cpu to x86 in the advanced compiler options.

Bug-543 on CBR reported 22 May 2012 by Linda, fixed by Rick on 8 Jun 2012:
CBR Swell: Must be MOD < NRB < Proctor. Roadlab prefers "Final" then "Initial", Lomalab uses "Initial" then "Final": How to suit both? Take Absolute (Nico says swell can never be negative).

Develop-540 on Letterhead reported 22 May 2012 by Nico, fixed by Rick on 8 Jun 2012:
Roadlab needs a new header (with new address), and new footer (without Kaempffer).

Bug-534 on CBR reported 9 Apr 2012 by Rick, fixed by Rick on 9 Apr 2012:
Sequence: MOD -> NRB -> Proctor. Need to swap existing.
MOD density (around 100%) > NRB density > Proctor density (around 90%).
Swell = Final - Initial, not reverse.

Bug-528 on Projects Form reported 7 Mar 2012 by Leticia, fixed by Rick on 18 Apr 2012:
Data can not be saved! The record cannot be deleted or changed because table 'CubeBatches' includes related records
on Running Search: ocon Projects.
[bad error message. Occurs if there are cubes, e.g. for Project=Willows Retirement Village]
After changing error-handling from Try/Catch to On Error:
Error in Sub SaveAll in frmProjects
Data can not be Saved!
The record cannot be deleted or changed because table 'CubeBatches' includes related records.
on ProjectsTableAdapter.Update(modProjects)
Fix: In Labbie Database relationships, set Cascade Update ON between Projects and 'CubeBatches' tables.
(Same problem and fix as Bug-536)

Version 3.0.0.22 - 8 June 2012

Extend the validity of the program.

Version 3.0.0.21 - 1 May 2012

Extend the validity of the program. and address a number of concerns at Loma Lab, notably around the CBR. It also has an improved Help file.

Serious Bug-524 on Crystal Reports Setup reported 2 Feb 2012 by Alrika at Loma Lab: Crystal Reports Setup from the web says CAB file is corrupt. Seems to be sorted out.

Version 3.0.0.20 - 2 April 2012

Extend the validity of the program.

Version 3.0.0.19 - 1 March 2012

Extend the validity of the program.

Serious Bug-522 on Invoice form reported 30 Jan 2012 by Wihan, fixed by Rick on 31 Jan 2012:
We’re having some problem when invoicing with Labbie-it has reached INV1000 and won’t generate INV1001 for subsequent batches, i.e. still reverts to INV1000 for subsequent batches. (He means the CSV numbering, which stops at "LabbieInv1000.csv". Fixed.)

Version 3.0.0.18 – 8 December 2011

Bug-521 on Cube Report No Letterhead reported 2 Dec 2011 by Leticia, fixed by Rick on 8 Dec 2011:
The report is printing about 5 mm too high on the page, as of Version 3.0.0.17 - 1 December 2011.
(Spha had not checked his work on Bug-497. Fixed.)

Version 3.0.0.17 – 1 December 2011

Program validity extended to 29 February 2012.

Bug-513 on Maximum Dry Density Report reported 6 Oct 2011 by Spha, fixed by Spha on 13 Oct 2011:
Searching for job 735. Crystal Report Windows Forms Viewer:
The remaining text does not appear to be part of the formula.
Error in formula: The remaining text does not appear to be part of the formula.

Bug-510 on Columnar Report reported 30 Sep 2011 by Rick, fixed by Spha on 7 Oct 2011: No logos (Done)

Bug-497 on Cube Report to Client reported 26 Jul 2011 by Warren, fixed by Spha on 7 Oct 2011:
Remove labels "Our Ref", "Your Ref", Date" from the "No Letterhead" report and line up fields with pre-printed labels on letterhead. Move Refs line up, and the checkboxes line down, on both reports to match.

Version 3.0.0.16 – 2 October 2011

Serious Bug-509 on Database reported 23 Sep 2011 by Leticia, fixed by Rick on 26 Sep 2011:
Giuricich FNB: Getting double sample numbers on Cube report, Batch 2822.
Error in Sub frmCbReceive_Load in frmCubeReceive
Failed to enable constraints. One or more rows contain values violating non-null, unique, or foreign-key constraints. CubesTableAdapter.Fill(Me.LabbieDataSet2.Cubes)
No Data can be Shown!
(Solved by a compact and repair of the data. Also had to recreate indexes on Cubes and Cube Batches table, remove 1 duplicate cube, and re-set up referential integrity Cube Batches to Projects!)

Bug-502 on Users form (frmUsers) reported 26 Jul 2011 by Rick, fixed by Spha on 24 Aug 2011:
Remove "Roadlab Letterhead" from the top list. When we save a new User, then add data for them and try to save again, get error: Concurrency violation: the UpdateCommand affected 0 of the expected 1 records.
(Done)

Bug-485 on Columnar Report reported 26 Jul 2011 by Jan-Hendrik, fixed by Spha on 22 Sep 2011:
Still producing a blank last page.
(Fixed by Spha – No logos yet...)

Bug-477 on Soil Columnar Report reported 26 Jul 2011 by Linda, fixed by Spha on 22 Aug 2011:
For Soil Columnar Report, the Print icon on the Toolbar, and File > Print, do not work. One has to use the Print button on the Report itself.

Bug-451 on Sample Register reported 18 May 2011 by Rick, fixed by Spha on 29 Aug 2011:
Selected client S A Eartworks (PTY)Ltd, typed new project. Do you want to create project? Yes. Then:
---------------------------
Requested Client Project does not Exist
---------------------------
Could not Find ClientIX='Nuffield' ProjectNo=''
Click the Yellow Plus button to Create a New Project.

Bug-449 on Sample Register reported 18 May 2011 by Rick, fixed by Spha on 28 Sep 2011:
After changing SampleIX to 11/S0676 and selecting next (2?) cell(s):
Unhandled Exception: Operation not valid because it results in a reentrant call to the SetCurrentCellAddressCore function.

Minor Bug-429 on Soil Results Columnar report reported 23 Jan 2011 by Rick, fixed by Spha on 25 Aug 2011:
On clicking Main toolbar button to print report (2nd and later?):
Error in Sub PrintToolStripButton_Click in MDImain:
Object reference not set to an instance of an object on frmCubeDiary.ShowDialog
Try the Print button on the Report instead.

Bug-370 on Sample Register reported 29 Sep 2009 by Rick, fixed by Spha on 8 Sep 2011:
Click OK: It says it saved successfully, but then this nonsense comes up (AND Cancel doesn't work!):
---------------------------
Save Data Now?
---------------------------
Save Modified Data before Closing the Form?
If you do not save, your changes will be lost!
Cancel to stop Closing the Form

Minor Bug-364 on Search form reported 20 Sep 2009 by Rick, fixed by Spha on 26 Sep 2011:
Form does not remember which type of date was used in last search (if searched by dates), but always picks top one in list. Odd, because form should be kept open with all settings?

Bug-327 on Reports reported 3 Jul 2009 by Shawn, fixed by Spha on 21 Sep 2011:
When using Arrow Keys on Navigator (Main Toolbar) with Ctrl key to jump 5 reports, Ctrl key's effect "sticks" and user can not return to moving by single reports.
(Looked at it. To avoid it, don't release the key (Shift, Ctrl or Alt) before the processing cursor disappears. Or Key down the very same key after releasing it.)

Version 3.0.0.15 – 11 August 2011

Wish-500 on Cube Report to Client reported 26 Jul 2011 by Tammy, fixed by Rick on 11 Aug 2011: Change "km to site" to "km travel".

Wish-499 on Cube Report to Client reported 26 Jul 2011 by Tammy, fixed by Rick on 11 Aug 2011:
Underlining and Bold on the "No Letterhead" report should be same as on letterhead.

Bug-492 on Asphalt data entry reported 26 Jul 2011 by Jan-Hendrik, fixed by Rick on 10 Aug 2011:
Are some final results fields still locked for data entry? Jan-Hendrik listed. Unlocked.

Wish-490 on Asphalt reported 26 Jul 2011 by Jan-Hendrik, marked "fixed" on 10 Aug 2011:
Does the sample data get stored even if there was no sample number selected beforehand? Jan-Hendrik tested this and found that even if he enters the sample data first and selects the sample no. afterwards, the test data still gets saved into the database.

Wish-478 on Sample Register reported 26 Jul 2011 by Linda, fixed by Rick on 10 Aug 2011: Samples field lengths are now: CH - 80, Layer - 80, Description - 250, CemMixType - 40, TruckNo - 40, Lane - 40, Road - 160, WhyNotOK - 80, CemPerc - 30.

Niggle-463 on Asphalt data entry reported 5 Jul 2011 by Jan-Hendrik, fixed by Rick on 10 Aug 2011:
Pressing Enter rings the bell. Solution at http://forums.devx.com/archive/index.php/t-96491.html: e.Handled = True in KeyPress.

Bug-454 on Program reported 9 Jun 2011 by Leticia, fixed by Rick on 14 Jun 2011:
No results to Approve, but there are results not yet approved? (She printed before approval. Labbie only shows unprinted batches for approval. Go to Cubes > Enter cube crushing results, find the batch. Change Load to anything, new line, change Load back, save.)

Bug-448 on Invoice Report reported 5 May 2011 by Leticia, no fix by Rick on 7 Jul 2011: Invoice numbering - See Bug-457.

Bug-442 on Sample Register reported 28 Apr 2011 by Louis, fixed by Rick on 5 Jul 2011: Soil job is there but samples are missing or attached to the wrong batch. (Compacted and Repaired database. Problem stopped.)

Serious Bug-419 on Database reported 2 Dec 2010 by Linda, no fix by Rick on 7 Jul 2011: Labbie Storing Soil Jobs under wrong Projects: Jobs are not staying connected to the Clients originally chosen. See Bug-442.

Bug-457 on Invoice Report reported 5 Jul 2011 by Leticia, fixed by Rick on 10 Aug 2011: Our Ref numbers are still being skipped when calculating the Invoice number, e.g. Gothic Construction, Toyota Parkhaven: batches 056 to 065 are on invoice Our Ref 067 (should be 066). Batches 068 to 077 are on invoice Our Ref 079 (should be 078). 066 is totally missing! (Compacted and Repaired database. Leticia says problem stopped.)

Version 3.0.0.14 – 13 July 2011

Wish-472 on Cube Report to Client reported 5 Jul 2011 by Warren, fixed by Rick on 9 Jul 2011:
Move the "km to site" and put it stacked under the "Position" label.

Minor Bug-471 on Sample Register reported 5 Jul 2011 by Jan-Hendrik, fixed by Rick on 12 Jul 2011:
Having selected, on the Asphalt menu, "Other Tests", you then have to select "Other Tests" in the Sample Numbering drop-down list on the form too, in order to get the correct columns in the grid

Niggle-470 on Menus reported 5 Jul 2011 by Rick, fixed by Rick on 11 Jul 2011:
On the Asphalt menu, seeing "Other Tests" at the top is confusing: Not obviously the Registration form. Change to "Register Other Tests".

Bug-468 on Projects Form reported 5 Jul 2011 by Louis, fixed by Rick on 11 Jul 2011:
If, on the Sample Register, you type a new project name, Tab, answer "Yes" to "create a new project", a message comes up that it can not find that project! Requested Client Project does not Exist - Could not Find ClientIX='177a Empire Place' ProjectNo='', Click the Yellow Plus button to Create a New Project.

Minor Bug-467 on Sample Register reported 5 Jul 2011 by Louis, no fix by Rick on 11 Jul 2011:
Changes to the grid column widths are not remembered. (Could Louis be closing the form with the X and not OK or Cancel? It is working for me.)

Bug-466 on Sample Register reported 5 Jul 2011 by Jan-Hendrik, fixed by Rick on 11 Jul 2011: Changes to the Contact are not saved.

Bug-465 on Asphalt sieve data reported 5 Jul 2011 by Rick, fixed by Rick on 13 Jul 2011:
If you type in the data and THEN select the sample, the data is not stored for that sample. Either fix, or don't allow data entry until a sample number is chosen. (New Subs tsbEditData_Click and LockFormControls for Asphalt Tests form, and better code in Function SaveAllOK to Cancel the Save, or lose the sample.)

Minor Bug-464 on Asphalt data entry reported 5 Jul 2011 by Jan-Hendrik, fixed by Rick on 12 Jul 2011:
BRD Average should be calculated on rounded figures, not include hidden decimals

Bug-461 on Columnar Report reported 5 Jul 2011 by Jan-Hendrik, fixed by Rick on 10 Jul 2011:
Columnar Report for Asphalt needs signature block and remarks. Footer is falling onto top of next page. A line is too short at the right under each sub-heading.

Niggle-459 on Cube Report to Client reported 5 Jul 2011 by Warren, fixed by Rick on 9 Jul 2011:
The Cube Report sometimes runs to two pages (e.g. Batch 1807). What can be done? Add "Page n of m" to make it clearer.

Serious Bug-458 on Setup reported 5 Jul 2011 by Linda, fixed by Rick on 5 Jul 2011:
Setup will not install on Linda's PC: See Bug-458 CAHWMD57.log:
Following failure messages were detected: + The referenced assembly is not installed on your system. (Exception from HRESULT: 0x800736B3)
Solution from the internet: Delete the "%userprofile%\Local Settings\Apps" folder.

Bug-455 on Cubes Receiving Form reported 21 Jun 2011 by Leticia, fixed by Rick on 5 Jul 2011:
Some registered Batches are disappearing out of the database?
(Compacted and Repaired database. See if problem still occurs.)

Bug-443 on Sample Register reported 28 Apr 2011 by Linda, fixed by Rick on 5 Jul 2011:
UCS samples registerd for an existing client (Badiboa) appear under Lonerock. Many other samples appear to have attached to the wrong jobs.
(Compacted and Repaired database. See if problem still occurs.)

Develop-446 on Reports reported 18 Apr 2011 by Jan-Hendrik, fixed by Rick on 9 Jul 2011:
Document numbering: Discussed with Hester. Add Document Number, columns for Scale and Press to Cube Crushing Diary with previous results. Add Document Number to Cube Strength LetterHead report, NLA Logo to footer.

Version 3.0.0.13 – 30 June 2011

Request-456 on Cube Report to Client reported 22 Jun 2011 by Leticia, fixed by Rick on 30 Jun 2011: km too close to Truck Number, add LDV.

Program validity extended to 31 August.

Version 3.0.0.12 – 2 May 2011

Bug-444 on Asphalt Columnar Report reported 18 Apr 2011 by Jan-Hendrik, fixed by Rick on 2 May 2011: Removed heading "Columnar Report". Used 1 cm margins and 9 pt to fit more on one page. Added Footer logo. Made data columns wider and label (first) column narrower.

Bug-445 on Asphalt reported 18 Apr 2011 by Jan-Hendrik, fixed by Rick on 2 May 2011: Are Immersion Index (C5) and ITS on our Asphalt input and report? Yes.

Program validity extended to 30 June.

Version 3.0.0.11 – 1 April 2011

Program validity extended to 30 April.

Version 3.0.0.10 – 21 February 2011

Bug-439 on Atterberg Limits reported 7 Feb 2011 (d) by Linda, fixed by Rick on 16 Feb 2011:
PI Calculation is not right on the Columnar Report, also not on die Atterberg Limits form.
(Plasticity Index = LL - PL. Also added Plastic Limit to columnar report)

Bug-441 on UCS reported 7 Feb 2011 (c) by Linda, fixed by Rick on 16 Feb 2011:
On the Columnar Report the UCS values did not show..

Serious Bug-365 on Cube Progress report reported 20 Sep 2009 by Rick, fixed by Mzamo on 25 Sep 2009 and now approved:
Cube Progress report is not selecting data correctly: Same Batch ID shows for different Projects. "Our ref" column should be Cube IX, not Our Batch ref.
Changed our ref column to Cube IX.

Bug-361 on Cube Progress report reported 25 Jul 2009 by Rick, fixed by Mzamo on 23 Sep 2009 and now approved:
Cube Reports > Cube Progress - Search fails if one tries to search on dates (none in list):
Sub ShowChildForm failed - InvalidArgument=Value of '0' is not valid for 'SelectedIndex'.
Parameter name: SelectedIndex on Showing frmReports
Child Form not can be Shown!

Version 3.0.0.9 – 30 January 2011

Bug-437 on Soil Classifications reported 30 Jan 2011 by Rick, fixed by Rick on 30 Jan 2011:
G9 (CBR90) / G8 (CBR93) Failed to Save - Function SaveAllOK in frmTestClassify
Cannot set column 'TRH14'. The value violates the MaxLength limit of this column.
(It now lets you choose which CBR to use if there is a dual classification.)

Bug-436 on Soil Results Columnar Report reported 30 Jan 2011 by Rick, fixed by Rick on 30 Jan 2011:
Soil Results > Columnar Report with search for JobID only:
Error in Function ListValues$
The specified field 'JobID' could refer to more than one table listed in the FROM clause of your SQL statement.

Bug-435 on CBR reported 30 Jan 2011 by Rick, fixed by Rick on 30 Jan 2011:
Swell % was not being calculated for NRB if MOD's Initial or Final was blank, otherwise was being calculated from MOD's Initial and Final.
Also reported by Linda, Sheet 1 on Labbie 2010-12-14.xls

Misunderstanding-431 on Search form reported 25 Jan 2011 by Rick, no fix by Rick on 25 Jan 2011:
See Sheet 1 of Labbie 2010-12-09.xls
When searching for Sample Register Report:
No results were found for this condition:
ClientIX IN ('DIE001') AND ProjectNo=1
Plese select different data!
(This Project has no results. They might have been mislaid as a result of user changing project, or finger trouble.)

Bug-434 on Road Indicator Report reported 13 Dec 2010 by Linda, fixed by Rick on 30 Jan 2011:
See Sheet 9 of Labbie 2010-12-13.xls
Soil Results > Road Indicator Report : no result given even though it was typed.
[RIR:] Displays OK for Jobs 312, 314, 306 and 311, BUT the latter two show no Logo!
(Some Clients.CoID=Null instead of 1. Did not show logo because of no data with CiID=Null in Setup table (Outer Join with Clients).)

Bug-433 on Columnar Report reported 13 Dec 2010 by Linda, fixed by Rick on 30 Jan 2011:
See Sheet 8 of Labbie 2010-12-13.xls
Soil Results > Columnar Report sometimes gives no result even though it has data.
[RIR:] Displays OK for Jobs 312, 314, but not 306 or 311!
(Some Clients.CoID=Null instead of 1. Did not show data because of Inner Join with Setup table.)

Bug-432 on CBR Form reported 13 Dec 2010 by Linda, fixed by Rick on 30 Jan 2011:
See Sheet 1 of Labbie 2010-12-13.xls
When calculating results on Results Tab, the % compaction and Swell % are blank: Should carry through from Compaction tab's calculations.

Bug-306 on CBR form reported 15 Jun 2009 by Linda, fixed by Rick on 30 Jan 2011:
% Compaction and Swell are not carrying through to calculations during first entry. Same as Bug-432 above.

Minor Bug-430 on Projects form reported 8 Dec 2010 by Linda, no fix by Rick on 24 Jan 2011:
See Labbie 2010-12-08.xls: When entering new project:
Error in the Project Price Data Grid!
You have left something blank.
If you do not know how to fix this problem, please report it. Details: Column 'ClientIX' does not allow nulls.
(Unable to reproduce: Need details.)

Bug-426 on Clients Form reported 7 Dec 2010 by Linda, no fix by Rick on 24 Jan 2011:
See sheet 4 of Labbie 2010-12-07.xls: When entering new client, called from Sample Register: Clients Data
Unhandled exception has occurred in your application. Column 'ClientlX’ does not allow nulls.
Error in Sub SetWindowState for frmClient
Column 'ClientIX' does not allow nulls.
(Unable to reproduce: Need details.)

Bug-424 on MOD reported 7 Dec 2010 by Linda, fixed by Rick on 23 Jan 2011:
See sheet 2 of Labbie 2010-12-07.xls: when plotting the MOD and OMC graph:
Error in Sub DrawChartSplines
Overflow error.
(Added message: Identical X Values = 7.2000 at two points! Curve will be ill-conditioned: Suggest you exclude one.)

Minor Bug-415 on Setup reported 24 Nov 2010 by Rick, to fix by Rick on 25 Jan 2011:
Last part of Bug-414: If Click Once is set to look for updates on the internet, it also looks there for initial installation, even if it is told to install from a CD-ROM. A workaround is to Explore into a Zip file of the Setup, and run Setup.exe there. Note that Setup.exe only gets created if the top checkbox in Project > Properties > Publish > Prerequisites is ticked: Otherwise one has to run Labbie.application.
Ravi Shankar [ravish@microsoft.com] + Saurav Basu [sauravb@microsoft.com] looked into this under Ref: 110112437443401.
Solution (06 December 2010 21:35):
- deleting the IE cache on your machine
To clear the IE cache, open a new IE8 window and press CTRL+SHIFT+DEL together, to get a window illustrated in the image below. Select all the checkboxes and hit on Delete. It will take a while and then clear the cached data.

Bug-377 on Search form reported 22 Oct 2009 by Rick, no fix by Rick on 30 Jan 2011:
Error in Sub cmdOK_Click
Invalid bracketing of name '[CubeBatches.DateSent]'.
(Does not seem to happen anymore.)

Version 3.0.0.8 – 24 January 2011

Serious Bug-390 on MOD reported 23 Jan 2011 by Rick, fixed by Rick on 23 Jan 2011:
The grid data was still not being saved! Program does not see any changes or additions to LabbieDataSet2.MODdata (in Function SaveAllOK). Unable to tell why. (Used SQL Statements to bypass Microsoft's nonsense and Update/Insert directly in database. Must refine for changes only.)

Bug-428 on Soil Results Columnar report reported 23 Jan 2011 by Rick, fixed by Rick on 23 Jan 2011:
Output not formatted: For Stabilised needs 0=No;1=On Site;2=In Lab, and date formatting.
(Date format might differ depending on machine settings – just trimming, not formatting. Aught to use LookupDate function?)

Bug-427 on Soil Results Columnar report reported 23 Jan 2011 by Rick, fixed by Rick on 23 Jan 2011:
When searching with a Job Number:
Error in Function ListValues$: The specified field 'JobID' could refer to more than one table listed in the FROM clause of your SQL statement.

Misunderstanding-425 on Module reported 7 Dec 2010 by Linda, no fix by Rick on 23 Jan 2011:
See sheet 2 of Labbie 2010-12-07.xls: No form for ITS to be calculated. (ITS was not specified for Labbie.)

Query-423 on Atterberg Limits reported 7 Dec 2010 by Linda, answered by Rick on 23 Jan 2011:
See sheet 1 of Labbie 2010-12-07.xls: What to do if PI = NP ?
(You leave the data blank and just type "NP" in the "PI" box.)

Bug-422 on Sample Register reported 7 Dec 2010 by Linda, no fix by Rick on 23 Jan 2011:
See sheet 1 of Labbie 2010-12-07.xls.
When entering sample number 10/U4145 manually: Unhandled exception - Operation is not valid because it results in a re-entrant call to the SetCurrentCellAddressCore function.
(Unable to duplicate: Need Details!)

Bug-421 on Soil Results Columnar report reported 30 Nov 2010 by Linda, fixed by Rick on 23 Jan 2011:
Information not in The Correct Places (see Sheet 4 of Labbie 2010-11-30.xls)
In Sample Details, Lane data missing between CH and Layer.

Bug-420 on Report unknown reported 30 Nov 2010 by Linda, no fix by Rick on 22 Jan 2011:
Crystal Report Windows Forms Viewer
The remaining text does not appear to be part of the Formula.
Error in File C:\DOCUME~\Linda\LOCALS~1 \Temp\temp_45e$b46-46f-4S45-2F2-bFd4Fdd7 {86061C6?-5685-4D79-M I E-473FD$5E9413}.rpt:
Error in formula. 'ClientIX='ROA004''
(see Sheet 3 of Labbie 2010-11-30.xls)
(Unless we know what report this was, we have no hope of duplicating the error.)

Serious Bug-417 on Cubes Receiving Form reported 30 Nov 2010 by Leticia, fixed by Rick on 1 Dec 2010:
Error in Sub frmCbReceive_Load in frmCubeReceive
Not a legal OleAut date.
CubesTableAdapter.Fill(Me.LabbieDataSet2Cubes)
No Data can be Shown.
(CubeIX 10/21812 had a date = 0:00. Replaced with yesterday's date -all is well.)

Bug-394 on Startup code reported 31 Aug 2010 by Rick, fixed by Rick on 17 Jan 2011:
If one clicks Cancel instead of logging in:
Program Error in Sub frmCbReceive_Load in frmCubeReceive
Unknown Search Type 2 =''
The Cube Receiving form then opens.
Version 3.0.0.7 – 24 November 2010

Version 3.0.0.7 – 24 November 2010

Serious Bug-414 on Setup reported 24 Nov 2010 by Jan-Hendrik, fixed by Rick on 24 Nov 2010:
On Labbie 3.0.0.5: Cannot Start Application - Application Validation did not succeed. Unable to continue.
Details…
Following errors were detected during this operation.
- Reference in the manifest does not match the identity of the downloaded assembly Labbie.exe.
Microsoft Support by Saurav Basu [sauravb@microsoft.com]:
Project Explorer > Project > Clean and the Rebuild may have fixed it, or
C:\Program Files\Microsoft Visual Studio 8\SDK\v2.0\Bin>mage -cc

Version 3.0.0.5 – 23 November 2010

Wish-409 on Sample Register reported 16 Nov 2010 by Louis, fixed by Rick on 23 Nov 2010:
The field sizes for Description, Road, and Layer need to be larger (80+, 40, 30?)
(Do on site: Description is already 250 (max). Make Road 160 (was 80), CH 40 (was 12), Layer 40 (was 20).)

Minor Bug-406 on Projects Form reported 16 Nov 2010 by Rick, fixed by Rick on 21 Nov 2010:
Closing the Projects form when opened from the Sample Register form, it asks to save modified data, but "Cancel" does not stop the form closing.
The code should work, per VB Help, but it does not, so changed the Sub to avoid the Cancel Option.
(Appears to be a bug in VS 2005: e.Cancel = True set by Function SaveAsk called from Sub form_Closing, but the form closes nevertheless!)

Bug-405 on Cubes Receiving Form reported 16 Nov 2010 by Deon, fixed by Rick on 23 Nov 2010:
Batch Our Ref numbering has gaps. Why? How to prevent?
(Added Code to warn user and let them fill gaps (Batches/Cube Invoices only). Add to Soil Jobs too?)

Bug-404 on Projects form reported 16 Nov 2010 by Jan-Hendrik, fixed by Rick on 22 Nov 2010:
A blank project number is created when creating a new Project using the […] button from the Sample Register form.
(ProjectRef may still be left blank.)

Bug-403 on Sample Register reported 16 Nov 2010 by Linda, fixed by Rick on 21 Nov 2010:
"More >" button duplicates items (should clear list first).

Bug-413 on Sample Register reported 16 Nov 2010 by Linda, fixed by Rick on 23 Nov 2010:
Moved from Bug-402: Summary of Results (Landscape) gives 2009 results too, not just 2010.
(2009 Soils data was left in the database for testing purposes when in was split 2009/2010 for Cubes. Can be removed on site.)

Bug-401 on Sample Register reported 16 Nov 2010 by Louis, fixed by Rick on 21 Nov 2010:
Sample Numbering works with UCS but not the others (S and I) - they start at 1 each time. (Not true for Investigation samples, they have just saved to 10/I0003 and no more) (In Setup > References, on Tab "Samples", for "Soil Tests", change the Format from YY/S0000 to YY/\S0000 (i.e. put a backslash before the "S"). Reason: "S" is a special format character used for seconds. The backslash forces the letter S.)

Bug-393 on References form reported 31 Aug 2010 by Rick, fixed by Rick on 21 Nov 2010:
The grid(s) referred to C:\Work\Labbie\Labbie.mdb

Bug-381 on Invoices Summary form reported 25 Jan 2010 by Rick, fixed by Rick on long ago:
Invoicing did not work for Soil Samples.

Version 3.0.0.4 – 4 October 2010

Bug-399 on Cube report reported 1 Oct 2010 by Leticia, fixed by Rick on 4 Oct 2010: Reporting for Cruise Construction, OR Tambo, per Project for whole of 2009: "Crystal Report Windows Forms Viewer. Query Engine Error: DAO Error Code: Oxd2O.
Source: DAO.Database
Description: Query is too complex.’
Failed to open a rowset.
Query Engine Error
(Arises because of translation of BatchID IN () [not understood by Crystal reports] to list of 266 batches. Found workaround.)

Version 3.0.0.3 – 31 August 2010

First Release of Asphalt features.

Serious Bug-395 on Reverting problem reported 31 Aug 2010 by Rick, fixed by Rick on 31 Aug 2010:
After I've installed Labbie 3.0.0.3 it runs, but then when I run it again, 3.0.0.2 runs instead. To fix: Add/Remove Programs > Labbie > Change/Remove button > Restore the Application to its previous state > OK. It seems that Windows gets confused and thinks the new version is an older one.

Version 3.0.0.2 – 3 August 2010

Bug-392 on Asphalt Tests form reported 3 Aug 2010 by Rick, fixed by Rick on 3 Aug 2010: If txtGroup1-6 text boxes for visibility of Group checkboxes are not Visible, showing of checkboxes does not work! (Made visible, but disabled, with small grey text.)

Serious Bug-391 on Setup reported 29 Jul 2010 by Rick, fixed by Rick on 3 Aug 2010: After installing Labbie.3.0.0.1 from locally-stored Setup.zip, next time it runs, it reverts to 3.0.0.0 on Jan-Hendrik's PC and on Leticia's. On my laptop it does not do this, but disappears the desktop shortcut (which Dion complains of). On my PC, installation from Internet, gives "Exception occurred loading manifest from file Labbie.exe: the manifest may not be valid or the file could not be opened". Created a new Setup.

Version 3.0.0.1 – 26 July 2010

Invoicing now works 100% with Asphalt and Soil tests. The Invoicing form now has a combo box that lets you choose which cost centre (Cubes, Soil, Asphalt, etc.) to bill for. You can only view billing for one cost centre at a time.

Added new form Setup > Test Components to edit the Components of tests: In the first column ("Main Item"), specify Price List items that will be selected on the Registration form as Tests to be performed. Repeat on as many rows as are required. In the second column ("Consists of"), specify the one actual test to be performed as part of the main item. For example, a Road Indicator (single Main Item to be billed) might consist of (actual tests to be performed) Sieve Analysis, Mechanical analysis, Atterberg Limits, MOD, and CBR (5 rows). The ("Consists of") tests need not have prices in the Price List, unless they can also be done separately.

The Setup > Price List form now has two new items in the "Test" column's combo box: Classifications, Asphalt, and Composite. The latter will be used to tie in with tests in the Components table. "Asphalt" will allow all Asphalt tests to be carried out on the sample. "Classifications" will allow the COLTO, TRH 14, AASHTO (Group Index), and Unified Classifications to be reported.

Added Soil Test and Asphalt menus to Help.

Version 3.0.0.1 – 21 June 2010

First Release of Labbie Asphalt. Sample lists on the Asphalt forms now show Asphalt samples only. Enter and down arrow key move the focus down, up arrow key moves it up (where applicable). The Asphalt Sieve form now allows readings to be taken cumulatively per sieve (as before) but also individually per sieve (Roadlab method, as on Soils Sieve form) and will try to warn you if you are using the wrong method.

Version 3.0.0.0 – 21 June 2010

First Release of Labbie Asphalt. Sample lists on the Asphalt forms now show Asphalt samples only. Enter and down arrow key move the focus down, up arrow key moves it up (where applicable). The Asphalt Sieve form now allows readings to be taken cumulatively per sieve (as before) but also individually per sieve (Roadlab method, as on Soils Sieve form) and will try to warn you if you are using the wrong method.

Version 2.0.1.4 – 7 June 2010

Full Beta Release of Labbie Asphalt.

Serious Bug-386 on Hydrometer form reported 31 Jan 2010 by Rick, fixed by Rick on 31 Jan 2010: Error in Sub dgvHydroData_CellEndEdit in frmTestHydro: Error 9: Index was outside the bounds of the array. Hydrometer Calculations. (Bug in Sub D422Table3)

Bug-376 on Pastel Export reported 21 Oct 2009 by Debi, Abandoned by Rick on 25 Jan 2010: Some Labbie invoices imported into Pastel are allocated to March instead of the correct month: 3 in August, some in Sept/Oct. Debi to fax a printout (never received). Unable to explain, but has not recurred.

Version 2.0.1.3 – 21 May 2010

Beta Release of Labbie Asphalt forms (reports still to come).

To allow Labbie to run a 64 bit driver (AccessDatabaseEngine_X64) for Access 2010, you can now change the "Provider" in the Connection String if the program can not make the connection. The string "Provider=Microsoft.ACE.OLEDB.12.0" is placed on the clipboard and can be pasted to replace the usual "Provider=Microsoft.Jet.OLEDB.4.0". This has to be done per PC as it is stored locally in the Registry.

Extensive changes have been made to e-mailing to allow sending using SMTP (localhost and address), MAPI, Outlook, and MailTo, to address the following bugs: Bug-229, Bug-249, Bug-275. See this page for details. This also allows the e-mailing of many reports that could not previously be e-mailed directly, such as Cube Diary and Cube Month Statistics.

Fixed Bug-229 on e-mailing reported 14 Oct 2008 by Shawn: Roadlab can't e-mail. SMTP address smtp.isdsl.net agrees with Outlook, but gives error: Invalid SMTP Server Address. Address isdsl.net on its own does not work either.

Fixed Bug-249 on e-mailing reported 28 Jan 2009 by Shawn: Setup > Company > Test Connection works, but e-mailing from report still says "bad SMTP address".

Fixed Bug-275 on e-mailing reported 25 Apr 2009 by Rick: Error on emailClient.Send in Sub cmdTest_Click in frmSetup: "Invalid SMTP Server Address? User not local; please try a different path. The server response was: User not local!"

Version 2.0.1.2 – 15 April 2010

Pre-Beta Release of Labbie Asphalt.

Version 2.0.1.1 – 7 April 2010

Released with expiry date of 7 June 2010.

Version 2.0.1.0 – 12 March 2010

Re-released program with corrected expiry date of 7 April 2010.

Version 2.0.0.20 – 12 March 2010

On the Samples form, the column "% Cement" may now include text, e.g. "10% OPC".

On the Samples form, on the right of "Project", you can now specify the type of test (only Soil Tests are operable at present). Invoices are separated according to the type of test. Columns in the grid may vary depending on the type of test.

On the Invoice Summary form, you can now specify the Cost Centre (type of test). Only Cube Tests can be Invoiced at present.

The Asphalt menu has been added, but items on it are not functional yet.

Version 2.0.0.19 – 25 January 2010

Bug-383 on Sample Register reported 25 Jan 2010 by Rick, fixed by Rick on 25 Jan 2010:
Sample Register form (and others) lose their Title Bar text.

Minor Bug-380 on Cubes Receiving Form reported 25 Jan 2010 by Rick, fixed by Rick on 25 Jan 2010:
"There are no Prices set for this Project." when there are in fact prices set (on recalculating Billing - Sub cmdDuplicate_Click).

Bug-382 on View/Print Reports reported 11 Dec 2009 by Rick, fixed by Rick on 25 Jan 2010:
"Mark as Printed" fails: Error in Function ListValues$ - Operation is not allowed when the object is closed.

Bug-350 on Sample Register reported 4 Sep 2009 by Louis, fixed by Rick on 25 Jan 2010:
"Error in Sub cmdProjects_Click in frmSampleRegister: A column named 'ItemDesc' already belongs to this DataTable." after closing Projects form and editing billing, Project opened from Samples
(Put code in Sub BillingGridSetup to exit if there are columns.)

Develop-105 on Price List form reported 15 May 2008 by Rick, fixed by Rick on 25 Jan 2010:
Added a choice for "Visit" to combo box here and on Project billing. On cubes receiving billing, if Visit is set and there are km, bill for one visit, not for km.

Version 2.0.0.18 – 11 December 2009

The Soil Summary, Road Indicator, and Extended Road Indicator reports have been improved with the addition of UCS in the same columns as CBR if there is no CBR, date sampled, who sampled by, position, and other minor improvements.

Version 2.0.0.17 – 12 November 2009

Serious Bug-378 on Cubes Receiving Form reported 11 Nov 2009 by Leticia, fixed by Rick on 12 Nov 2009: Can't Save Cubes: Error in Sub SaveDataChanges in frrnCubeReceive
The INSERT INTO statement contains the Following unknown Field name: ‘ApprovinglD’, Make sure you have typed the name correctly, and try the operation again. Updating CubeBatches
(Someone changed the field name "ApprovingID" to "ApproviatID" in the Cube Batches table. Fixed.)

Bug-375 on Search form reported 20 Oct 2009 by Modise, fixed by Rick on 21 Oct 2009:
Searching on Client and Project says "no results found for this selection". However the results are there and searching on Client, batch nos, etc does find results. The problem occurs only where there are duplicate project names (it may find the wrong client).

Version 2.0.0.16 – 16 October 2009

Bug-374 on Cubes Receiving Form reported 15 Oct 2009 by Leticia, fixed by Rick on 15 Oct 2009:
Enter and Save. Click Yellow plus button for a new Batch, and enter Client: The other boxes do not enable!
(Sub SaveDataChanges was skipping the line fLoading = False)

Version 2.0.0.15 – 14 October 2009

Develop-356 on Cubes Receiving Form reported 4 Sep 2009 by Rick, fixed by Rick on 14 Oct 2009:
Need automatic invoicing of slump tests, and Standing Time, which should replace Travel Time.

On the Prices form and the Billing tab of Projects, you can now specify prices as Bill for = Slump, Standing. If "Slump" occurs in a Project's billing list and the Cubes Receiving form has a measured slump, one slump test will automatically be billed on the billing tab (or with the Recalculate Billing button). On Cubes Receiving form, the field "Standing Time" replaces "Travel Time". If this is filled in and the Project's billing list form has a "standing" item, standing time (in hours and fractions of an hour) will automatically be billed on the billing tab (or with the Recalculate Billing button).

Bug-372 on Invoice Export reported 13 Oct 2009 by Diane, fixed by Rick on 14 Oct 2009:
The message headed "Write Pastel Import Files?" does not explain what Yes and No do.
(Added Message "Yes = Proceed.", "No = Change the Pastel folder.")

Serious Bug-373 on Invoice Export reported 13 Oct 2009 by Diane, fixed by Rick on 14 Oct 2009:
Error in Sub InvoiceAll in frmReports: Conversion from string "117.csv" to type "Integer" is not valid.

Serious Bug-368 on Sample Register reported 29 Sep 2009 by Rick, fixed by Rick on 14 Oct 2009:
Sample Tests grid combo box is missing the PrIX and Description!
(May occur only if one starts a new project from the Sample Register form?)

Bug-352 on Sample Register reported 4 Sep 2009 by Louis, fixed by Rick on 14 Oct 2009:
Sample Billing not saving on Version 2.0.0.13. Was OK in previous version? No.
In fact there is no Billing Button yet. (Sample Billing now works.)

Bug-369 on Sample Register reported 29 Sep 2009 by Rick, fixed by Rick on 29 Sep 2009:
"Duplicate Sample and its Tests" button was not working.

Bug-322 on Projects Form reported 30 Jun 2009 by Rick, fixed by Rick on 29 Sep 2009:
Bug at demo: Billing tab - Left combo not refreshing after a visit to the Prices form? Got unhandled exception. (Refresh button handles now. Made it refresh whole grid so it does both combos.)

Bug-321 on Projects Form reported 30 Jun 2009 by Rick, fixed by Rick on 29 Sep 2009:
Bug at demo: Billing tab - combo box with Cubes etc does not allow blank anymore!
(Depended on Prices table. Now forced. Also made drop-down lists 20 lines long.)

Serious Bug-309 on Invoice Report reported 15 Jun 2009 by Leticia, fixed by Rick on 23 Aug 2009:
Leticia says that Tannie Gerrie is finding that figures do not add up to totals. Will scan and send example (never did). (This was fixed as Bug-348 on 23/08/2009.)

Bug-241 on Holidays form reported 26 Oct 2008 by Rick, fixed by Mzamo on 30 Sep 2009:
Data for Holiday name and the two checkboxes do not display. The two checkboxes do not display and not adding HolID to new records.

Bug-218 on Deployment reported 14 Sep 2008 by Rick, fixed by Rick on 29 Sep 2009:
After compiling from a different machine (or new Labbie1_TemporaryKey.pfx, which had expired): Application Cannot be Started. Contact the Application Vendor. Temporary solution is to reinstall.
(Certificate LabbieKey3.pfx extended to 2014 using C:\Work\RoadLab\Renewcert.exe. See Bug-367)

Serious Bug-367 on Certificate reported 21 Sep 2009 by Rick, fixed by Rick on 21 Sep 2009:
SignTool reported an error 'Failed to sign bin\Debug\Labbie.publish\\setup.exe. SignTool Error: ISignedCode::Sign returned error: 0x80880253: The signer's certificate is not valid for signing.
Solution: Run Renewcert.exe obtained from http://www.may.be/renewcert/
For more details see C:\Work\VS\RenewCertif\RenewCert\May.be
This takes old certificate, creates new one that expires in five years' time.

Version 2.0.0.14 – 20 September 2009

Bug-354 on Invoice form reported 4 Sep 2009 by Leticia, fixed by Rick on 7 Sep 2009:
"View Data" button not working: Reference not set to an instance of an object. This also happened with the "Delete" button.

Serious Bug-347 on Cubes Receiving Form reported 20 Aug 2009 by Rick, fixed by Mzamo on 11 Sep 2009: Spurious message (not true) after changing the Days for a new cube (commented out for release):
"NOTE: There are test results. If you change the test day here you will lose the results and have to re-enter them: Is this OK?"

Bug-333 on Crushing Diary report - today reported 26 Jul 2009 by Rick, fixed by Mzamo on 28 Aug and Rick on 20 Sep 2009: Shows all days instead of Today! Margins set. If no cubes today, date does not show. Caption "Verification of Cube Diary Report" fixed.

Bug-332 on Cube Progress report reported 25 Jul 2009 by Rick, fixed by Mzamo on 28 Aug 2009:
New report does not show any data. Title should be "Cube Progress" not "Verification of Cube Progress".

Develop-331 on Soil Test forms reported 24 Jul 2009 by Rick, fixed by Mzamo on 9 Sep 2009:
All Soil Test forms (sieve, through MOD to Classifications) must be able to be opened more than once. Sieve, Mech, Hydro, Atterberg, MOD, CBR, UCS, Field, Other, Classifications can now be opened more than once. New Bug-358: Program overlays windows of the same Form, even if moved apart.

Develop-233 on Cube Progress report reported 14 Oct 2008 by Rick, fixed by Mzamo on 6 Aug 2009:
Report needs preceding search. Removed likely mpa, add size2 next to size1, use batchid not batchno and project name not projectno. Search hide group boxes ("Search Results to Show" and "Options to Output…").

Develop-155 on Cubes Receiving Form reported 26 Jun 2008 by Rick, fixed by Mzamo on 27 Aug 2009: Button to easily duplicate the Batch (ask if user wants it with/without cubes).

Bug-144 on Cubes Receiving Form reported 23 Jun 2008 by Rick, fixed by Mzamo on 21 Aug 2009:
One could change the "Days" value if there are test results. Now program warns you and you lose the results if you proceed, and the batch is marked as not yet approved.

Wish-106 on Projects form reported 15 May 2008 by Rick, fixed by Fixed by Rick on 19 Sep 2009:
Billing tab: Added Refresh button on the local toolbar that you can use to re-query the combo box if the price list has been changed on another form.

Version 2.0.0.13 – 23 August 2009

Serious Bug-348 on Invoice Report reported 21 Aug 2009 by Diane, fixed by Rick on 23 Aug 2009:
Invoice totals are sometimes wrong. This was a display problem. Correct totals were always exported to Pastel. Corrected on report and in code. "Closed Invoices" code changed to allow reprinting and re-exporting of old invoices.

Bug-349 on Pastel Export reported 21 Aug 2009 by Diane, fixed by Rick on 23 Aug 2009:
Error on importing the file: "Line Items do not Exist". Solution: Open Setup > Price List and check that "Billing Code" on the right is filled in for the Item numbers concerned. Civilab's Pastel GL codes must be filled in because they are different to the Price List Item numbers.

Version 2.0.0.12 – 20 August 2009

Added Soil Tests > Hydrometer Corrections form, which allows test data for Hydrometer Readings vs. Temperature to be entered per Hydrometer and Cylinder as per ASTM, plotted, and Correction Factors (slope of line) to be worked out. Hydrometer readings form altered to suit: Hydrometer and Cylinder combo boxes added; choosing both causes Correction Factor to be looked up from Hydrometer Corrections list.

Cubes > Cubes Receiving form has a new button, "Duplicate Batch", that will duplicate all the batch data (data in the top frame) to a new batch, with a new batch number. You mast add cubes in order to save the new batch.

Cube Reports menu rearranged into a more logical order, with most-used reports at the top.

A few Cubes menu items were renamed slightly.

Version 2.0.0.11 – 5 August 2009

Bug-336 on Program reported 3 Aug 2009 by Rick, fixed by Rick on 3 Aug 2009:
Error Unable to find manifest signing certificate in the certificate store. MDI_ES
(I found in the project properties the tab "Signing". The checkbox "Signing the ClickOnce manifest" was checked. Uncheck it and the error disappears.)

Bug-335 on Program reported 3 Aug 2009 by Rick, fixed by Mzamo on 5 Aug 2009:
Labbie Errors on a new development PC: faxcomexlib.faxdocument is not defined, faxcomexlib.faxServer is not defined. (The fax services are not installed! Go to Control Panel > Add and Remove Programs > Windows components. Tick "Fax Service" and install.)

Bug-334 on Search Received Cubes reported 27 Jul 2009 by Rick, fixed by Rick on 27 Jul 2009:
Error in Sub frmCbReceive_Load in frmCubeReceive
Cannot find column [Cubes.DateCast].
No Data can be Shown!
(Mzamo error removed)

4 Aug 2009: Modified Setup > Company to show the Header and Footer logos at the size they will be printed. You can now widen the form (by dragging an edge) to see the full width of the logo.

Version 2.0.0.10 – 27 July 2009

Serious Bug-328 on Soils Reports reported 24 Jul 2009 by Linda, fixed by Rick on 24 Jul 2009:
All the Soils Reports are blank! There IS data.
(In Sub form_Shown, there was an extra Case "JobSamples", with no code.)

Bug-299 on Soil Classifications reported 15 Jun 2009 by Linda, fixed by Rick on 16 Jun 2009:
TRH14 & COLTO should use UCS results if CBR not available. Check standards: COLTO makes no provision to use UCS, but does not need CBR for G1-G3. TRH14 makes no provision to use UCS, but does not need CBR for G1. (Allowed TRH14 G1 & COLTO G1-G3 if no CBR. Deon says can't use UCS instead of CBR (not in standards).)

Bug-283 on Search form reported 29 Apr 2009 by Rick, fixed by Mzamo on 22 Jul 2009:
Projects Search does not work for specified project, only for Client.
(Note: May find wrong project if there are duplicate names!)

Minor Bug-243 on Humidity form reported 11 Nov 2008 by Rick, fixed by Rick on 19 Nov 2008:
If you type a Humidity and then backspace to blank, the program has an unhandled exception. Same with temperature on the Bath Temperature.

Minor Bug-222 on Client & Projects form reported 29 Sep 2008 by Rick, fixed by Mzamo on 22 Jul 2009: When I Cancel the Client or Projects form, it asks me to save modified data, even if there is none. Carried from Bug-125

Minor Bug-181 on Projects Form reported 20 Jul 2008 by Rick, fixed by Mzamo on 16 Jul 2009:
On the billing tab, the grid must be sorted by Item Number.

Bug-175 on Login reported 11 Jul 2008 by Rick, fixed by Mzamo on 14 Jul 2009: When you change Password on the Login form, then try to log in thereafter, it stays on the Change Password part.

Develop-156 on Cubes Receiving Form reported 26 Jun 2008 by Rick, fixed by Mzamo on 21 Jul 2009:
Extra checking: Min cube size = 70, max = 300 (both sides, side1 and 2). Does not apply to cores.

Develop-154 on Search form reported 26 Jun 2008 by Civilab, to fix by Mzamo on 14 Jul 2009:
Search: We need to be able to search Crushing Diary report by date. & See Bug-153
(Only done for Crushing Diary report with previous results.)

Develop-153 on Search form reported 26 Jun 2008 by Civilab, to fix by Mzamo on 10 Jul 2009:
We need to be able to search Crushing Diary report by Batch number (ID). & See Bug-154
(Only done for Crushing Diary report with previous results.)

Wish-138 on Company Setup form reported 13 Jun 2008 by Rick, fixed by Mzamo on 16 Jul 2009:
Form should respond to F1 button for Help, or have Help button.

Bug-123 on Search form reported 6 Jun 2008 by Rick, fixed by Mzamo on 22 Jul 2009:
1. Projects Search is titled "Compressive Strength Test Report".
2. Search for a project on its own does not work - probably looking for project no instead of project no + Client IX.

Minor Bug-122 on Projects Form reported 6 Jun 2008 by Rick, fixed by Mzamo on 22 Jul 2009:
Open the form. Move to the next record. Click Cancel. Why does it think that data has changed?

Minor Bug-76 on Clients Form reported 31 Oct 2007 by Rick, fixed by Mzamo on 22 Jul 2009:
The Save and OK buttons should dim when not required, including after save
Also, "Save" lights up when moving from record to record even if nothing has changed! (RIR 23/06/2008).

Version 2.0.0.9 – 2 July 2009

Internal Bug-320 on Sample Register reported 1 Jul 2009 by Mzamo, fixed by Rick on 1 Jul 2009:
System.InvalidOperationException was unhandled
DataMember property 'FK_Jobs_Samples' cannot be found on the DataSource."
DataMember property 'FK_Samples_SampleTests' cannot be found on the DataSource."
(Relations had been renamed in LabbieDataSet2.xsd)

Bug-319 on Invoice form reported 24 Jun 2009 by Diane, noted by Rick on 25 Jun 2009:
Appears to be putting batch number in place of correct Our Reference. Wihan says Rose is still getting correct references on Cubes Receiving. Wihan spoke with Rose and they have indeed been putting in the batch no as our reference – so just a misunderstanding.

Wish-318 on MOD form reported 15 Jun 2009 by Rick, fixed by Mzamo on 1 Jul 2009:
Compactive effort now has a combo box.

Bug-317 on MOD form reported 15 Jun 2009 by Rick, fixed by Rick on 18 Jun 2009:
Final moisture content calculation: Is Geosure method according to spec, or Roadlab's?
Geosure method has been hidden (Not to THM1 A7).

Niggle-323 on All forms reported 2 Jun 2009 by Rick, fixed by Mzamo on 2 Jul 2009:
It would be nice if forms would remember their previous state (restored or maximized) so that they go back to that state when one swaps to that form using the Window menu.

Bug-231 on Cubes Receiving Form reported 14 Oct 2008 by Shawn, fixed by Rick on 16 Jun 2009:
Invoice numbers are not included: Batch numbering ignores previous invoice numbers. (Fixed a while ago.)

Develop-212 on Login form reported 8 Sep 2008 by Rick, fixed by Rick on 16 Jun 2009:
Title bar of form should display "Log in to ". Startup should check whether the database being opened is indeed a Labbie database. (Done some time ago.)

Bug-188 on Cubes Receiving Form reported 4 Aug 2008 by Shawn, fixed by Rick on 16 Jun 2009:
Numbering Our Ref: Does not include Our Refs used in Invoice numbering. (Was fixed some time ago.)

Version 2.0.0.8 – 16 June 2009

Develop-316 on Invoicing reported 28 May 2009 by Diane, fixed by Rick on 16 Jun 2009:
It should be possible to set the Invoice Printer to "None". Leticia also needs it.
(Was already possible, though a bit hidden (Export Type on Invoices Summary). Added option to Tools menu: No Invoice Printing.)

Serious Bug-305 on MOD form reported 15 Jun 2009 by Rick, fixed by Rick on 16 Jun 2009:
Form wants database on C:\Work\Roadlab.

Minor Bug-304 on Atterberg form reported 15 Jun 2009 by Linda, no fix by Rick on 16 Jun 2009:
Closing form: Created new test for sample.(Can't duplicate.)

Minor Bug-302 on Sample Register reported 15 Jun 2009 by Linda, fixed by Rick on 16 Jun 2009:
Changes to fields in Sample Register (Job):
- Change "Position of Samples" to Comment, rearrange and fix tab order.
Changes to fields in Samples Grid:
- Remove Condition
- Make Road 80 chars.
- Add "Type of Cement" (was there, just hidden).
- "Date Made" appears as 25/00/2009 for Linda (format was dd/mm/yyyy, needs MM)
- Add checkbox "Sample Suitable for Testing?" and reason.

Minor Bug-301 on Soil Classifications reported 15 Jun 2009 by Linda, fixed by Rick on 16 Jun 2009:
Error closing form: This operation requires an IBindingList in Sub cboSampleGoTo.

Bug-299 on Soil Classifications reported 15 Jun 2009 by Linda, fixed by Rick on 16 Jun 2009:
TRH14 & COLTO should use UCS results if CBR not available. Check standards: COLTO makes no provision to use UCS, but does not need CBR for G1-G3. TRH14 makes no provision to use UCS, but does not need CBR for G1.
(Allowed TRH14 G1 & COLTO G1-G3 if no CBR. Must consult Deon for using UCS instead of CBR.)

Bug-298 on Sample Register reported 15 Jun 2009 by Linda, fixed by Rick on 16 Jun 2009:
Errors occur in right-hand grid when navigating between some jobs:
Sample Tests Data Grid Error trapped in Sub dgvSampleTests_DataError:
DataGridViewComboBoxCell value is not valid.
(Arises when item is no longer in the Price List for this Project. Improved error message.)

Wish-274 on Invoices Summary form reported 23 Apr 2009 by Diane, fixed by Rick on 16 Jun 2009:
Error in Function OpenCSVFiles when Invoicing. They changed the path to Pastel: Improve error message:
(Improved error message; also made it check earlier if folder exists (and ask if it does not).)

Version 2.0.0.7 – 15 June 2009

On the Soil Tests menu: Atterberg Limits now has a second chart, Expansiveness, plotted from a new button on the right. The percentage clay (percent passing 2 micron sieve size) is required, either from Hydro analysis, or directly input. This chart is remembered for later printing. The MOD graph is now remembered for later printing.

On the Soil Results menu: Foundation Indicator now shows the grading curve and, where it exists, a second chart, Expansiveness. There are two new reports: Foundation Indicator with MDD and CBR, and Road Indicator.

Version 2.0.0.6 – 9 June 2009

Serious Bug-297 on Cubes Receiving Form reported 9 Jun 2009 by Leticia, fixed by Rick on 9 Jun 2009: Labbie hangs when choosing Client "Nesandla", Project "Weltevreden Brakpan". Reason: Function RefOurCubeBatch goes into an infinite loop when checking for duplicate Our Ref in Invoices, if the Project number has too many characters (probably because the ClientIX is too long).
(Put in code to kick out of loop and warn the user.)

Various Microsoft Report Viewer reports have been changed to Crystal Reports versions, with the ultimate aim of eliminating Report Viewer from the program. Ongoing.

The MOD table in the database has been renamed to "MODs" to avoid a naming conflict with a built-in function.

Version 2.0.0.5 – 28 May 2009

Sieve analysis now plots a grading curve, and this is stored in the database so that the correct one displays as you move from record to record.

Version 2.0.0.4 – 24 May 2009

Various Soil Test menu items have been debugged, improved and/or adjusted to adapt to practice at Roadlab. Sieve analysis can now be done using cumulative or individual pan masses (radio button to choose, with checks). Atterberg graph improved and interpolation done Log-Linear, also recalculates if tin mass changes. CBR Saving bug fixed, new option to swap Mod and Proctor. MOD decimals reduced, now fills in sample number. UCS arranged as Mod then Proctor, with option to swap. Plotting has been improved in various ways.

Added a new File menu item: "Restore Connection" to re-connect to the database if connection has been lost (for example due to a power interruption or spike on a switch). Use this instead of re-starting Labbie if you get a message that database connection has been lost.

Version 2.0.0.3 – 19 May 2009

Soil Results > Soil Test Summary now works, with search.

Version 2.0.0.2 – 17 May 2009

Bug-296 on Cubes Receiving Form reported 14 May 2009 by Wihan, fixed by Rick on 16 May 2009:
Some of the project no’s (“C” no’s) change to different no’s after the input has been done. This can be seen either when searching received cubes or viewing results for approval.

Additionally, added two small arrow buttons on the right of "Our Ref":
| Uses a Previous "Our Ref" (cycles through up to 3 previous values –useful for Civilab to re-use the same Job number), } Calculates the Next "Our Ref" for this Project.

Bug-295 on Approve Cube Results reported 14 May 2009 by Modise, fixed by Rick on 14 May 2009:
Modise wants Search button for "Approve", and print buttons re-enabled.

Serious Bug-294 on CBR reported 13 May 2009 by Rick, fixed by Rick on 14 May 2009:
Failed to Save - Function SaveAllOK in frmTestCBR: Query is too complex, CBRTableAdapter.Update.
Problem solved by editing the DataSet Update Command. The CBR form is now fully functional, including graphs.

Bug-292 on Projects Form reported 13 May 2009 by Rick, fixed by Rick on 13 May 2009:
On Labbie 2009 from Roadlab, from Receive Samples, […] to existing project, added prices using button. OK/Save not enabled, so added contact. Clicked OK:
"Save failed - Data can not be Saved! The record cannot be deleted or changed because table 'Jobs' includes related records on"
Looks like VB trying to unnecessarily "change" the Project No. Need cascade update & delete on Projects link to Jobs table. (Enabled BindNavSaveItem in the Add Prices button. Added cascade update & delete on Projects link to Jobs table.)

Bug-291 on Report form reported 12 May 2009 by Rick, fixed by Rick on 12 May 2009:
The Search Type "CubeDiar" has not been programmed for in rptCubeStrength.
Error occurred on "View Report" button on "Enter Cube Results", and "Invoice Details" forms.

Version 2.0.0.1 – 12 May 2009

Serious Bug-290 on Approve Cube Results reported 12 May 2009 by Leticia, fixed by Rick on 12 May 2009:
The "Approve" and "Reject" Checkboxes aren't showing! Fixed

Bug-286 on Cube Report to Client reported 5 May 2009 by Shawn, fixed by Rick on 12 May 2009:
Labels have become all lowercase on "No Letterhead" report. Fixed.

Version 2.0.0.0 – 11 May 2009

CBR Plotting and final calculations added. Tests tables recreated in back-end with full referential integrity including Cascade Update and Cascade Delete to fix bug "The record cannot be deleted or changed because table 'MODdata' includes related records.".

Bug-289 on View Closed Invoices reported 8 May 2009 by Leticia, fixed by Rick on 8 May 2009:
When checking closed invoices I want to go to the last invoice and this is the message that I get every time I press the arrow at the top next to viewing invoice: Unhandled Exception, object reference not set to an instance of an object.
(Appears to have been fixed already. However search for Closed Invoices was also displaying open ones: Fixed.)

Bug-288 on Cubes > View reported 29 Apr 2009 by Rose, fixed by Rick on 5 May 2009:
CubesTableAdapter.Fill failed: Cannot find column [CubeBatches.ClientIX].

Bug-285 on Cubes Receiving Form reported 30 Apr 2009 by Leticia, fixed by Rick on 5 May 2009:
Amoya JHB eye clinic account reference did not continue instead of 82 it was 83.
(No explanation unless 82 was created and then deleted.)

Bug-284 on Cubes Receiving Form reported 29 Apr 2009 by Leticia, fixed by Rick on 5 May 2009:
Cruise Construction, O R Tambo Int Airport "Our Ref" is stuck on 60, does not increment.
(Cruise Construction Ref Number 59 was /59/ not /059/. Made more robust.)

Bug-272 on Invoice Report reported 31 Mar 2009 by Diane, fixed by Rick on 30 Apr 2009:
Labbie runs out of memory after a few invoices and has to be re-started.
Error in Sub InvoicesTasks in rptCubeStrength: Exception of type 'System.OutOfMemoryException' was thrown. (Reports have been thoroughly revamped and now search only for the items required, instead of the whole database –error has not occurred since)

Version 1.2.0.15 – 30 April 2009

The Search form for all Cube Reports and View/Print has been tidied up and a new Group added to allow you to preview (and export) reports by Cube Batch (as before), by Project, or all in one report.

Bug-278 on Cubes > Cube Batches reported 29 Apr 2009 by Rose, fixed by Rick on 29 Apr 2009:
When opening form from search: "Argument 'Path' is Nothing or empty" in Sub SetColumnWidths..
When closing form, Labbie crashes on unhandled exception in Sub SaveColumnWidths.
(Also added minor improvements to grid: Allow column resizing, reordering, and freeze first three columns.)

Serious Bug-276 on Setup Form reported 25 Apr 2009 by Rick, fixed by Rick on 25 Apr 2009:
Setup Form no longer saves: Labbie.frmSetup.cmdOK_ClickClick failed:
"No value given for one or more required parameters on Microsoft JET Database Engine"
(Civilab dB has no Date/Time field "Archived" which is present in RoadLab version. Added code to add.)

Request-268 on Cubes Receiving Form reported 31 Mar 2009 by Smittie, fixed by Rick on 20 Apr 2009: Meeting Issue 6: Disallow updating of Cubes Receiving data (dates etc) after approval --or require authorisation? (Gives warning if approved, and sets back to "not approved" if the user proceeds. Could be tightened up to demand password.)

Request-267 on Invoice form reported 31 Mar 2009 by Smittie, fixed by Rick on 28 Apr 2009:
Meeting Issue 5: Invoicing process is too cumbersome (printing is too slow). (Fixed with Bug-265)

Request-265 on Cube Report to Client reported 31 Mar 2009 by Smittie, fixed by Rick on 28 Apr 2009:
Meeting Issue 3: Output cumbersome - only one report at a time (per file). Add "Batch" option to put all results for a project into one file. (Also speeded up Crystal Reports considerably.)

Serious Bug-263 on Database reported 31 Mar 2009 by Smittie, fixed by Rick on 28 Apr 2009:
Meeting Issue 1: After updates, it seems historical data is lost? (January) How can we ensure confidence in data integrity? Earlier bug now fixed? (Created new Report > Cube List (Integrity Check) and compared cubes at three time-frames. Seem OK.)

Version 1.2.0.14 – 20 April 2009

Request-273 on Projects Form reported 4 Apr 2009 by Rick, fixed by Rick on 4 Apr 2009:
Some users find the search for Duplicate names annoying. At the same time it is not that useful since it searches only the current client. Thus the duplicate MULDERSDRIFT PRECAST SLABS for Civilab were not picked up.
(Improved search to search all clients, and unsaved data, but added checkbox "Check Duplicate Names?" to optionally turn the feature off temporarily. Contacts and Output choices brought to first Tab.)

Request-270 on Cubes Receiving Form reported 31 Mar 2009 by Smittie, fixed by Rick on 6 Apr 2009:
Meeting Issue 7: km are often omitted when required. Dangerous to just carry forward previous km for the project. Drop-down list of previous km? Checkbox for collected/delivered?
(Added Combo Box for km filled from previous entries and Project km, and for Supplier, Made by, Delivered by, filled from previous entries. Added error-checking for numeric entries – a warning [red circle with exclamation mark] appears if the data is not numeric: Hover the mouse over it for a Tooltip)

Request-268 on Cubes Receiving Form reported 31 Mar 2009 by Smittie, fixed by Rick on 20 Apr 2009:
Meeting Issue 6: Disallow updating of Cubes Receiving data (dates etc) after approval --or require authorisation?
Change: The form now locks when data has been saved, including after a search. User has to click "Edit Data" button on the form's toolbar in order to edit saved data. The program warns the user if data was approved, and sets back to "not approved" if the user proceeds. It could be tightened up to demand password.

Request-266 on Invoice form reported 31 Mar 2009 by Smittie, fixed by Rick on 20 Apr 2009:
Meeting Issue 4: Invoicing - Quantities not generating automatically (zero cubes)? Line for zero km inserted (rather omit).
Change: Program now recalculates billing more aggressively, but omits lines where amount is zero. When you swap to the billing tab, a new button "Recalculate Billing" appears, which you can use to recalculate and replace all the billing. It also warns you if the Project has no Prices, and tells you to click the [...] button at the top to go to the Project form to put in the prices.

Bug-264 on Cubes Receiving Form reported 31 Mar 2009 by Smittie, fixed by Rick on 1 Apr 2009:
Meeting Issue 2: After changing a project name, it put in wrong name? (January) See various printed examples: Muldersdrift etc. Earlier bug now fixed?
Could be Bug-254 on Cubes Receiving Form reported 5 Feb 2009 by Thys? When you search for a batch, it comes up with a different Client for the batch. Thys was not sure if the cube data stays, will get back to me. I can't replicate it: This appears not to happen anymore.
(Seems to be an isolated incident: See e-mail 01/04/2009 16:24, "LABBIE Data Confidence". 4 Projects changed names.)

Bug-262 on Invoice form reported 30 Mar 2009 by Rick, fixed by Rick on 30 Mar 2009:
Found and fixed bug: "Show Data" button was not going to the right Batch(es).
Made "Show Data" and Delete buttons put data back in same Sort Order when done.

Bug-261 on Invoices reported 30 Mar 2009 by Leticia, fixed by Rick on 30 Mar 2009:
Please check batch id 640,643,657,581 for Cruise Construction, OR Tambo Airport: No "Our Ref", "Cast On", or Received.
(Batches 640, 643, and 657 do not exist, 581 exists but seems to have lost its "Our Ref". Queried with Leticia. The creation of "Our Ref" may have been happening on record changes: Now fixed.)

Version 1.2.0.13 – 30 March 2009

Reissue to fix problem: Labbie won't run because Visual Basic Power Pack is not installed (removed Visual Basic Power Pack from References again and uninstalled from development PC).

Version 1.2.0.12 – 29 March 2009

Improved Soils Tests: Atterberg, Mech, Hydro, UCS now working well; Sieve, Field tests working; MOD, CBR and Generic data input. Minor database changes.

Version 1.2.0.11 – 16 March 2009

Reissue to fix problem: Labbie won't run because Visual Basic Power Pack is not installed (removed horizontal line from Generic test form, and Visual Basic Power Pack from References).

Version 1.2.0.9 – 15 March 2009

Improved Soils Tests: Atterberg, MOD, Generic tests. Added File > Import > Tins and File > Import > Moulds.

Version 1.2.0.8 – 8 March 2009

Improved Soils Tests: Sieve, Mechanical Analysis, Hydrometer. Saving and calculations.

Version 1.2.0.7 – 4 March 2009

Beta version of Soils Tests (Phase4). Working Sample Register Form and Search.

New buttons on Projects form: Add Default Prices (this copies the Prices from the Price List that have the Test column filled in –duplicates may result in the Bill For column, in which case the program warns you) and Open Price List (so that you can inspect and edit Prices).

New column on the Price List Form: Job Type (combo box can be All, Soil, Aggregate, Asphalt, Bitumen, Rubber, Cores, or Cubes). This will be used later so that you only get the tests and pricing applicable to the type of job for which you are entering samples. The Test column now has a combo box that can be set for Travel, Visit, Cubes, Set (of Cubes), any of the Soils Tests that have their own data forms, or Generic. "Generic" allows results to be entered for any test, but does no calculations.

Version 1.2.0.6 – 27 February 2009

Revised Pre-Beta version of Soils Tests (Phase4) with References for Jobs and Samples, Price List for Samples.

Version 1.2.0.5 – 9 February 2009

Serious Bug-255 on Cubes Receiving Form reported 6 Feb 2009 by Wihan, fixed by Rick on 9 Feb 2009: A batch number is not assigned when cubes are received. The program crashes if you try to save.

Bug-256 on Updating reported 6 Feb 2009 by Wihan, fixed by Rick on 6 Feb 2009:
After the installation of 1.2.0.4 directly from Setup.zip, Labbie opens under the correct version. But when closed and reopened it opens as 1.2.0.3.
(Only on PCs with Internet access. Labbie apparently updates off the internet even if it is an older version. Uploading the full internet update fixed it.)

Serious Bug-254 on Cubes Receiving Form reported 5 Feb 2009 by Thys, marked as supeseded by Rick on 9 Feb 2009: To get around Bug-253 they tried entering the same data again, but when they search for it, it comes up with a different Client for the batch. Thys is not sure if the cube data stays, will get back to me (did not). (Can't replicate: This appears not to happen anymore.)

Version 1.2.0.4 – 6 February 2009

Serious Bug-253 on Approve Cube Results reported 3 Feb 2009 by Wihan, fixed by Rick on 6 Feb 2009: Some batches are not appearing for approval - Wihan sent data and examples.
(It appears that using the "Mark as Printed" function with no Output checkboxes selected, marked unapproved batches as printed, so they did not appear for approval anymore. Fixed. The Search on "Approve Cubes" (toolbar button) has been changed to ignore Approval if you search on cubes or batches.)

Major enhancements to Search form: You can now search on Cube IX, Client Cube Ref, or Batch ID for all searches that involve Cubes. All can take multiple values separated by commas. Cube IX and Client Cube Ref can take single values with the "%" (any characters) wildcard.

The navigation buttons on the main toolbar now allow you to use shift keys to jump a number of pages: Shift = Jump by 5, Ctrl = 20, Shift+Ctrl = 100, Alt = go to First or Last.

Version 1.2.0.3 – 3 February 2009

Pre-Beta version of Soils Tests (Phase4).

Data Error-252 on Cubes Results Form reported 30 Jan 2009 by Leticia, fixed by Rick on 2 Feb 2009:
Error in frmCubeDiary_Load: Failed to enable constraints. One or more rows contain values violating non-null, unique, or foreign-key constraints on Filling on Provider=…
---------------------------
Also manifests as:
A) After approving cubes: Labbie Error in Sub SaveData in rptCubeStrength
B) On Searching Received Cubes: Error in Sub frmCbReceive_Load in frmCubeReceive
Failed to enable constraints. One or more rows contain values violating non-null, unique, or foreign-key constraints. CubesTableAdapter.Fill(Me.LabbieDataSet2.Cubes): No Data can be Shown!
(Cube 09/00118 was duplicated in the Cubes table (only visible after a compact and repair). Removed and all is well. Also removed empty batch 53. Cube 09/00534 is missing from Batch 114.)

Version 1.2.0.2 – 30 January 2009

Serious Bug-251 on Invoices Summary form reported 29 Jan 2009 by Shawn, fixed by Rick on 30 Jan 2009: He was busy invoicing, got: Error in Function RefOurCubeBatch in Module Shared. Error -2147217900 — Syntax error in string in query expression RefOur LIKE ‘# AND DateGotCubes> =#1/1/2009# AND DateGotCubes<#1/1/2010#’.

Version 1.2.0.1 – 29 January 2009

Pre-Beta version of Soils Tests (Phase4).

Serious Bug-248 on Cubes > Search Received Cubes reported 28 Jan 2009 by Shawn, fixed by Rick on 28 Jan 2009:
When opening form, bug in numbering: Error in Function RefOurCubeBatch in Module Shared: Non-negative number required. Parameter name: "totalWidth". After changing billing - no OK button ("Search Received Cubes" was hooked up to new Samples Registering form instead of Cubes Receiving.)
Not saving ref Nos for last year (numbering out of kilter: "09/nnnnn" numbers for 2008 – made more robust).

Added Autocomplete ListItems to the Combo Boxes on the Search form.

Version 1.2.0.0 – 27 January 2009

Pre-pre-Beta version of Soil Tests menu with forms down to Atterberg Limits (for checking appearance, but not functional). Renamed "Reports" menu as "Cube Reports" and moved next to "Cubes" menu. A few icons have changed. Improved error-reporting on e-mailing.

Version 1.1.0.47 – 23 January 2009

New Splash screen picture and icon. On Help > More About, the "Yes" button now opens the Labbie "What's New" web page.

Added context-sensitive help to Setup form (Setup > Company). Improved routine to check SMTP Address for e-mailing.

Reference numbering revamped. Program now takes the year and month into consideration, if resetting per year or month. For cubes it uses the Date cast for the year and month. For cube batches it uses the date received.

Serious Bug-247 on Approve Cube Results reported 18 Dec 2008 by Shawn, fixed by Rick on 19 Dec 2008:
After Shawn approved cubes he gets "Error in Sub in rptCubeStrength - the search key was not found in any record", and then the approved batches have not been approved. The error occurs in Sub SaveData on the Update. To fix, it needed a second compact & repair (On Access 2003, previously done on his laptop on 2007). Also fixed all "Error in Sub in" messages.

Version 1.1.0.46 – 18 December 2008

Bug-245 on Cube Variation Graph reported 25 Nov 2008 by Deon, fixed by Rick on 17 Dec 2008:
Fax from Leticia: Deon wants Cube Variation Graph changed as per sample (this item), and one for (Mean and) Standard deviation (to do: Bug-246). (New (Crystal Reports) version is a mess and may not be able to be fixed: It won't do 7- and 28-day separately. Tidied up a bit and changed menu item. Old (Report Viewer) version fixed as required, and preview in Print Layout, with better margins, and heading.)

Version 1.1.0.45 – 8 December 2008

Minor Bug-243 on Humidity form reported 11 Nov 2008 by Rick, fixed by Rick on 19 Nov 2008:
If you type a Humidity and then backspace to blank, the program has an unhandled exception. Same with temperature on the Bath Temperature.

Bug-140 on Start-up reported 19 Jun 2008 by Dinny and others, fixed by Rick on 8 Dec 2008:
Error in LogMemory in modShared: "Access to Path C:\Labbie.Log is denied"
Probably PC's security is set so that the program is not allowed to write to C:\ (root directory of C drive). Increased debugging level to 1 for the offending lines. Fixed error message (was repeating message).

Version 1.1.0.44 – 26 October 2008

Serious Bug-238 on Invoices fixed by Rick on 26 Oct 2008:
If project or client is changed for a batch, the Invoice Items were not moved to the invoice for the new project. When opening, Invoice Summary now checks all open Invoices to make sure that items on them are for correct client and project. If not, it offers to fix. It also checks selected items on View, Recalc, and Invoicing (and won't proceed with latter).

Develop-239 on Invoice Report reported 17 Oct 2008 by Diane, fixed by Rick on 26 Oct 2008:
"The pro forma prints to the invoice printer, it should print to bookkeeper 1020".
You can now choose the printer for Invoices instead of using the default printer. Use Tools > Set Invoice Printer.

Develop-236 on Crushing Diary report reported 17 Oct 2008 by Rick, fixed by Rick on 23 Oct 2008:
When Cubes > Crushing Diary report is run on or after 13:00, it now starts with tomorrow instead of today. Now covers next six days too.

Bug-234 on Projects Form reported 17 Oct 2008 by Gerrie, fixed by Rick on 26 Oct 2008:
On Project Items tab, Rose had unhandled DataError event in the DataGridView (null ClientIX.).
Unable to re-create, but put in better error-reporting.

Bug-230 on Pastel Export reported 14 Oct 2008 by Diane, fixed by Rick on 23 Oct 2008:
Import into Pastel failed: Type Mismatch. Extra custom fields added for Civilab, and missing Y.

Bug-220 on Invoicing and Pastel Export fixed by Rick at various times:
If an invoice was not Viewed first, Cast On and Received On Dates were blank.

Wish-132 on Crushing Diary report fixed by Taipeyi earlier: Added a search button (on Toolbar).

Version 1.1.0.43 – 14 October 2008

Bug-228 on Crushing Diary form reported 29 Oct 2008 by Thys, fixed by Rick on 10 Oct 2008:
If scale and/or press have been calibrated, the program will now adjust weight and force readings to actual values using the calibration. The last calibration for that scale in the last year is used. The last calibration for that press in the last year is used. A message appears on the navigation toolbar if the program adjusted the reading, or failed to find a calibration.

Serious Bug-227 on Crushing Diary form reported 9 Oct 2008 by Thys, fixed by Rick on 9 Oct 2008:
Modise says that when he has approved 7-day cubes, the batch stays approved even after the 28-days results have been entered.

Request-219 on Invoice Report reported 23 Sep 2008 by Shawn, fixed by Rick on 14 Oct 2008:
Use Date Received instead of Cast (Also fixed Grand Total in report).

Develop-189 on Search form reported 1 Aug 2008 by Shawn, fixed by Rick on 10 Oct 2008:
The combo boxes should drop down the list as soon as one starts typing, like Cube Receiving form does. Set (Property) AutoCompleteMode = SuggestAppend and AutoCompleteSource = ListItems. This has been set on all combo boxes.

Niggle-124 on Projects Form reported 6 Jun 2008 by Rick, fixed by Rick on 30 Sep 2008:
Form needs tweaking on Contacts tab: line up text boxes, swap e-mail and cell so e-mail can expand. "e-mail" not "Email". Billing tab: grid row height should be standard.
(dgvProjectPrice.RowTemplate.Height = 18 done by MDN 080930.)

Develop-100 on Crushing Diary form reported 16 Apr 2008 by Rick, fixed on dates up to 10 Oct 2008:
1) Make client combo box always visible and functional - with <All Clients> at top.
2) On line under Dates, always show Batch ID, Client, Project for current row in grid
3) Add new button to go to Cubes Receiving for the selected batch.
4) Add combo box for Lab Tester, drawn from Lab Testers over last 3 months (unique values). Allow own data entry. Default to last value used.
5) Scale and Press must become combo boxes, drawn from values over last 3 months (unique values). Allow own data entry. Default to last value used.
(2-3 done by Rick previously. 1. done earlier by TPT. 4-5 defaults done earlier by Rick, combo boxes now added.)

Version 1.1.0.42 – 29 September 2008

Pastel Export Invoice header fields revised to match Civilab requirements.

Bug-224 on Pastel Export reported 25 Sep 2008 by Rick, fixed by Rick on 28 Sep 2008:
Labbie was ignoring the Options (for Header, ditto, etc.). Program now asks for Pastel Debtor Code if there isn't one.

Bug-223 on Cubes Receiving Form reported 25 Sep 2008 by Rick, fixed by Rick on 29 Sep 2008:
The […] button to open Projects did not find the selected Project. Fixed

Bug-221 on Invoicing reported 25 Sep 2008 by Rick, fixed by Rick on 29 Sep 2008:
Reprint Invoices produced 31 copies double-sided during step-through debugging. Test compiled version.
Stepped thorough and it now appears OK, but still printing duplex despite simplex setting.

Version 1.1.0.41 – 24 September 2008

The items on the Orders menu are moving to other menus: Invoicing to Tools, and the others to Setup (they will tell you so if you use the old versions). New icons have been added for various menu items and forms.

On the Invoicing form, just to the left of the "Invoice Now" button there is a Combo Box labelled "Export Type". By default it will be "No Export". Leave it that way and you wont be bothered by the Pastel Export (and the Invoicing process may run a little faster).

Pastel Export no longer asks you to set the folder each time, but you will be asked to confirm the path and can change it by answering "No".

Develop-207 on Pastel Export reported 4 Sep 2008 by Rick, fixed by Rick on 24 Sep 2008: Revamped detail lines to agree with files exported from Civilab. Choice of Export Type: None, Pastel Code order, Pastel Date order. Option for Heading "TO THE EXECUTION OF STANDARD LABORATORY TESTS" (underlined). Options to add dates (cast or received), Batch No, Our Ref, Price Code, to Description. Split longer Descriptions into 40-character remarks if needed. Option "ditto" to remove duplicate descriptions. The Options pop up when you change the Export Type. NB: Export Type and Options are remembered per PC, not per site.

Develop-192 on Invoice form reported 1 Aug 2008 by Shawn, fixed by Rick before 14 Sep 2008: Added "Our Ref" column to the Invoices Details Grid.

Develop-174 on All Forms reported 11 Jul 2008 by Rick, fixed by Mzamo on 24 Sep 2008: All forms and reports now remember their Window State (Maximized or Restored) and position on screen when they close (if closed using OK or Cancel, but not the X at top right), and use the same parameters when they open again. If never opened on that PC, most of them Maximize. Those that have grids also remember grid column widths. Forms that have grids and navigator bars have a Reset button on the right that resets the grid(s) columns to the defaults.

Develop-105 on Price List form and on Project billing reported 15 May 2008 by Rick, fixed by Taipeyi previously: Add a choice for "Visit" to combo box here and on Project billing. On cubes receiving billing, if Visit is set and there are km, bill for one visit, not for km.

Version 1.1.0.40 – 14 September 2008

Serious Bug-216 on Clients Form reported 12 Sep 2008 by Shawn, fixed by Rick on 14 Sep 2008:
The Navigating Toolbar has disappeared: Can't navigate or add new clients!

Develop-75 on Clients Form reported 31 Oct 2007 by Taipeyi, fixed by Rick on 14 Sep 2008:
The delete button, when it warns the user that the client and all its projects will be deleted and asks for confirmation, now says how many Invoices, Projects, Cube Batches, Cubes, and tested cubes will be deleted. It deletes Invoices, which it did not do before. Only available to users with owner security.
Also done on Projects form.

Develop-151 on Projects Form reported 26 Jun 2008 by Civilab, fixed by Rick on 14 Sep 2008:
New button to amalgamate (Merge) projects (Duplicate clients are too complicated, as project numbers may clash. Manually transfer projects between clients and fix Project No if it fails.)

Version 1.1.0.39 – 8 September 2008

Bug-213 on Printing Results reported 8 Sep 2008 by Rick, fixed by Rick on 8 Sep 2008:
"Date Reported" was not being filled in for use on the Invoices form. Now done. This will always be the last date that anything was printed, faxed, e-mailed etc. from Cubes > View/Print results.

Serious Bug-210 on Price List form reported 7 Sep 2008 by Rick, fixed by Rick on 8 Sep 2008:
Data can not be Saved! "The record cannot be deleted or changed because table 'Invoice Items' includes related records". This nonsense is because Microsoft is too stupid to see PrIX as a key field (text) and tries to change it. Also User not correctly filled in in "Modified By".

Develop-211 on Pastel Export reported 7 Sep 2008 by Rick, fixed by Rick on 7 Sep 2008:
If Billing Code exists in Prices table for an item, use it instead of PrIX as the Cost Code.

Wish-208 on Invoice form reported 7 Sep 2008 by Rick, fixed by Rick on 7 Sep 2008:
Added buttons to view/edit Cubes Receiving, view cubes report, and delete multiple records and empty invoices. See Invoicing (new page).

Develop-206 on Invoice form reported 4 Sep 2008 by Rick, fixed by Rick on 7 Sep 2008:
1. Added "Our Ref" column
2. Del button was not working,
3. Made Del column narrower.
4. Now able to split selected lines to new Invoice, not just one item.

Bug-205 on Clients Form reported 4 Sep 2008 by Rose, fixed by Rick on 5 Sep 2008:
Telephone numbers - field length not checked, gets unhandled exception.

Version 1.1.0.37 – 4 September 2008

Minor Bug-203 on Invoice Report reported 3 Sep 2008 by Rick, fixed by Rick on 3 Sep 2008:
Labbie message box after printing:
Labbie System and Support Invoice sent to the printer, OR
121,103,494,784 Invoice sent to the printer, etc.
(Removed tmp$ from MsgBox in Sub PrintInvoices)

Serious Bug-204 on Cube Report to Client reported 3 Sep 2008 by Rossitza, fixed by Rick on 4 Sep 2008: Rose can't print properly from new PC: It prints one page, then Labbie hangs and has to be re-started, and the print queue has to be cleared. (Cannot reproduce. Seems to be OK with new release, site visit 4 Sept)

Serious Bug-198 on Pastel Export reported 12 Aug 2008 by Rick, fixed by Rick on 3 Sep 2008:
The Invoice CSV format is wrong: Pastel won't import. Same as Bug-180:
Serious Bug-180 on Pastel Export reported 11 Jul 2008 by Rick, fixed by Rick on 3 Sep 2008:
The exported invoice data does not seem to contain all details for the invoice: Check and make sure that references, prices and quantities are included!

Version 1.1.0.36 – 1 September 2008

Serious Bug-202 on Cube Report to Client reported 1 Sep 2008 by Shawn, fixed by Rick on 1 Sep 2008: The report now does not select clients: Shows everybody, then gets unhandled error.
(Replaced old Search form dated 04/08/2008 in project.)

Version 1.1.0.35 – 1 September 2008

Bug-195 on Cubes Receiving form reported 12 Aug 2008 by Rose, fixed by Rick on 31 Aug 2008:
Creating a New Project from Cubes Receiving no longer works: Select a client that has no projects, agree to create new project: It does so but opens the Projects form with ALL Projects visible so the new project is the last one. FIXED by not Filling Projects list in this mode. Project No is then wrong - changed to use Function NextNo.

Version 1.1.0.34 – 6 August 2008

Bug-187 on Search Cubes Receiving reported 4 Aug 2008 by Rose, fixed by Rick on 4 Aug 2008:
Can not search on Batch numbers: Spurious single quote.
Message: Error in Sub cmdOK_Click: Syntax error in string in query expression 'BatchID IN (401')'.

Version 1.1.0.33 – 1 August 2008

Serious Bug-186 on Cubes Printing reported 30 Jul 2008 by Rick, fixed by Taipeyi on 31 Jul 2008:
Bug-148 fixed but new similar bug on Civilab data: Cubes > View/Print Results > search search on dates and print:
Crystal Report Windows Forms Viewer Error: The remaining text does not appear to be part of the formula / Error in formula 'Cubes.DateDone >= #23 Jul 2008 # AND Cubes.DateDone <=#30 Jul 2008 23:59:00# AND {CubeBatches.Printed?}=False AND {CubeBatches.Approved?}=True'

Bug-183 on Invoices Summary form reported 21 Jul 2008 by Rick, fixed by Taipeyi on 31 Jul 2008:
1. Closed Invoices button: Search by dates does not work.
2. Closed Invoices preview: Date is always today!
3. Invoices Summary grid: Use date-time format dd/MM/yyyy HH:mm for Oldest & Latest.

Serious Bug-180 on Pastel Export reported 11 Jul 2008 by Rick, fixed by Taipeyi on 31 Jul 2008:
The exported invoice data does not seem to contain all details for the invoice: Check and make sure that references, prices and quantities are included.

Bug-169 on Cubes Receiving Form reported 11 Jul 2008 by Shawn, fixed by Taipeyi on 29 Jul 2008:
When navigating from one record to another, the totals on the Billing tab were not recalculating.

Bug-150 on Cubes Receiving Form reported 2 Jul 2008 by Civilab, fixed by Taipeyi on 30 Jul 2008:
Contract Manager on Site & his cell must pull through from Project. Let user edit it here.

Bug-158 on Crushing Diary report reported 26 Jun 2008 by Shawn, fixed by Taipeyi on 31 Jul 2008:
Fix sort order in the OLD report: Consecutive cubes do not always sort together. See Roadlab printout for testing 10 June (on file). Also (2008-07-30), "Cast On" dates are not appearing.

Version 1.1.0.32 – 24 July 2008

Bug-182 on Invoice form reported 21 Jul 2008 by Rick, fixed by Taipeyi on 22 Jul 2008:
Prices are not being filled in.

Serious Bug-148 on Cubes Printing reported 25 Jun 2008 by Rick, fixed by Rick on 22 Jul 2008:
Cubes > View/Print Results > Search bugs:

1) Search for client (e.g. Basil Read) and all forms of output:
Message: Sub ShowChildForm failed - Syntax error (missing operator) in query expression 'ClientIX='BAS001'[ResultByPost?]= True AND [PrintedPost?]=False AND [Approved?]=True'.
on Showing rptCubeStrength
2) Search on dates and print:
Message: Sub ShowChildForm failed - Syntax error (missing operator) in query expression 'Cubes.DateCast >= #11 Apr 2008 # AND Cubes.DateCast <=#11 Apr 2008#[ResultByPost?]= True AND [PrintedPost?]=False AND [Approved?]=True'.
on Showing rptCubeStrength

Serious Bug-147 on Crushing Diary report reported 25 Jun 2008 by Rick, fixed by Taipeyi on 31 Jul 2008:
Extended version - Search (e.g. Roadlab to test 1-17 June).
1) Walk from one page to the next: Several (different) pages appear for the same date, and date at top sometimes does not correspond to date to test (e.g. 14 May on 02 Jun).
2) Add Day of week to date in header, e.g.: "Cube Crushing Diary with previous results for Wednesday, 25 June 2008".
3) Remove thousands comma from batch ID.

Develop-134 on Crushing Diary report reported 17 Jun 2008 by Rick, fixed by Taipeyi on 22 Jul 2008:
New (extended) version:
1) Sort and Group by "test on" date, then cube order. New page per day to test.
2) Thick or double horizontal lines between batches.
3) Thin horizontal lines between cubes in same batch.

Bug-139 on Cube Report Graph reported 13 Jun 2008 by Rick, fixed by Taipeyi on 31 Jul 2008:
Object Variable not set! - Error on closing (by date cast)

Serious Bug-126 on Cube Report to Client reported 6 Jun 2008 by Rick, fixed by Taipeyi on 31 Jul 2008:
1. For Civilab, NONE of the Client names or addresses are appearing on the Custom Letterhead or No Letterhead report!
2. Search is not compartmentalised: If I am viewing the Cube Report to Client, leave it open and go and search for Received Cubes, when I return to Cube Report to Client, it no longer has any other reports to view. No search must interfere with any other search!
3. Changed "Not Approved" to read "Not Yet Approved".

Bug-117 on Cube Report to Client reported 27 May 2008 by Rick, fixed by Taipeyi on 30 Jul 2008:
If client name is too long (e.g. in Civilab), it wraps over the first line of the address instead of pushing it down. "Supplier" and "Made by" are not appearing (e.g. on Batch 46).

Version 1.1.0.31 – 22 July 2008

Develop-176 on Crushing Diary report reported 11 Jul 2008 by Rose, fixed by Taipeyi on 18 Jul 2008:
Extended report: Needs batch number & "Our Ref" for batch on every batch

Bug-173 on Project Billing reported 11 Jul 2008 by Rick, fixed by Taipeyi on 18 Jul 2008:
[X] button does not work.

Develop-171 on Pro Forma Invoice reported 11 Jul 2008 by Shawn, fixed by Taipeyi on 18 Jul 2008:
1) Add name and reference of Project to the Invoice. 2) We also need totals per cost item at the bottom before the grand total (discuss if necessary) 3) Sorting! Sort items by Our Ref, then Cost Code. 4) We must show Order Number for Project (see Bug-172)

Bug-166 on Project Prices form reported 9 Jul 2008 by Rick, fixed by Taipeyi on 18 Jul 2008:
The projects shown in the "Project" Column do not belong to the Client shown on the left of it. If you click a "Project" combo, that one comes right.

Serious Bug-164 on Cubes Receiving Form reported 3 Jul 2008 by Rick, fixed by Taipeyi on 18 Jul 2008: On Billing tab, for previously-entered batch. Selected travel --OK. New line, accidentally selected Travel again. Pulled down list to correct, chose cubes --got "System.IndexOutOfRangeException was unhandled" Error, Message="Index 0 is either negative or above rows count.". Now fixed.

Develop-161 on Cube Report to Client reported 26 Jun 2008 by Shawn, fixed by Taipeyi on 18 Jul 2008: Need all fields that are input, to appear on output: Collected by, weather, truck, km. Lab tester. to appear per test day. We have omitted travel time and times on site.

Develop-160 on Projects Table & Form reported 26 Jun 2008 by Shawn, fixed by Taipeyi on 18 Jul 2008: Need Customer's Order Number per project.

Develop-125 on Cubes Receiving Form reported 6 Jun 2008 by Rick, fixed by Taipeyi on 17 Jul 2008:
It would be really nice to have a little button just to the right of the Client combo box, that will open the clients form (modal, showing selected client if there is one), and similarly for the Projects combo. Also, on Projects form, to have a button that will open the clients form for that client.

Niggle-121 on Crushing Diary form reported 6 Jun 2008 by Rick, fixed by Taipeyi on 17 Jul 2008:
1. In the combo box for clients the top entry should be " " not " < No Client>".
2. ALWAYS show the radio button for "Rejected Batches" and the button for "Cube Fixed"
3. The button "Cube Fixed"? Should grey out if a radio button other than "Rejected Batches" is selected.

Wish-109 on Cubes Printing reported 15 May 2008 by Rick, fixed by Taipeyi on 17 Jul 2008: When asking if it is OK to print, also say on which printer (default) and give a combo box of available printers.

Minor Bug-107 on Projects Form reported 15 May 2008 by Rick, fixed by Taipeyi on 17 Jul 2008:
On the billing tab, combo box list for prices should be sorted by number.

Version 1.1.0.30 – 16 July 2008

Bug-168 on Invoices reported 14 Jul 2008 by Rick, fixed by Taipeyi on 14 Jul 2008:
Invoice Detail Doubling Columns: Sometimes it put in two or more sets of columns in the detail.

Serious Bug-167 on Cubes Printing reported 14 Jul 2008 by Taipeyi, fixed by Taipeyi on 14 Jul 2008:
"Labbie has encountered a problem and needs to close": Shawn got this when he used Reports > Cube Report (Custom), selected a project and clicked "Print" instead of "Preview".

Develop-177 on Approve Cube Results reported 11 Jul 2008 by Modise, fixed by Taipeyi on 16 Jul 2008: Need Binoculars search button on Approve Cube Results.

Develop-172 on Projects Table & Form reported 11 Jul 2008 by Shawn, fixed by Taipeyi on 16 Jul 2008: We need Order Number for Project. Use "Status" field and just rename on forms. Show on Pro Forma Invoice.

Bug-118 on Toolbar reported 27 May 2008 by Rick, fixed by Taipeyi on 15 Jul 2008: When viewing Cube Report to Client, the Print button on Toolbar, and File print on menu, now print (with Print dialog).

Version 1.1.0.29 – 11 July 2008

When Invoicing, the program said "Browse for Folder": It now says why (for Pastel Export). Minor corrections to grammar.

Version 1.1.0.28 – 10 July 2008

Bug fix: Cubes > View / Print Results –top check boxes were greyed out for testing, now re-enabled.

Version 1.1.0.27 – 10 July 2008

Cubes > View / Print Results now has a new button, "Mark as printed". If you click it, Labbie will mark off your selection as if it has been printed (allowing you to start fresh), without actually e-mailing/faxing/printing (depending on what you chose).

The "Print" button on the top Toolbar now works for Cube Result reports (it allows you to select printer and number of pages).

You can now view closed invoices: From Orders > Invoicing, click the button "Closed Invoices". A search form will appear so that you can search by invoice date and/or client and/or project.

At the end of the e-mail-to-Fax domain (Users form) you can now add a switch, "+Country Code" (e.g. +27 for South Africa) giving the country dialling code to use for fax numbers that start with a zero.

Fixed Serious Bug-165 on Crushing Diary report reported 7 Jul 2008 by Rick, fixed by Taipeyi on 8 Jul 2008:
1. Run Cube Crushing diary with Ext Results for today: If there is no data, it does not show the date.
2. Then run Cube Crushing diary with Ext Results - Search. Search comes with title "Cube Crushing diary with Ext Results for today"!
3. Search for 1-7 July on Roadlab data: Got unhandled error.

Fixed Bug-108 on Cubes Receiving Form reported 15 May 2008 by Rick, fixed by Taipeyi on 4 Jul 2008:
1) When you visit an old batch and want to do billing for it, there is nothing in the combo box lists.
2) When you enter a new batch and go to the billing tab, billing should take place automatically or if this is too difficult, there should be a single button to do it.

Version 1.1.0.26 – 3 July 2008

Fixed problem with Cubes Receiving on the Billing tab. For cubes that were previously saved, the drop-down list was not populating with the prices for that project. Cubes Receiving Search now sorts by Batch ID

Date was not always appearing on the Crushing Diary with previous Results report for today.

Approve Cube Results: Navigation to next form (button on toolbar) was not working (if you wnated to not approve, but move on to the next batch).

Version 1.1.0.25 – 1 July 2008

Fixed problem with Cubes Receiving on the Billing tab: Saving of the billing was not working properly, screen tended to "freeze".

Invoices Summary form was not printing, now it does.

Version 1.1.0.24 – 26 June 2008

Develop-145 on Crushing Diary report 23 Jun 2008 by Deon, fixed by Taipeyi on 24 Jun 2008:
Add a column for "Required MPa". Requested by Rick: Also add the picture of the failure modes. Add date in title strip. Note new behaviour: Each day is now a separate report: Use the arrow buttons on the toolbar to go to the next ones.

Serious Bug-142 on Clients Form reported 23 Jun 2008 by Rick, fixed by Taipeyi on 24 Jun 2008:
Open Clients form, click yellow plus, click X (Cancel). Get unhandled DBNull error.

Serious Bug-141 on Cube Report to Client reported 23 Jun 2008 by Rick, fixed by Taipeyi on 24 Jun 2008:
In Cubes > View Rejected Batches, I select a batch and click "Fixed". I then go to Cubes > Approve, and get NO cubes to approve, just a blank report. Fixed.

Serious Bug-135 on Cubes Printing reported 17 Jun 2008 by Rick, fixed by Taipeyi on 19 Jun 2008:
Cubes > View/Print Results: Tick "Print File Copy", click Print --it Previews! (1 report only, without results). Similar behaviour with the other check boxes. "Preview" button also previews one report only (but with results), even if several are approved.

Bug-133 on Crushing Diary report reported 17 Jun 2008 by Rick, fixed by Taipeyi on 24 Jun 2008:
Search using OLD report, Search shows options of date tested and reported.
Search for dates to Test produced this error: Sub GetData failed: Data type mismatch in criteria expression.

Bug-127 on Approve Cube Results reported 8 Jun 2008 by Rick, fixed by Taipeyi on 25 Jun 2008:
1. Toolbar: "Reason" and "Viewing Report" have been swapped around. "Reason" should be to the right of "Rejected?".
2. If I reject a batch, close report, and open it again, Rejected batches should not show up.

Bug-120 on Search form reported 27 May 2008 by Rick, fixed by Taipeyi on 17 Jun 2008:
Cubes > Search Cubes Receiving: Searching for Batch numbers for (e.g. Civilab Batch 46), gets missing parameter error.

Minor Bug-77 on Clients Form reported 1 Nov 2007 by Rick, fixed by Taipeyi on 17 Jun 2008:
The OK Button does not validate as much as it should. When a user has added a new client with nothing on it, it gives an error message "ClientIX does not allow nulls".

Problem with editing Prices fixed by setting referential integrity with cascade update and delete into Project Prices in the database.

Version 1.1.0.23 – 17 June 2008

There was an error opening the Users form. Fixed.

Bug-131 on Cube Report to Client reported 11 Jun 2008 by Rick, Fixed by Taipeyi on 12 Jun 2008: The Remarks were still too short for Roadlab and Civilab. Custom Remarks did not appear on the Custom and No letterhead reports! Note: The Remarks block does not enlarge to suit the text; you should print the report to check that your text fits the available space.

Bug-130 on Cubes Receiving Form reported 10 Jun 2008 by Leticia, Fixed by Rick on 11 Jun 2008: The two Slump fields had disappeared. Fixed and checked.

Bug-129 on Crushing Diary report reported 8 Jun 2008 by Rick, fixed by Taipeyi: Cubes > Crushing Diary does nothing. Reports > Cube Crushing Diary - (today) new version does not bring up any data (testing on Civilab) even if there are cubes to test (as shown on old version). Reports > Cube Crushing Diary - (search) new version, searching for testing today only, brings up whole batch including cubes for testing 21 days later.
Not fixed yet: Reports > Cube Crushing Diary - (search) OLD version, searching on selected dates to test, brings up error: Sub GetData failed; Data type mismatch in criteria expression.

Bug-120 on Search form reported 27 May 2008 by Rick, fixed by Taipeyi earlier:
Cubes > Search Cubes Receiving: Searching for Batch numbers for (e.g. Civilab Batch 46), gets missing parameter error.

Minor Bug-110(1) on Cubes Printing reported 15 May 2008 by Rick, fixed by Taipeyi on 12 Jun 2008:
Message at end of printing referred to reports menu and binoculars search –no longer accurate.

Develop-102 on Cubes Receiving Form reported 16 Apr 2008 by Rick, done by Taipeyi earlier:
1) Menu item "Cubes Receiving" opens form in "new record" mode (but still allows searches)
2) New Cubes Menu item "Search Cubes Received" opens Search form and then Cubes Receiving form showing records found from search.

Bug-101 on Cubes Receiving Form reported 16 Apr 2008 by Rick, Fixed by Taipeyi on 12 Jun 2008:
Search BUG: Search for Batch ID works but gives spurious error. May hang program after several repetitions.

Bug-95 on Cubes View/Print Results reported 2 Mar 2008 by Rick, Fixed by Taipeyi: Does not display the lower section of the search form allowing one to choose which results to view/print/fax/e-mail etc. Expect to see the checkboxes for Approved and Rejected, and to be seeing unapproved results.

Bug-92 reported 2 Mar 2008 by Rick on Cubes Receiving Form, Fixed by Rick on 12 Jun 2008:
"Date to test" is not recalculating if we change the "Days" value to something other than the default.

Bug-91 on Projects Form reported 2 Mar 2008 by Rick, Fixed by Taipeyi earlier:
Error: System.Data.EvaluateException was unhandled – Message="Cannot perform '=' operation on System.String and System.Int32."

Bug-88 on Main form reported 27 Feb 2008 by Rick, Fixed by Taipeyi earlier: Cubes > Approve Results was not enabling when required.

Bug-87 on Cubes Receiving Form reported 27 Feb 2008 by Rick, Fixed by Taipeyi earlier:
Cannot modify Days after leaving record: "The record cannot be deleted or changed because table 'InvoiceItems' includes related records." on Save and OK.

Minor Bug-77 on Clients Form reported 1 Nov 2007 by Rick, fixed by Taipeyi on 17 Jun 2008: The OK Button does not validate as much as it should. When a client has added a new client with nothing on it, it gives an error message of "ClientIX does not allow nulls".

Minor Bug-76 on Clients Form reported 31 Oct 2007 by Rick, fixed by Taipeyi on 17 Jun 2008: The Save and OK buttons should dim when not required, including after save.

Version 1.1.0.22 – 10 June 2008

The Cubes Receiving form now gives a Warning if a later test strength is lower than an earlier one (requested by Roadlab).

Fixed Bug-130 of 09/06/2008 Cubes Receiving Form: The two Slump fields had disappeared. Replaced them, fixed tab order.

Fixed Bug-114 of 15/05/2008 Crushing Diary report: Roadlab want us to show previous results on the form, e.g. show 7-day results when we print for 28-day test. These appear as new items on the Reports menu (Cube Crushing Diary with Previous Results), and this report is also run (for Today) from the Cubes menu.

Fixed Bug-112 of 15/05/2008 Cubes Printing: File copy is not marked as printed, and wants to print again next time.

Fixed Bug-80 of 03/12/2007 in Cube Strength Report: Index 0 is out of range.

Fixed Bug-81of 03/12/2007 in Cube Diary Search. Report: Cube Diary Search fails - Object ref not set. If "Show only results not yet printed" is ticked - may give a "parameter missing" error.

Fixed Bug-86 of 27/02/2008 Projects Form: Opening Projects Form: Sub ShowChildForm failed - The Microsoft Jet database engine cannot find the input table or query 'Project Prices'. Make sure it exists and that its name is spelled correctly.

Fixed Bug-90 of 02/03/2008 Projects Form: Tried to add a contact to project "peugeot": The record cannot be deleted or changed because table 'Invoices' includes related records.

Fixed Bug-93 of 02/03/2008 Crushing Diary form: After previously trying menu item "View Rejected Batches", when I click menu item "Enter Cube Crushing Results", I get the message "There are currently no rejected batches"

Version 1.1.0.21 – 27 May 2008

Fixed Bug-115 reported by Leticia 19/05/2008 16:01 (Cubes Printing - Page breaks are wrong, pages not starting in the right place).

The Users form has changed and now has additional options:

1. Start-Up Form: The form you choose here will open as soon as you have logged on to Labbie (a time-saving option if you frequently open the same form). Forms are added to the menu based on user demand.

2. Output Reports defines which report is used by the Cubes menu option View/Print Reports. Choose which output report to use for (a) previewing, (b) emailing and faxing, (c) results for posting and collection, and (d) file copy: The choice can be "No Letterhead" or "Custom Letterhead".

3. E-mail Options: This lets you set up default sender (yourself - for return messages), CC, BCC, result notifications, and signature. They will appear for each e-mail, where they can be changed for that e-mail.

4. Fax Options: Choose the Fax Printer: Either e-mail to fax, or Windows Fax service (using a fax modem). For e-mail to fax, specify the e-mail domain of the e-mail-to-fax provider (e.g. cyberfax.co.za if you signed up with SishaFax), and whether to use a cover sheet by default. Not all systems support a cover sheet.

Sending of faxes via e-mail-to-Fax using faxwhiz.com is not working at the moment due to a technical problem between us and DMNet. It should be possible to use SishaFax (cyberfax.co.za): This service does not do cover sheets.

Sending of e-mails works, and now allows you to change or add the recipient's e-mail address and a message.

The Reports menu's Cube Report to Client items bring up a modified search with new check boxes that let you choose to view batches that have no results, unapproved, approved, or rejected results (the latter includes batches that have been marked both "Approved" and "Rejected" to get them out of the approval process). If you Preview, you can use the two new buttons on the Toolbar to Fax or e-mail the report that is on view.

Version 1.1.0.20 – 9 May 2008

Cubes > Enter Cube Crushing results (Cube diary form) – You are now able to filter records on a specific client using the combo box below the dates.

Reports > Cube Reports – The reports menu pops up a Search form so that you can see the batches you want, instead of all batches first, and then having to use the binoculars icon to search.

Faxing Cube Reports – You can now send faxes without the installation of a fax modem, using e-mail-to-fax. To enable e-mail-to-fax for the company, click Setup > Company and, on the connections tab, fill in the domain of the e-mail-to-fax provider (e.g. faxwhiz.com if you sign up at www.inetfax.co.za). Faxes will then be sent as e-mails with PDF attachments to 27nnnnnnnnn@faxwhiz.com (where 27 is the Country Code for South Africa and nnnnnnnnn is the dialling code with area prefix [11 for Johannesburg 011]).

Version 1.1.0.19 – 5 May 2008

Fixed a bug in Reports > Cube Reports.

Version 1.1.0.17 – 24 April 2008

Cubes are now sorted in order on the faster Cube reports.

Approving Cubes uses the "No Letterhead" report with reduced margins for easier viewing.

Fixed error on the entering of new projects from the cubes receiving form (it was not saving if only certain fields were changed: It would save if, e.g. Contact Name, was entered).

Projects form now displays the "To Print" check box as set to true by default, and the rest as false.

Change to the Cubes menu: Enter Cubes Receiving is now used to receive batches and not view them at the same time, but you can still search using the "Binoculars" toolbar button, which now has refined search capabilities and displays all the batches that match the search criteria.

New menu item Cubes > Search Received Cubes displays a search form which then opens the Cubes Receiving form showing the batches that match the refined search criteria.

The Enter Cube Crushing Results form now displays a button "Edit Batch" to view and edit the batch containing the selected cube. This opens the Cubes Receiving form where you can change the starting data for that batch.

Version 1.1.0.16 – 17 April 2008

Speeded up loading and printing of Cube reports.

"Cube Diary" form: Changed title of form to "Cube Crushing Results" to match menu, and reduced width of form to fit 800 x 600 screen. There is a new box on the left for the Lab Tester. The name there will be used as the name of the Lab Tester when you enter the mass and force. The entries in the new "Lab Tester" box, and also the old Scale and Press boxes, will now be remembered for the next run: You only need to alter them if they change. In the middle of the form, below the date search boxes, the form now displays the Batch ID, Client name, and Project name for the cube selected in the grid. This will make it easier to identify the cubes correctly. The View Report button on the right is always available, not just when viewing rejected batches. You use this to view the results of the whole batch of which the selected cube is part.

Version 1.1.0.15 – 11 April 2008

A "Duplicate Cube" button was added in Cubes Receiving for the cubes grid. Click on this to make an exact copy of the cube that is currently selected in the Cubes grid, onto a new line in the grid. The Client Ref is duplicated, but the Out Ref (which must be unique) is incremented.

Version 1.1.0.14 – 9 April 2008

Improvements made to the Search form:
(a) Search from the Reports menu now shows all reports (approved and unapproved),
(b) The Cubes > View/Print Results search allows you to send emails, fax and print ONLY approved reports.
Please note: To refine your search you can use the dates on the search form (Date Cast, Date Reported, …)

Version 1.1.0.13 – 2 April 2008

Fixed bugs on Search form for easier printing of results.

Version 1.1.0.12 – 31 March 2008

Increase the length of the signature text on the setup form to 80.

Manual printing on the creating invoices and general improvements to the invoicing process.

Added a search facility for closed invoices on the invoice summary form.

Moved telltale for rejected batches to the toolbar.

Added functionality to the search form that indicates the number of reports to be viewed before the user clicks the Preview or Print button.

Version 1.1.0.11 – 20 March 2007

Automatic navigation in projects form for email and fax fields if there is none.

Changed invoice report to display ‘Pro-Forma Invoice’.

Fixed bug on opening the Price list.

Fixed bug on opening Project Prices Form.

Version 1.1.0.10 – 19 March 2007

Phase 3 First Release.

Version 1.1.0.9 – 14 March 2007

Phase 3 Beta version with invoicing process.

Version 1.1.0.8 – 12 March 2008

Version 1.1.0.7 – 7 March 2008

Version 1.1.0.6 – 4 March 2008

Stand-alone test installation for Civilab.

Version 1.1.0.5 – 4 March 2008

Phase 3 Beta version with cube approval process.

Version 1.1.0.4 – 29 January 2008

Fixed bugs in the searches for Reports > Cube Variation report > by Date / by CubeID.

Version 1.1.0.3 – 24 January 2008

Reports > Cube Variation report > by Date / by CubeID now have searches. The latter was re-done using Crystal Reports in order to achieve this.

Version 1.1.0.2 – 11 December 2007

Fixed a bug in the Cubes Receiving form that caused the wrong project name to show in the Projects list. The correct Project name did show on Cube reports. On Cubes Receiving, improved selection of Client and Project, and entry of new Projects.

Version 1.1.0.1 – 4 December 2007

The format of References for Cube Batches, Cubes and Soil Samples now allows alphanumeric numbering of the form A000.

Version 1.1.0.0 – 24 November 2007

Phase 2: The Setup > References dialog box is now functional. Set up the format of References for Clients, Projects, Cube Batches, Cubes and Soil Samples as required by your company. Warning! Changing them later may or may not work! Make sure that your references are correct from the start! For details, click here.

The program will automatically upgrade the database to Version 2, which has the new fields required for the above.

Version 1.0.0.20 – 7 November 2007

Bug fix on the Cube Report to Client ("New Letterhead"): "Att" field was not being filled in, now filled in from Project.

Added "Find" box to the Clients form: This allows you to go to any client by name.

Added Setup > References dialog box (non-functional demo).

Version 1.0.0.19 – 5 November 2007

Improvements to the Cube Report to Client ("New Letterhead"): Lighter grey bars. Exporting to PDF (top left-hand button on report) - NB: it exports all pages to one file!

Version 1.0.0.18 – 1 November 2007

Improvements to the Cube Report to Client ("New Letterhead").

Search Form (for Cube Report to Client and others): You are now able to search for particular batches by entering cube references (separated by commas) in the bottom textbox on the search form.

Improvements to the Projects and Clients form to improve stability and reduce errors messages when saving. The Projects form now enables the Save button only when there is data to save.

Improvements to the Cube Crushing Diary form: The program now recalculates the Strength if you change the cube size. It will now warn you if the mass is wrong for the cube size.

Version 1.0.0.17 – 22 October 2007

First release of the 'New Letterhead report" for database on any path.
Clients form now displays Clients in alphabetical order, fixed bug that prevented saving.
Projects form now displays Projects in alphabetical order, fixed bug that prevented saving.

Version 1.0.0.16 – 18 October 2007

First release of the 'New Letterhead report" using Crystal Reports and displaying only unprinted batches. When you close the form it will ask if they printed successfully. If you answer "yes", those batches will not display again until you enter new results. From this report you can search for other batches using the "Binoculars" button on the main toolbar (not to be confused with the two "binoculars" buttons on the Crystal Report (used to search for text, and zoom, respectively).

Version 1.0.0.15 – 8 October 2007

Bug fix on Cubes Receiving form, which was adding spurious cubes and not always saving all those entered.

Version 1.0.0.14 – 5 October 2007

Improvements to Cubes Receiving form, including addition of "Our Ref" and "Your Ref", which carry through to the Letterhead report.

Version 1.0.0.13 – 3 October 2007

Help file now works with compiled version of program.

Fixed bug: "Cubes Receiving" sometimes added an extra cube to a batch when saving. Form was not opening with today's date as the default.

Version 1.0.0.12 – 30 September 2007

Improvements to Cubes Receiving: Automatically starts a new batch when form opens. Option to enter new client and/or project if you type one that does not exist. Errors on saving have been fixed. Default days (7) and cube size (150) are entered automatically. Program warns (once per session) if Date cast is in the future or more than five days in the past.

Minor improvements have been made to the Cube Report to Client (Letterhead version only).

The search form that appears when you select Cubes > Register, or Cubes > Cube Batches, has been made more logical, and no longer displays a default client and project. There is a new button, "Recall", that will recall your previous search on this PC (even from an earlier session of Labbie)

Version 1.0.0.7 – 14 August 2007

Added "Cube Report to Client with No Letterhead", for printing on pre-printed letterhead paper.

Version 1.0.0.6 – 12 July 2007

The list of clients on the projects form is now alphabetical.
The project contact appears on the report to client.

Version 1.0.0.5 – 6 July 2007

Added first version of Help file.

Version 1.0.0.4 – 5 July 2007

Extended expiry date to 31 July 2007.

Version 1.0.0.3 – 20 June 2007

The Cubes Receiving form has been improved, particularly the combo boxes for Client and Project, where you can now type to select an item. If it does not exist the program will offer to create it for you , and let you fill in the rest of the details. Expiry date 30 June.


Installing the Program

Installing the Program – Overview

You need to carry out the following tasks to install Labbie on your company network:

Server Setup – ONCE ONLY: Install the starter database (back end – Labbie.MDB (Small Workgroup) or Labbie.SQL (SQL Server)) onto a shared folder on the Server (or a central PC).

PC Setup – on EVERY PC: Install the prerequisites and the program, then connect each PC to the Server and link Labbie to the back end.

Request a License. The License will arrive by e-mail and must be saved to the Database Folder. It is only required whenn you want to enter cube results, so you can continue setting up in the meanwhile.

Set up the Company data, collect User data, decide on security levels, and Set up the Users

If the company has a list of clients in electronic form, you can Import the Data.

After installation, there are Housekeeping tasks that you may have to perform from time to time.

Periodically, Labbie is revised to add new enhancements and fix bugs. For PCs that do not have an internet connection, updates must be released as described in Upgrading the Program. To find out what the latest changes are, see What's New in Labbie.


Server Setup

Server Setup (Install the Database)

<<Previous – Next>>

This section is relevant to you only if you are the person installing Labbie.

System Requirements

Labbie is used by various PCs all accessing the same shared database across a network. Ideally the database should be on a powerful Server, however on small peer-to-peer networks a fast PC will do. We will refer to this as the “Server” in what follows.

In the case of Labbie run on one machine (unusual, but possible for test purposes), the PC on which you want to install Labbie will be the "Server".

Decide on which drive on the Server you want to place the Labbie data. Allow about 20 MB of space. Choose a drive that you can share (or that is already shared) and that you can make accessible (or that is already accessible ) to all the PCs that will run Labbie.

Create a folder named "Labbie" on this drive.

Decide on a drive letter that you will map to this drive from each PC. It is essential for licensing purposes that every PC sees the database at the same address. In the examples that follow, we've used the P: drive. Note: A drive letter is not essential: You can use a UNC path instead.

Apply for a Data File

The only thing that must be installed on the Server is the data file. This is currently not supplied from an Internet Download and must be requested by e-mail, giving your company name and full contact details: To do this, Click here.

Within a day or so the data file will arrive as a zipped file: LabbieMDB.zip.

Create a suitable folder named “Labbie“on the Server as mentioned above and unzip the LabbieMDB.zip to this folder, giving the file Labbie.mdb.

You are now ready to do the individual installation on each PC: If you are installing several PCs (and definitely if any one of them does not have internet access) you may want to use Setup Method 2: This involves downloading to the server first, then installing on each PC from the downloaded files. Read to the bottom of the page and then click Next>>.

Share the Folder

Share the "Labbie" Folder and give all users read-write access permission.

Backups are Important!

Ensure that the Labbie Database Folder and, in the case of the SQL Server Version, the SQL Server database (more about this later) are backed up at least once a day by a reliable backup system, and take steps to have copies of backups stored off site. Check to make sure that the database has actually been backed up, and keep more than one copy! Databases can be corrupted easily by network communication problems, and then your best remedy is to restore it from your most recent backup (work done since the backup will be lost). Your supplier may be able to recover a corrupted database, but there will be a charge for this whether it succeeds or not, and even if it does succeed your database will be unavailable for several days.


Setup on PC

Setup on Each PC

This section is relevant to you only if you are the person installing Labbie.

The program is supplied as an Internet download. For a fee it and all prerequisites can be made available on a CD-ROM.

Setting up Labbie

Prerequisites

The PC should preferably have a recent processor (Pentium 4 or later, preferably not a Celeron) and 500 MB or more of RAM.

If you are using the SQL Server Version, you must install Microsoft SQL Server 2000 with Service Pack 3 or later, or a later version of SQL Server such as 2005 or 2008.

Labbie should be run on Microsoft Windows Vista, Windows XP with Service Pack 2, or Windows 2000. To find out which Windows version you have, click Start > Run, type WinVer and press Enter. If you have Windows XP but not Service Pack 2, we recommend that you visit Microsoft Windows Update to download and install the latest updates for your system.

You also need Microsoft Internet Explorer 5.01 or greater: Go here to download it.

Although they can be installed as part of the setup process, your PC must have:

  • Windows Installer 3.1
  • Microsoft .NET Framework version 2.0

In addition, you must install Reporting Features separately before Labbie will run:

  • Crystal Reports
  • Microsoft Report Viewer

Setup Methods

Note: Both the Labbie Setup methods below are complete except for one thing: The data file. You need to apply for one by e-mail in order to get up and running: To do this, Click here.

Setup Method 1: Quick (Single PC directly from the Internet)

To install Labbie directly from the Internet, click here to go to the Labbie Setup page. On it, click the Launch hyperlink if the prerequisites are already installed (or you are upgrading Labbie from an earlier version), or click the Install button if you are not sure. Click your browser's Back button to return here.

If you have any problems installing, go to the Troubleshooting Page.
Alternatively, use Setup Method 2 (directly below).

If Labbie does not start or wants Microsoft ReportViewer and/or Crystal Decisions, install Reporting Features as follows:

Crystal Reports:

  • Click here to Download CRRedist2005_x86.msi
  • Your Internet browser should run and ask if you want to Open, Save or Cancel. Click Open.
  • Crystal Reports installer should run and install.
  • Agree to the License when requested.

Microsoft Report Viewer:

  • Click here to Download ReportViewer.exe
  • Your Internet browser should run and ask if you want to Open, Save or Cancel. Click Open.
  • Report Viewer installer should run and install.
  • Agree to the License when requested.
    •

To run Labbie from the Start menu, click Start > Program Files > Software Africa > Labbie.
You should also find the Labbie icon on your desktop.

Setup Method 2: Download First, then Install
(for Multiple PCs over a Network, or PCs without Internet access)

Summary: This is the method to download a full installation that you can use later over a network or via a CD.

Note: If you want to install on the PC that is doing the downloading, do this: While downloading, unselect the checkbox "close this window when download completes". When downloading has completed, click Open and setup that component before carrying on with the next one.

Do I Need the .NET Framework?

Recent PCs may come with the .NET Framework (version 2 or later) already installed, or it may have been installed for a previously-installed program. The easiest way to find out, is to try to install Crystal Reports (below). It will tell you if the .NET Framework needs to be installed. Alternatively, if you are on a fast link and a 23 MB download does not bother you, you might download it anyway in case one of the PCs needs it.

Download Instructions:

  1. Do this on a PC or Server that has internet access, once.

  2. For each of the downloads below there is a hyperlink. When you click a download link, your Internet browser should run and ask if you want to Open, Save or Cancel. Click Save and save to a suitable folder on your network that will be accessible to all PCs (e.g. P:\Labbie\Setup, where P: is a drive you map from each PC).

  3. Crystal Reports: Click here to Download CRRedist2005_x86.msi

  4. Microsoft Report Viewer: Click here to Download ReportViewer.exe

  5. If you need the .NET Framework (version 2), as discussed above, Click here to go to the download page for the .NET Framework, and click on "Download".

  6. Finally download the full Labbie setup (4.2 MB zipped to 1.4 MB). If it is not readable, click on this link to download Setup.zip from a different site.

Install supporting files and Labbie as follows:

Installation Instructions:

  1. Go to the PC on which you want to install Labbie.

  2. Run Windows Explorer ("Windows key" (ÿ) + E ).

  3. If necessary, map the P: drive to the shared folder for Labbie.

  4. Navigate into the folder P:\Labbie\Setup (or wherever you put the downloads).

  5. If you need to install the .NET Framework, double-click the file you downloaded (probably dotnetfx.exe) and follow the prompts.

  6. Double-click CRRedist2005_x86.msi: Crystal Reports installer should run and install. If it tells you that you need the .NET Framework, return to previous step or do the download if you haven't yet done so.

  7. Agree to the Crystal Reports License when requested.

  8. Double-click ReportViewer.exe: Microsoft Report Viewer should install.

  9. Agree to the License when requested.

  10. Navigate into the file P:\Labbie\Setup\Setup.zip (or wherever you put it) –inside it you should see a file Setup.exe –double-click it.

  11. Click OK or Yes as required to approve the installation.

  12. After a few minutes Labbie should start, showing the latest Version and date on the Splash screen.

  13. The first time Labbie runs, it will ask you to locate the database (Labbie.mdb). If you followed the sample path above, it will be on P:\Labbie. Click Open. If you want to finish installation for other PCs, close Labbie, otherwise continue below.

  14. Repeat the Installation Instructions from the lower step 1 above for all other PCs that need Labbie.

Note: To run Labbie from the Start menu, click Start > Program Files > Software Africa > Labbie.
You should also find the Labbie icon on your desktop.

Connecting to the Back End:

Access Database Version (MDB file) (less than 20 users)

Run Labbie by clicking Start > Programs >Labbie or double-clicking the shortcut on the Desktop.

If the program does not find the database, it will ask you to do so using a Windows Explorer-type interface. Locate “Labbie.mdb” (if you installed as recommended above, it will be on the folder P:\Labbie) and click Open.

You then have to log in: You are provided with one user, Administrator, with default password of "labbie".

If you are running a 64-bit system such as Windows Server 2008 you will need to install another driver and change the "Provider" part of the Connection String. Here is the link to download the new MS driver (28 MB) that will work in x64 bit (AccessDatabaseEngine_X64.exe) for Access 2010. Download and install it. When Labbie tries to open the database, it will complain about the Provider and ask "What is the New Provider?". The string "Provider=Microsoft.ACE.OLEDB.12.0" is placed on the clipboard and can be pasted to replace the usual "Provider=Microsoft.Jet.OLEDB.4.0". This has to be done per PC and is stored locally in the Registry.

SQL Server Version (Microsoft SQL Server must already be installed)

Make sure that you are logged onto your server using a logon that has rights to create databases on SQL Server (this is only necessary during installation).

Run Labbie by clicking Start > Programs >Labbie or double-clicking the shortcut on the Desktop.

If the program does not find its pointer to SQL Server, it will ask you to do so using a Windows Explorer-type interface. Locate “Labbie.SQL” and click Open.

The very first time you run Labbie, it will ask for the name of the SQL Server to use, followed by the name of the SQL Database to create (default LabbieSQL). If this is successful, it will store this information in the file “Labbie.SQL” and never need to ask again.


Licensing Lockout

Licensing and Lockouts

This section is relevant only to the person installing Labbie.

Labbie needs a new Licence file every month.
This file is sent by e-mail and will be encrypted.

Request a Licence

When you run Labbie for the first time it will give you the opportunity to request a Licence by e-mail or other method (see below if there is an error). E-mail, fax, or telephone your details to your supplier, including the Serial Number that Labbie provides as part of the process.

Save the Licence File

You should receive an e-mail with a licence file attached. The attached file will have a name of the form “LabbieXX.Lic”, where XX represents the month number. Save the file to the folder where your Labbie database has been installed (see Installing the Database). If you are using Microsoft Outlook as your e-mail program, you can save attachments using File > Save Attachments.

If you are in doubt about where to save the file, run Labbie and it will tell you where it is expecting to find the licence. If Labbie is still running on a previous month’s licence, click Help > System for the address of the database.

Validation

The program will not run unless the month’s licence file is provided.

Number of Users

The licence file provides the program with information on how many Licences have been paid for, for the month, for that site.

Adding Users

Any users you add to the system beyond the number provided for in that month’s Licence will not be able to log in to the program. You will get a message advising you which users cannot log in. In this case please notify your supplier and a new Licensing file will be sent to you, and you will be billed for the extra users.

Users will be locked out in reverse order of entry, so the most recently added Users will be locked out first.

If some users have left the company you can reduce your need for extra licences, by deactivating ex-users. Edit the relevant users and set their end date to the date they stopped using Labbie. Their Licences will then become available to others.

Reductions

If your company wants to decrease the number of users, notify your supplier so that the monthly fee can be reduced. The Licence file for the next month will be for the new number of Users.

Error: The Serial Number cannot be located!

On some networks if you run Labbie for the first time on a PC other than the Server, you may encounter the Error: “The Serial Number cannot be located! Please run Labbie on the Server on which the Database is installed, and request a License.” In this case install Labbie on the Server if necessary, and run it there to make the initial license request. Thereafter it can be run from all PCs.

Changing Your Site Name or e-mail Address

When you e-mail your request for a License (top of page), Software Africa will make a note of your Site (Branch) Name and e-mail address and these will be used for future e-mails to you. If your site name or e-mail address change, simply e-mail Software Africa again with the old and changed details.


Security Levels

Each user must be allocated a Security Level, depending on their level in the company and what they are allowed to do in Labbie:

· 0 – User;

· 1 – Full User;

· 2 – Supervisor;

· 3 – Owner;

· 4 – Developer;

· 5 – Administrator.

Each user is also assigned a Permission level (i.e. Full, Partial, etc.)

This information is read as Labbie’s users log on, and if you change someone’s security level, the User will have to log on again to get the new level.

Every User of the system must be allocated one of these security levels. In addition there is always a login called "Administrator" that has special rights and can not be deleted, but also can not function as a regular User.

Choose the Users security levels based on the rights given below:

The Rights in various parts of the program are as follows: (“Sub” = all levels of Subordinates)

Security Level > | Low Access | Medium Access | High Access
Cubes |  |  |
Register | All | All | All
View | Own | Own+Sub | All
Edit | All | All | All
Delete | None | None | All
Users |  |  |
Add New User / Delete User | No | No | No
Edit User | No | Sub | Any
View User's Records | None | Own+Sub | All
Change Security Level | No | No | No
Change Supervisor | No | No | No
Change Password | Own | Own+Sub | All
Holidays |  |  |
View Holidays | Yes | Yes | Yes
Add/Edit Holidays | No | No | No
Setup |  |  |
View/Add/Edit: | No | No | No
Company
Clients
Projects
Prices
View Reports |  |  |
Reports | No | Own+Sub | All
Graphs | No | Own+Sub | All
Charts | No | Own+Sub | All
Administrative Tasks |  |  |
Archiving Data | No | No | No
Backing-up Data | No | No | No


Maintenance

Maintenance (Housekeeping)

<<Previous – Next>>

These are the items that the Administrator should do on an ongoing basis.

Licence File

Each month you will receive a Licence file by e-mail. Save this file into the folder containing the Database. See Licensing for more details.

Users

When a user leaves the company, edit the User and fill in their End Date. You then have an extra user license available for someone else.

When a new user joins the company add them to the list of users with the appropriate security level and Start Date. If this takes your number of users over the licensed number, apply for more licensed users. See Licensing for more details.

Resources

When a resource is no longer available to the company, edit the Resources and fill in the End Date.

When a new Resource is added to the company, add it to the list of resources, giving the Start Date.

Public Holidays

As soon as Public Holidays are known for the next year, Setup > Holidays and add to the list.

Archiving

When data on the system is no longer needed; say one year old, then use the file Archive to remove old data from the system. This will be put onto a separate file and may be retrieved if necessary. Use File > Archive.

Unlocking Users

If a user's "Done" appointments are not up to date, they will be locked out of most of the system until they fix this. You can override this by editing the user's data and setting the Times OK to Date to yesterday. Do this only in exceptional circumstances.

Backups are Important!

Ensure that the Database Folder and, in the case of the SQL Server Version, the SQL Server database are backed up at least once a day by a reliable backup system, and take steps to have copies of backups stored off site. Check to make sure that the database has actually been backed up, and keep more than one copy! Databases can be corrupted easily by network communication problems, and then your best remedy is to restore it from your most recent backup (work done since the backup will be lost). Your supplier may be able to recover a corrupted database, but there will be a charge for this whether it succeeds or not, and even if it does succeed your database will be unavailable for several days.


Upgrading the Program

From time to time Labbie is revised to add new enhancements and fix bugs. To find out what the latest changes are in this version, click here.

When you run Labbie, if you have an internet connection, Labbie will automatically check for a newer version. If one is available, it will tell you so and offer to install it. To see the latest changes in the version on the internet, click here (internet connection required).

You can obtain updates from the Labbie web site, or (or a fee) on a CD-ROM from Software Africa.

Updating from within Labbie:

In Labbie, click Help > Check For Updates > Now. If there is an update, you need to close Labbie and reopen it for it to take effect.

Installation from a CD-ROM:

The CD will contain a file named “Setup.exe”. Run it.

Downloading a Labbie Update for PCs that are not on the Internet

If Labbie can not connect to the internet, it will tell you so. PCs that do not have an internet connection have to be updated manually using Setup.zip exactly as you did when installing Labbie originally:

  • Go to a PC that has an internet connection.
  • Click on this link to download Setup.zip.
  • Save to P:\Labbie\Setup (or wherever you put it before).
  • Go to the PC on which you want to install Labbie.
  • As before, navigate into the file P:\Labbie\Setup\Setup.zip.
  • Inside Setup.zip you should see the file Setup.exe: Double-click it, and approve installation.

If your PC does not connect to the Internet you will get a warning when you run Labbie that it could not check for upgrades.

To protect you against running an out-of-date version for too long, each issue of Labbie comes with a built-in expiry date one to two months in the future.


Importing Data

Importing Clients, Prices and Other Data

In case of corruption, you can import an entire database into a new, blank, one. To import into the lists of Clients, Prices, Tins, or Moulds, read on:

General

If you are logged on as Administrator, you can import data for Clients, Prices, Tins and Moulds from CSV-format text files. You must indicate how the fields, from the file to be imported, correspond to the fields in the table in Labbie. The data is checked for duplicates in the table's key field. Duplicates might occur in other fields.

Preparation

Backup: Before importing, get all users off Labbie and make a Backup of the database (normally Labbie.mdb, but you can get the name and path by clicking Help > More About...). If your import fails for any reason, you will then be able to restore back to the prior situation. Otherwise, you may have to edit your import file to fix the error, before doing a second import. You can tell Labbie how to handle the situation where there are values in the key field that duplicate values already in the database.

File Format: The file to be imported must be in CSV (comma-separated variable) format. Files like this can be exported from Microsoft Excel, Outlook, Maximizer, and many other programs. Labbie requires the fields to be separated by commas and not any other character (some programs such as Excel use the separator set in Windows Settings > Control Panel > Regional Settings). Fields that contain commas, double quotes or Line Feeds must be inside double-quotes (“…”). All fields may be in double-quotes. The separating commas must not have spaces next to them. The first line of the file must consist of column headings (field names). Optionally, the second line may also contain headings (an extension to normal CSV format). Only non-blank lines after the first line (or two) will be imported. You will be able to ignore any fields you do not want to import. If you want to import any field into more than one Labbie field, duplicate it in the CSV file.

For the available fields that you can import into, see the list below for Clients, Prices, Tins or Moulds.

Starting an Import

Star t Labbie and Login as Administrator.

Click File > Import and select Clients, Price List, Tins or Moulds. A Windows Explorer-type window will open. Choose a file with a CSV extension.

The Import dialog box shows two lists with arrow buttons in between.

The left-hand list is headed “From Field => To Field”. The “From Fields” are listed from the top non-blank row or your CSV file.

The right-hand list is headed “Available Fields”. These are the Friendly Names of the fields in Labbie’s table into which you are importing. You will move field names from this list into the right-hand part of the “From Fields” list, after the “=>”. To do this, select the field in both lists, and click the | (left triangle) button.

To remove a wrong allocation, select the row in the left-hand list, and click the } (right triangle) button to send the field back to the right-hand list.

If the field names (column headings) in your CSV file match the Field Name or Friendly Name in the appropriate table below, Labbie will do the allocation automatically.

When you have finished the field allocation, you can save it for future use by clicking the Save button. You can later recall the allocation for a CSV file that has the same column headers, using the Load button.

Select, from the options available, how you would like Labbie to deal with duplicates in the Key field (ignore, update, ask). Other fields are not checked for duplication.

Click the Import button to do the import.

Clients

The fields you can import, are:

No. | Type | Field Name | Friendly Name | Description
1 | Key | ClientIX | Client ID | Client ID, typically 3 letters & 3 numbers
2 | Special | PastelAcc | Client ID + Pastel a/c | Use for both Client ID (Key field) and Pastel account number
3 | Text | Client | Client Name | Client Name
4 | Text | Postal1 | Postal Address 1 | Postal Address 1
5 | Text | Postal2 | Postal Address 2 | Postal Address 2
6 | Text | Postal | Postal Address + | Add onto Postal Address 2
7 | Text | PostOffice | Post Office | Post Office Name
8 | Text | Postcode | Postcode | Postcode
9 | Text | Tel | Telephone | Phone number
10 | Text | Fax | Fax | Fax number
11 | Text | Contact | Contact Name | Contact Person's Name
12 | Byte(1/0) | VATable? | VATable? (1/0/Y/N) | Does it carry VAT? (1/0/Y/N)
13 | Text | Physical1 | Physical Address 1 | Physical Address 1
14 | Text | Physical2 | Physical Address 2 | Physical Address 2
15 | Text | Physical3 | Physical Address 3 | Physical Address 3
16 | Text | Physical | Physical Address + | Add onto Physical Address 3
17 | Text | PhysicalCity | Physical City | Physical City
18 | Byte(1/0) | Blocked? | Blocked? (1/0/Y/N) | Is account Blocked? (1/0/Y/N)
19 | Numeric | DiscountRate | Discount Rate | Discount Rate (not used)
20 | Numeric | CreditLimit | Credit Limit | Credit Limit (Rand)
21 | Text | VATNum | VAT Number | VAT Number
22 | Text | Cell | Cell | Cell phone number
23 | Text | email | e-mail Address | e-mail Address
24 | Byte(1/0) | Active? | Active? (1/0/Y/N) | Is Client Active? (1/0/Y/N)
25 | Numeric | CreditStatus | Credit Status (0-) | Credit Status (0-) [for information]
26 | Text | Notes | Notes | Notes

"Field Name" is the name used in the Labbie database. "Friendly Name" is the name displayed to you on the Import screen.

Prices

The fields you can import, are:

No. | Type | Field Name | Friendly Name | Description
1 | Key | PrIX | Item No | Item No
2 | Text | PrIXnew | New PrIX | Revised Item No (if changing an existing one)
3 | Numeric | JobType | Job Type No. | Job Type Number: 0=All, 1=Soil, 2=Aggregate, 3=Asphalt, 4=Bitumen, 5=Rubber, 6=Cores, 7=Cubes.
4 | Text | Test | Test Type | Test Type. Options: Travel, Visit, Cube, Set, Slump, Standing, Indicator, Road Ind, Found Ind, Sieve, Atterberg, Hydrometer, MOD, CBR, UCS, Field, Classifications, Asphalt, Composite, Generic
5 | Text | TestCode | Test Code | Test Code, e.g. TMH 1-D1/SABS 861-3:94, SANS 863, C&CT Method
6 | Text | Description | Description | Description
7 | Text | Unit | Unit | Unit, e.g. Cube, Set, Test, Sample, mm, m2, m²
8 | Numeric | Rate | Rate | Rate (Rand / Unit, no VAT). NB: Numbers only, no currency symbol, decimal full stop, no thousands comma!
9 | Numeric | RateNew | New Rate | Revised Rate (if changing the rate at a future date)
10 | Text | BillingCode | Billing Code | Billing Code used by your Accounts Dept.

"Field Name" is the name used in the Labbie database. "Friendly Name" is the name displayed to you on the Import screen.

Tins

The fields you can import, are:

No. | Type | Field Name | Friendly Name | Description
1 | Key | TinNo | Tin Number | Tin Number
2 | Numeric | Mass | Mass | Mass (grams)

"Field Name" is the name used in the Labbie database. "Friendly Name" is the name displayed to you on the Import screen. In the Labbie database, this table is named "LookupTins".

Moulds

The fields you can import, are:

No. | Type | Field Name | Friendly Name | Description
1 | Key | MouldNo | Mould Number | Mould Number
2 | Numeric | Mass | Mass | Mass (grams)
3 | Numeric | Volume | Volume | Volume (cc)

"Field Name" is the name used in the Labbie database. "Friendly Name" is the name displayed to you on the Import screen. In the Labbie database, this table is named "LookupMoulds".

Database

---------------------------
Importing Into a Labbie Database: Proceed?
---------------------------
Importing Into the Current Database:
- at present, imports the entire source database,
- into a blank database (the open database!)
- can only be done by the Administrator
- while no-one else is logged on.

Do you want to Import into this database?
---------------------------
Yes ~ No
---------------------------
This feature is used to eliminate corruption in a database by importing all data from the corrupted database into a clean, blank Labbie database, which you should obtain from Software Africa. E-mail: info@softwareafrica.co.za

Other Data

At present no other data can be imported. Please let us know what would be useful to you.

Back to Top


Starting and Ending the Program

Starting the Program

To Start, click Start > Programs > Software Africa > Labbie, or double-click the Labbie Icon on the desktop (if one has been installed for you).

This chapter consists of the following topics:

· Splash Screen

· Login (including Changing Password)

· Lockout if not Licensed

Ending the Program

To end the program, click File > Exit or click the Close icon in Labbie’s Main Window’s Title Bar.

You can also click Labbie’s icon in the Main Window’s Title Bar, and select Close from the Drop Down List that displays.

Pressing Alt + F4 will also close Labbie.

The Log Out Dialog Box will appear, giving you a chance to change your mind.

Selecting OK will close Labbie.


Splash Screen

The Labbie Splash Screen appears as you start the application.

It provides program details including the version number and date, and copyright information.

To check the program version you can also call up the Splash Screen by clicking Help > About in Labbie’s Main Window. In this case, click the Close button to close the form.

The Login Form appears a second after the Splash Screen appears on start-up.


Login

Logon

On starting Labbie, you are prompted to log on when the Login Form appears.

Make sure your User Name is displayed in the Drop down list. If your User Name is not displayed, click the arrow in the drop down list to select it from the list. If your name does not appear in the list, contact your Administrator.

Select the Password field (Tab or Click), type your password, then click OK.

If the password is invalid a Dialog Box will be displayed, asking you to try again. Passwords are not case sensitive (it doesn't matter whether you type in upper or lower case). If the problem persists, contact your Administrator.

To display the Login Form click File > Login or press Ctrl+L from Labbie’s Main Window.

This chapter contains the following topics:

· Logging on for the First Time.

· Changing your Password.

<Top of Page

Logging on for the First Time

The first time you log on you will have to select your User Name from the Drop down list and type the password provided by your Administrator, then click OK.

Labbie will remember your User Name and when you log on in future, you will only need to type your password, then click OK.

The OK button will be disabled until you enter the password provided by your Administrator. You can easily change to a new password by following the instructions below.

<Top of Page

Changing your Password

You can change your password while logging on normally or if you are already logged on, select File > Login or press Ctrl+L.

Type your current password then click the Change Password button instead of clicking OK.

This will open the Change Password form.

Type your new password in the New Password field and press Tab to move to the Confirm Password field.

Type the new password in the Confirm Password field.

Your new password must be at least five characters long and can consist of letters, numbers and special characters. Passwords are not case sensitive (it doesn't matter whether you type in upper or lower case).

Click OK.

If the new password and the confirmation password are not exactly the same you will be asked to try again.

To cancel logging on, click the Cancel button. You will not be logged into the program and will only be able to use Help and a few items on the menu.


Lockout if not Licensed

Licensing Labbie

Licensing particulars: topic to be developed.


Menus

A menu displays a list of commands.

Some of these commands have images next to them so you can quickly associate the command with the image.

The Menus (File, Edit, View, etc.) appear across the top of Labbie’s Main Window under the Title Bar.To open a menu with the mouse, click on it.

To open a menu using the keyboard, press Alt, check which letter is underlined in the particular menu item, and then press it: e.g. Alt+F for File.

The Toolbar and the menus are not accessible if you are in a pop-up dialog box (e.g. the Search Utility, etc.).

See below for these topics:

  • The File Menu

  • The Edit Menu

  • The View Menu

  • The Cubes Menu

  • The Cube Reports Menu

  • The Soil Tests Menu

  • The SetUp Menu

  • The Tools Menu

  • The Windows Menu

  • The Help Menu

<Top of Page

The File Menu (Alt+F)

Log in – The Login Form appears when you select File > Login or press Ctrl+L.

ake sure your User Name is displayed in the Drop Down list, type your password in the Password field, then click OK.

If the password is invalid Labbie will display a Pop-Up Dialog Box, asking you to try again.

To Change Your Password

You can change your Password while logging in normally or if you have already logged in, you can display the Login Form by select File > Login or pressing Ctrl+L.

Type your current password then click the Change Password button instead of clicking OK.

This opens the Change Password Form.

Type your new password and press Tab to move to the Confirm Password field.

Type the new password in the Confirm Password field.

Your new password must be at least five characters long and can consist of letters, numbers and special characters.

Passwords are not case sensitive (it doesn't matter whether you type in upper or lower case). Click OK.

Open - Selecting File > Open or pressing Ctrl-O will display the File Open Form.

This option will enable you to select a different back-end (database) for Labbie. You will only need to use this if the company opens a new database for each new year.

Restore Connection - Use this if Labbie reports that it has lost its connection to the back-end database, usually as a result of network problems.

Close Form and Close All Forms –This option is only enabled when Child Forms are open. Labbie allows you to open several forms within the Main Window at the same time.

Selecting File > Close will close the active child form, while Close All Forms will do just what it says and close all open forms at the same time.

You can identify the active child form by the colour of the Title bar.

Save – this feature is only available with some of the forms.

Save As - this feature is not currently available, but will allow you to write the on-screen data to a different file format.

Split Database – In this process, the data is split into jobs and cube batches for
(a) previous years (the current database), and
(b) the current year (a new database, preferably with the year added to the name).
All clients and projects are retained on both databases, except as described below.

Splitting the database:

  • should be done in mid-to-end January,
  • need only be done if the database is getting too big (or slow),
  • should be done after some cubes and samples have been entered for the new year (so that the batch and job numbers do not reset),
  • can only be done from the Administrator login
  • while no-one else is logged in.

You will be asked for a name for the new database (which should contain the year, to make it easier to identify).
A backup copy will be made with the file extension .OLD (hence spare disk space at least twice the size of the current database is required).
Once the new database has been created, Labbie will offer to delete all Projects not used since 1 January of the previous year, and list them for you. As an alternative, it can just mark them as inactive instead of deleting them, or you can skip this option.
Labbie will also offer to delete all invoices posted (issued) prior to 1 January of the previous year, or you can skip this option. All invoices in progress are retained.

Once the process is complete, you should tell everyone to add new samples/cubes to the new database in future. The old Database will be "locked" so that no new batches, cubes, jobs or samples can be registered, but results can still be added for already-registered cubes and samples.

Import – a sub-menu allows you to import from CSV files: a Client list, the Price List, Tins, and Moulds. This is best done either by the Developers, or in consultation with them.

Print – this feature is not currently available.

Print Preview – this feature is not currently available.

Print Setup – this feature is not currently available.

Exit – Selecting File > Exit or clicking the Close icon in the Main Window’s Title Bar are some of the ways of ending the program.

<Top of Page

The Edit Menu (Alt+E)

Undo – Selecting this option will undo what you did last. It is not available in all circumstances.

Cut – This and the next two options work as in other Windows programs. Text must be selected before it can be Cut.

Copy – As with Cut, text must be selected before you can Copy it. Copy copies selected information to the Clipboard, from where it can be pasted.

Paste – When using the Paste option, selected text will be replaced with the text selected by Copy,.

To select text, drag over it with the mouse, or place the cursor at one end of the text and then use Shift+Arrow Key to select. If nothing happens when you paste, check that it is possible to edit the field.

Select All – In fields that are open to editing, using the Select All option will select all the text in the field.

In the present version of Labbie, most of the options in this menu are not accessible thorugh the menu. They become available when you right-click your mouse or when you enter the correct Ctrl+combination:

· Ctrl+Z for Undo

· Ctrl+X for Cut

· Ctrl+C for Copy

· Ctrl+V for Paste

· Ctrl+A for Select All

Search – Selecting this menu option opens the Search utility.

<Top of Page

The View Menu (Alt+V)

The View Menu gives you the option to change the appearance of Labbie’s Main Window.

Toolbar – Selecting or unselecting this option will display or hide the Main Toolbar.

Status Bar – Selecting or unselecting this option will display or hide the Status Bar.

<Top of Page

The Cubes Menu (Alt + C)

Receive Cubes – This Menu option opens the Cubes Receiving Form.The form mimics a Cube Receiving & Registering Book, and will enable you to enter and update all information as Cubes are received.

Cube Crushing Diary – This option opens the Cubes Crushing Diary report, ahowing the cubes that are due to be crushed today. Print it for the Lab.

Enter Cube Crushing Results – This option opens the Cubes Crushing Diary form. This form will enable you to record and update the test results. The button "Edit Batch" opens the Cubes Receiving form allowing you to view and edit the batch containing the selected cube.

Approve Cube Results – This opens the cube results report (without letterhead). Using navigation buttons on the Toolbar, you can walk through all the results that are waiting for approval and tick off the ones that are acceptable, and reject ones that are not. This option is only available to uses that have rights to approve results.

View Rejected Batches – This option opens the Cubes Crushing Diary form (as above), but displaying only rejected batches (one at a time). A combo box allows you to choose which batch to view. When you click the button "Fixed" the batch is removed from the list and put back in the queue of batches waiting for approval.

View / Print Results – This option opens a search form where you can choose which approved results to produce, be it by e-mail, fax, printing for post, or printing for collection. This uses the Cube Report to Client version selected for the User on menu item Setup > Users. The custom letterhead header and footer are set using Setup > Company, on the tabs "Header Logo" and "Footer Logo".

------------------------------------

Search Received Cubes – This displays a search form which then opens the Cubes Receiving form showing the batches that match the refined search criteria. .

Register – This Menu option opens the Cube Register Form, where information can be searched according to different criteria.

Cube Batches – This Menu option opens the Cube Batches form.This form consists of two sub-forms where the information of Cube Batches and individual Cubes can be compared and correlated.

------------------------------------

Curing Bath Temperature – This Menu option opens the Curing Bath Temperature Form, which will enable you to input and control Water Temperatures.

Curing Chamber Humidity – This Menu option opens the Curing Chamber Humidity Form.You can use this form to record and monitor Humidity.

Verification of Scale – This Menu option opens the Verification of Scale Form. You will use this form to input and control the calibration of the Scales.

Verification of Press – This Menu option opens the Verification of Press Form, where you can enter and monitor information regarding the Press.

<Top of Page

The Cube Reports Menu (Alt+R)

Cube Crushing Diary: Today –Displays the Crushing diary report for cubes to be crushed today. Print this for the Lab

Cube Crushing Diary: Search– Displays a search form for dates and other criteria, then opens the Crushing diary report for cubes matching the criteria.

Cube Progress– Opens the Cube Progress report.

Cube Exceptions –Opens the Cube Exceptions report.

Cube Report to Client - No Letterhead – Opens the Cube Report to Client (version with no letterhead). This is for printing on pre-printed letterheads.

Cube Report to Client - Custom Letterhead – Opens the Cube Report to Client (version with customised letterhead). The custom letterhead header and footer are set using menu item Setup > Company, on the tabs "Header Logo" and "Footer Logo".

Verification of Scale Report –Opens the relevant report

Verification of Press Report –Opens the relevant report

Cube Variation Graphs –Opens the relevant graph, ordered either by Cube ID or by date cast.

Temperature Chart –Opens the graph of bath temperature over time.

Humidity Chart –Opens the graph of humidity over time.

<Top of Page

The Soil Tests Menu (Alt+T)

<Top of Page

The SetUp Menu (Alt+S)

Company – Selecting this Menu option opens the Company Dialog Box.

You will use this pop-up dialog box to capture the information about your company.

Reference Numbers

Users –This Menu option opens the Users Dialog Box. This pop-up dialog box will enable users with the right Security level to identify as users; and to set up Access Levels and/or Permissions for all the people that will be using Labbie.

Holidays –This Menu option opens the Holidays Form. You can use this form to enter holidays that could affect your work schedule.

Projects (Sites) –This menu option opens the Projects Form.

The Projects Form can be used to Display and/or to Capture all the information relating to a particular Project or Site.

The Projects Form can also be used to Edit or Update information about an existing Project.

You can also use the Projects Form to navigate through different Projects by using the Navigator Toolbar on top of the form.

Project Pricing –This menu option opens the Project Pricing Form, which allows you to see the projects that use each price list item, and what the prices are for each of these projects. If you want to see all the prices for a given project, use the Projects Form above.

You can use this form to capture new prices, adjusting the prices in your general Price List to suit each individual Client’s pricing requirements.

<Top of Page

------------------------------------

Price List –This Menu option opens the Price List Form.The Price List Form is where you can set and update your prices.

Clients – This Menu option opens the Clients Form. This form will be used to set up and maintain the information about your Clients. You can also use the Clients Form to navigate through the records of different Clients by using the Navigator Toolbar on top of the form.

------------------------------------

Security –This Menu option (not currently available) will be used to set the security options available to the the various users.

Licensing of PC –This Menu option (not currently available) will be used to set the licensing of this Labbie database.

<Top of Page

The Tools Menu (Alt+T)

Options – This feature is not currently available.

Invoicing –This menu option opens the Invoice Summary Form, where you can print invoices, export them to your accounting package, edit existing invoices, and view closed invoices.

<Top of Page

The Windows Menu (Alt+W)

The window menu lets you rearrange or activate the open windows. They are shown in the list at the bottom of the menu: Click on the one you wish to activate. The View menu has standard combinations of windows, and will also open windows that are not open.

Cascade – Arranges the open windows in a stacked form one in front of the other, allowing sight of the titles.

Tile Vertically – Arranges the open windows next to each another.

Tile Horizontally – Arranges the open windows one below the next.

Arrange Icons – Arranges the title bars of the minimized windows neatly at bottom left.

Window list – List of open windows. Click on the window you wish to activate.

.<Top of Page

The Help Menu (Alt+H)

The Help menu opens the Help file (Contents) and displays details about the program (About). Click Help > About for the program's version number before asking for support from Advertising Dynamics International Pty Ltd.

What’s New? – Latest information on changes to Labbie.

Help Index – This Help File.

About – Opens the splash screen showing license and copyright information. Click Close to close it.

More About –Gives the following information about Labbie, your System, and available Support:

· Full version number of Labbie

· Where to save Replication Attachments (Database Path)

· Serial Number, docking status, Database Path and File Name(s)

· Windows version, Build and Service Pack number

· CPU make and model

· Available and Total Physical memory

· Available and Total Virtual memory

· Names of Development Team.

· Email addresses: For technical support: info@softwareafrica.co.za.

For licensing, administration and accounts enquiries: info@softwareafrica.co.za.

· Web address for Updates: www.Software Africa

Debug – Use this for detailed logging if requested to do so by support staff. The logging levels are from 0 (minimal logging – the default) to 5 (extremely detailed).

View Log File – Opens the Log File created for debugging (Labbie log on the program folder).

Limit Log File Size… – Lets you set a limit on the Log File’s size or make it unlimited (100 KB is the default).If the file exceeds this size at the start of a run it is renamed (a zero is added at the end of the name) and a new Log file is started.

Check for Updates – This lets you check for a new update of Labbie over your internet connection ("Now!" option), or set the interval at which Labbie will check for updates. The default is to check every time Labbie runs.

<Top of Page


The Main Toolbar

The Toolbar (underneath the Main Menu) can only be used with a mouse.

Icons are images displayed in the toolbar, so you can quickly associate the command with the image.

Hovering with the mouse over an icon will provide a tooltip describing its function.

To launch the tasks related to an icon, click on it with the mouse. Thus, clicking a toolbar button can be equivalent to choosing a menu command.

As was already indicated in connection to Labbie’s menus, the toolbar is not accessible if you are in a pop-up dialog box (e.g. the Search utility, etc.).

<Top of Page


The Navigating Toolbar

The Navigating Toolbar enables users to navigate through and manipulate data on Labbie’s Forms and Dialog Boxes :

The Navigating Toolbar is at the top of the form below the Child’s Form Title Bar. When the Child Form is maximized, the Navigating Toolbar is immediately below the Main Toolbar.

Icons are images displayed in the toolbar, so you can quickly associate the command with the image.

The number of icons included in Labbie’s Navigating Toolbars varies depending on the requirements of the different Child Forms. Hovering with the mouse over an icon will provide a tooltip describing its function.

Sometimes the icons will become visible, or enabled depending on the work you are doing at a particular time (i.e. in some forms the Save icon will only become enabled when you have entered new data that requires saving).

The following icons are generally displayed in the Navigating Toolbar:

Move First – Takes you to the first record in the table.

Move Previous – Takes you to the previous record in the table.

Current Position – Indicates the current record.

Total Number of Items – Indicates the total number of records in the table.

Move Next – Takes you to the next record in the table.

Move Last – Takes you to the last record in the table.

Add a New Record – Adds a new record to the table, clearing the current form to facilitate capturing the new information.

Delete a Record –.Deletes the current record from the table. This will be disabled (greyed out) if you do not have permission to delete records.

Save Data – Saves all the modified and new information to the table. The "blue diskette" will usually be disabled if there are no changes to save.

Other buttons may be displayed as required, and some of the above may be absent or greyed out as appropriate.

<Top of Page


Setting Up the Program

This section covers the setting up of the program after installation. If you want to find out about installing the program, click here.

To set up the program you will want to do the following in the order shown:

  • Decide on a back-end: Microsoft Access (small installations, usually under 10 users), or Microsoft SQL Server (installations with more users: You have to buy the Microsoft SQL Server package separately, and run it on a Server. If you have Microsoft Small Business Server, you already have SQL Server as part of the package). (see Next>>)
  • Click File > Open and follow instructions for the desired front-end. (Next>>)
  • Set up your Company: Input all your letterhead and contact details .
  • Set up Users: These are the people at your company who will be using Labbie.
  • Set up Holidays: Weekdays on which tests will not be done.
  • Set up the standard Price List: The list of services you offer and prices you normally charge clients for them.
  • Set up Clients: Your Customers.
  • Set up Client Pricing: Any exceptions to the standard Price List - special prices you charge certain clients for certain services.
  • Set up Projects: Jobs you do for clients.

Each of these topics is covered in depth on a following page.


File Open

Setting up the Back End Database

At a given time, a company will usually be using only one data file (database). To prevent the accidental proliferation of data files, the usual File > New feature is not found in Labbie. Instead, a new data file has to be ordered from the suppliers. Typically this occurs once only in a company's use of Labbie: When the program is being set up for the first time. The suppliers may pre-prepare the file with the client's customer list, price list, and possibly lists of tins and moulds.

Selecting File > Open or pressing Ctrl-O will display the File Open Form. This option will enable you to select the new, or a different back-end (database) for Labbie.

A Dialog Box will give you the chance to change your mind and continue with the same back end.

Press OK to proceed.

The File Open Form will enable you to browse your storage devices and select the desired database to open.

· You can select Folders in the ‘Look in’ Drop Down List at the top of the form.

· The left side of the File Open Form provides shortcuts.

· You can select ‘File Names’ and ‘File Types’ using the Drop Down Lists at the bottom of the form.

Once your selections are done, click OPEN to proceed.

A Dialog Box will ask you to confirm your selection.

Click YES to proceed.


Setting up Your Company

Setting up your company is one of the first activities you should undertake when using Labbie. The Company Dialog Box will enable you to enter and maintain customizable information about your Company that Labbie can access and use from other areas of the application, for example to print your letterhead on reports for clients.

To launch the Company Dialog Box select Setup > Company from the Menu.

The Company Dialog Box consists of, and displays only one record.

The same dialog box is used to enter the information about your company, to display the customizable details and to edit or update them.

Because we are dealing with a Dialog Box, the Toolbar and the Menus will not be accessible. We will use the OK and Cancel buttons in the Dialog Box to close it.

This chapter contains the following topics:

  • Entering Company Data and Editing existing Data
  • Address tab
  • Payment Details tab
  • Remarks tab
  • Header Logo and Footer Logo tabs
  • Communications tab
  • Setting an SMTP Address for e-mailing.
  • Saving the information.

<Top of Page

Entering and Editing Company Data

You can navigate through the fields in order by pressing the Tab key. To go in the reverse direction, use Shift+Tab. Alternatively, you can click any of the fields with your mouse. Most of the fields are self-explanatory.

Some fields have typing aids to facilitate the capturing of data, and decrease the chances of typing errors.

The first line of the Postal Address field has typing aids providing a drop down list. The list will be displayed whenever you start typing P (for Postal Box or Private Bag) in the Field. Once the list is displayed you only need to highlight your choice and press the Enter key and Left arrow. The same applies to the Telephone and the Fax Text Boxes: both have typing aids to facilitate data entry.

The VAT Rate Text box will accept a numeric entry (either 14 or 0.14 for 14%), but will not allow the % sign.

You can easily edit the information displayed in the text boxes by selecting it and typing over it. Both the Backspace and Delete keys in you keyboard will erase unwanted data in a Field (yet in different directions!!).

You can copy data by selecting it (dragging over it) and then pressing Ctrl+C. To cut, use Ctrl+X. To paste, use Ctrl+V.

For the changes to be kept you need to Save them to the Company Table by clicking the OK button.

The dialog box requires the Company Name at the top. All other information is on various tabs:

<Top of Page

Address tab

Here you insert the postal address (three lines, plus post office name and postal code) in the upper frame, and the telephone number, fax, and e-mail address in the lower frame.

<Top of Page

Payment Details tab

This contains the Company VAT number, VAT Rate (for invoicing), and three notes for invoicing (Payment Note, Bank Details, and Invoice Note).

Remarks are now on the following tab:

<Top of Page

Remarks tab

From Version 3.1.0.3 – 7 August 2012 there is a new third tab "Remarks". Here you can edit:

  • The Remarks that appear at the foot of the Concrete Cube Results (letterhead and no letterhead)
  • The Remarks that appear at the foot of the Soil Columnar report (normal and small).
  • Remarks that might in future appear at the foot of the Asphalt Columnar report.

The Remarks for Cubes and Soils will appear on various reports to Client. Each is a Rich Text Box, meaning that you can format selected text in terms of size, font, bold, italics, underscores and colour, by clicking the button on the right. Press Enter in this field to create a new line. You can also format text elsewhere (e.g. Word) and then copy it (Ctrl+C) and paste it here (Ctrl+V).

You will typically use the Remarks to include information about your testing methods, SANAS Number, scope of work, and liability for errors.

<Top of Page

Header Logo and Footer Logo tabs

Here you import the logo that must be used at the top (header) and bottom (footer) of the Reports to Client with Custom Letterhead. The logos must be in a picture file format, e.g. Bitmap (file extension of BMP), JPEG (JPG), TIFF (TIF), or GIF. You can create these with many graphical programs such as CorelDraw or even Windows' own Paint program (Start > Programs > Accessories > Paint).

The logo will occupy the printable width of the page and will distort if the height and width are in the wrong ratio: You may have to play around with it a bit until the aspect ratio looks correct. These are the suggested dimensions, although any with the correct Width/Height ratio will work as well (pixels are used in the Windows "Paint" program):

Header Logo | pixels | cm | inch | Footer Logo | pixels | cm | inch
Width | 9900 | 17.46 | 6.874 | Width | 9900 | 17.46 | 6.874
Height | 1832 | 3.23 | 1.272 | Height | 1455 | 2.56 | 1.008
Ratio | 0.1851 |  |  | Ratio | 0.1470 |  |

Click the Import Image button to find and import the image that you have created.

<Top of Page

Communications tab

This is where you set up the protocol used for sending e-mail. Choose successive options starting at the top, clicking the button "Send Test e-mail..." for each one until you find one that works for you. Once you have found an option that works, tick "With Attachment" and try again. The options are:

  • SMTP localhost – SMTP (Simple Mail Transfer Protocol) is the recommended method to send HTML e-mail. If Localhost does not work, you will need an IP address:
  • SMTP with IP Address – This is the preferred method. However, you need to locate the correct IP address. Some guidelines follow below.
  • MAPI (Display Message) – Microsoft® Exchange client, all versions of Microsoft Outlook®, and Outlook Express use MAPI (Messaging Application Programming Interface), as do some other systems. You have a choice: Send immediately (next), or Display (click "Send" yourself after reviewing the message). This is unlike the two SMTP options which send the mail immediately.
  • MAPI (Send Message) – as the previous option, but sends the mail immediately. If your e-mail uses a recent version of Outlook, you will get the Outlook nagging screen that says that another program is trying to send e-mail, and makes you wait three seconds before you can click Yes to allow it.
  • Outlook (Display Message) – this specifically targets Outlook (not Express) even if it is not your default e-mail program. If it is your default e-mail program then this option will behave the same as MAPI. If Outlook is not installed, this option will fail.
  • Outlook (Send - nagging screen) – as the previous option, but sends the mail as soon as you have clicked Yes on the Outlook nagging screen.
  • Simple MailTo: (Display) – this is the most basic of e-mailing methods. It merely creates a plain-text e-mail in your default e-mail program. You have to attach the attachment yourself, and then send. To help you, Labbie puts the name of the attachment in the message. Unlike with the other choices, Labbie does not delete the file (since it can't attach it).

The default Company Connection is always "SMTP Address" with the same address for all PCs. To use an e-mailing option other than "SMTP Address", you must save it for that PC: Click the button "Save for this PC". To find out which method is already set for your PC, click the button "Get PC Setting": this can then be chosen on the screen. To revert to default, click "Clear PC Setting".

If you experimented with SMTP Addresses and found the correct one, click OK to save it as default for the Company. If not, click Cancel.

If the test e-mail gives you the message "Invalid SMTP Server Address or Sender e-mail address?" and the e-mail address you are using is valid, read on...

Using the SMTP Address

Here you must enter the SMTP IP Address used for sending e-mail.

To find yours, in Windows, click Start > Settings > Network Connections. Double-click Local Area Connection. On the Support Tab, click the Details button. On the Network Connection Details dialog, find and write down the DNS Server address (see illustration on right).

Type this into the "SMTP Address" box in Labbie. Typical values are "smtp.isdsl.net" and "66.8.49.139".

Click the "Send Test e-mail..." button to check it.

The above method may give an error: "User not local; please try a different path". If so, make sure that the Server's SMTP settings (Host Settings > Advanced Settings > SMTP Server Settings) have been properly configured, especially those for the Authentication type, Username and Password. The settings may have been improperly configured to use anonymous authentication when basic authentication is necessary. If that is not the problem, verify with your host that their e-mail policies permit sending email to addresses outside your own domain.

If the above does not work, a usable IP address may be found on the Mail Server in the Server Management program. In the navigation tree, under Advanced Management > POP3 Connector Manager > POP3 Mailboxes, use the IP Address there, e.g. 196.30.206.9.

The error: "Mailbox unavailable. The server response was: 5.7.1 Unable to relay for <user@domain.co.za>" can arise with SMTP localhost. Use an SMTP Address instead as indicated above, or a different e-mailing method.

<Top of Page

Saving the Company Information

Clicking the OK button will save your Company’s information in the Company Table and also Close the Company Dialog Box.

Clicking the Cancel button or pressing Escape will close the form without saving the new data. Closing the form using the Close control (X) in the Dialog Box’s Title bar will have the same effect.


References

Setting up Reference Numbers

To open the Reference Numbers dialog box, select Setup > Reference Numbers from the Menu.

References are the numbers your company uses to refer to Clients, Projects, Cube Batches, Cubes, Cost Centres, and other Samples.

Only the Administrator has a high enough security level to save modifications made in this dialog box.

The Reference Number settings provide great flexibility in the following ways:-

  1. You can specify any format of Reference you like for Clients, Cubes and Samples, and optionally for Projects and Cube Batches.
  2. You can omit any symbol in the key if you do not require it.
  3. The Cube Batches number field will also count pro-forma invoices.
  4. This form allows the Administrator to change the settings (with caution!) once set.

This page contains the following detailed topics:

· Client References.

· Project References.

· Cube Batch References.

· Cube References.

· Cost Centres References.

· Sample References

<Top of Page

The Client Reference Tab

On the first (Client) tab, you specify how Labbie should work out a Client ID when a new client is entered. This will usually match the debtor account used in the Accounting System, e.g. Pastel.

The Client Reference is required (must be specified), and must be unique (different for each client in the database).

You can specify the number of letters, followed by the number of numbers, to be used. The letters will be taken from the client name after all spaces and punctuation have been removed. They will be capitalized. Thereafter the next number in the sequence for those letters will be used.

Although you can change a Client's Reference after the program has created a default, it should be exactly of a length = number of letters + number of numbers specified. If there are Client References of different lengths the program can not number across projects (see “Project Reference” below).

Example 1: Client Reference is set as three letters and three numbers. Client is Van Tonder Roads. It is the first client whose name starts with VAN, so its Client Reference becomes VAN001. Next client is Van Der Merwe Earthworks: It gets VAN002, and so on. Meanwhile Joe Soap Construction gets JOE001, etc. This corresponds to the default debtor numbering in Pastel Accounting (although Labbie may pick different reference numbers).

Example 2: Client Reference is set as zero letters and five numbers. Client is Van Tonder Roads. It is the first client on the database, so its Client Reference becomes 00001. However, we change it on the Clients form to 00211. Next client is Van Der Merwe Earthworks: It then gets 00212, Joe Soap Construction gets 00213, and so on.

<Top of Page

The Projects Reference Tab

The “Project Reference” will provide a custom reference to the project.

The Project Reference can be used in the (Cube) Batch reference (below). It is not required but, if it is not blank, it must be unique for each Project.

This field can in its turn use the client Reference (for example VAN002) and then be followed by a custom incrementing field, numbered either absolutely or per client (explained below).

Here is a description of the special symbols in the Projects Format:

  • CCC – This includes the client/customer reference set on the Client Reference tab (above)

  • 00 and ## – Represent a two-digit sequential number. Any number of digits can be specified, and this is the minimum that will be used, i.e. if the number is shorter than this number of digits it will be filled with zeros on the left. If the number is larger, it will expand. It is a good idea to specify the maximum number of digits expected, otherwise the references may be difficult to sort and find later.
    The difference between these formats is that if the “00” format is specified, numbers are unique for the database (across all projects), while the “##” format specifies that each client’s projects are numbered separately starting from one.
    These two formats can not be used together: Choose one only.
    By default, numbering starts at 1 and then increments the previous number by 1 each time. To start at something other than one, change the latest Project Reference on the Projects form.

  • YY or YYYY – Represents a 2 or 4 digit year. Example: 09 or 2009

  • MM – Represents a 2 digit month. Example: 10

  • ' ' (text enclosed in single quotes) - Lets you use characters that are special symbols. Thus, if your project numbers should start with “Y#” (Y and # have a special meaning in the format), your format should start with 'Y#' (quotes included).

Spaces and underscores are not allowed. Some other characters such as D and H may produce unexpected results and should be enclosed in single quotes if in doubt. Examine the sample at the bottom right to see if you are getting what you expect.

The “Reset to 1 every” section allows you to specify when you want the sequential number (specified with “00” or “##”) to start again at 1. You can only reset annually if you include “YY” or “YYYY” in the format. You can only reset monthly if you include “MM” and either “YY” or “YYYY” in the format. The principle is that Project Reference numbers must be unique in the database. By default it is never reset.

You can leave the format blank (no references are created), or any symbol in the key if you do not require it. However if you omit both “”00” and “##”, you will have to alter the computer-generated Reference manually to make it unique.

The “Project Reference” will also be able to count invoices. (A checkbox for this will be included)

You can change these settings once set, but the program may get confused when trying to calculate the next number in the sequence.

<Top of Page

The Batch (Cube Batches) Reference Tab

This applies only to Cube Batches; Jobs for other types of sample (soil, aggregate, asphalt, etc.) are defined on the Cost Centres tab below.

The Format on the Batch Reference tab will automatically generate “Our Ref” on the Cube Receiving Form. It may include the Client Reference from the Client Reference Tab or the Project Reference from the Project Reference tab, if required. For example; (9223/PPP/##//YY) or (CCC/YY-0000) would be typical formats for Batch references.

It is not required (can be blank). If it is used, it is recommended that it be unique for each cube batch.

Here is a description of the special symbols in the Batch Format:

  • CCC – This represents the Client reference entered on the Client Reference tab. (Please refer to the Client tab above). So entering ‘CCC’ would instruct the program to include the Client reference, e.g. 9223/CCC/##/YY

  • PPP – This represents the project reference entered on the Project Reference tab. (refer to the Project tab above). So entering ‘PPP’ would instruct the program to include the project reference, e.g. 9223/PPP/##/YY

  • 00 and ## – Represent a two-digit sequential number. Any number of digits can be specified, and this is the minimum that will be used, i.e. if the number is shorter than this number of digits it will be filled with zeros on the left. If the number is larger, it will expand. It is vital to specify the maximum number of digits expected, otherwise the references may be difficult to sort and find later. The difference between these formats is that if the “00” format is specified, numbers are unique for the database (across all projects), while the “##” format specifies that batches are numbered separately for each project starting from one. These two formats can not be used together: Choose one. By default, numbering starts at 1 and then increments the previous number by 1 each time. To start at something other than one, change the latest “Our Ref” on the Cubes Receiving form.

  • Any alphanumeric data can be added. In the examples above, the identifier 9223 is used by a particular soils lab to refer to the cost centre for Concrete Tests. Note that if it included a zero, hash (#), MM or YY, it would have to be inside single quotes (see below), since these characters have special meanings.

  • YY or YYYY – Represents a 2 or 4 digit year. Example: 08 or 2008

  • MM – Represents a 2 digit month. Example: 02 for February

  • ' ' (text enclosed in single quotes) - Lets you use characters that are special symbols.

Spaces, backslashes (\), and underscores (_) are not allowed. Some other characters such as D and H may produce unexpected results and should be enclosed in single quotes if in doubt. Examine the sample at the bottom right to see if you are getting what you expect.

<Top of Page

The Cube Reference Tab

The Cube Reference tab sets a reference for each concrete cube. It is required, and must be unique for each cube. Other types of sample are dealt with on the Samples tab below.

Here is a description of the special symbols in the Cube Format:

  • YY or YYYY – Represents a two or four digit year. Example; 09 or 2009

  • MM – Represent a two digit month. This will enable you to reset every month.

  • 00000 – Represents a five digit sequential number. Any number of digits can be specified here. These digits can be reset every year or month. Specify sufficient zeros to fit the largest number expected. If there are not enough digits an overflow condition will cause unpredictable errors.

  • A – Represents one alphabetic character. Must be followed by numbers, for example in the format “A000/YY”, numbering will start with A001/09 (in 2009) and go up to A999/09, which will be followed by B001/09, and so on. The “Reset on overflow” option (see below) will automatically apply: Thus, Z999/09 will be followed by A001/09. In addition the number may be reset monthly or yearly.

  • BBB – This represents the Batch Reference (“Our Ref” in the Cube Receiving Form: See Batches section above). If this is included, the "0" or "A" digits will reset to "1" or "A" respectively for each batch, and a Batch Reference must be specified.

  • ' ' (text enclosed in single quotes) - Lets you use characters that are special symbols.

The “Reset to 1 every” section allows you to specify when you want the sequential number (specified with “00000”) to start again at 1. You can only reset annually if you include “YY” or “YYYY” in the format. You can only reset monthly if you include “MM” and either “YY” or “YYYY” in the format. The principle is that Cube Reference numbers must be unique in the database. By default it is never reset.

A final Reset option is “on overflow”. This means that the sequential number will be limited to the number of digits specified (5 in the example: YY/00000). It will then not reset every year or month, but the cube after, in this example, 09/99999 will be 09/00001. This will give problems with sorting because the latter will sort before the former, and could result in non-unique values.

Example 1: YY/00000 – the first two letters represent a two digit year. The next five numbers represent a sequential number and instruct the program to start with a cube reference of “09/00001”. It should be reset every year. This is the default format.

Example 2: YYMM-000 – If you choose to specify “MM” in the date format the program should reset to 1 every month. Specify sufficient zeros so that an overflow (which will mess up sorting) will be unlikely.

Example 3: BBBA – The batch number is followed by a single letter, which will restart at "A" for each batch. Ideally the batch number should be short, for example YY/MM/00 (reset every month, and assuming no more than 99 batches in a month).

Spaces, backslashes (\), and underscores (_) are not allowed. Some other characters such as D and H may produce unexpected results and should be enclosed in single quotes if in doubt. Examine the sample at the bottom right to see if you are getting what you expect.

<Top of Page

The Cost Centres Reference Tab

This tab allows you to set up a series of one or more cost centres so that Jobs for different types of samples (other than concrete cube batches) can be billed using different reference numbers and sample numbers. It works in conjunction with the following tab, "Samples".

The Name column contains the name of the Cost Centre. This might be as simple as one Cost Centre, "Lab" (for the entire Laboratory), or there might be different Cost Centres for, for example, Field Tests, In-Lab Soil Tests, Asphalt Tests, and Other Tests.

The entry in the Format column will automatically generate “Our Ref” for the Job on the Sample Registration Form. It may include the Client Reference from the Client Reference Tab or the Project Reference from the Project Reference tab, if required. For example; (9221/PPP/##//YY) or (CCC/YY-0000) would be typical formats for Cost Centre references.

For example, a Lab might have a Cost Centre for Field Tests (9220/PPP/##//YY), In-Lab Soil Tests (9221/PPP/##//YY), Asphalt Tests (9222/PPP/##//YY), and Other Tests (9224/PPP/##//YY). The 922n number would be an internal Cost Centre code.

Here is a description of the special symbols in the Cost Centres Format column:

  • CCC – This represents the Client reference entered on the Client Reference tab. (Please refer to the Client tab above). So entering ‘CCC’ would instruct the program to include the Client reference, e.g. 9221/CCC/##/YY

  • PPP – This represents the project reference entered on the Project Reference tab. (refer to the Project tab above). So entering ‘PPP’ would instruct the program to include the project reference, e.g. 9221/PPP/##/YY

  • 00 and ## – Represent a two-digit sequential number. Any number of digits can be specified, and this is the minimum that will be used, i.e. if the number is shorter than this number of digits it will be filled with zeros on the left. If the number is larger, it will expand. It is vital to specify the maximum number of digits expected, otherwise the references may be difficult to sort and find later. The difference between these formats is that if the “00” format is specified, numbers are unique for the database (across all projects), while the “##” format specifies that Cost Centres are numbered separately for each project starting from one. These two formats cannot be used together: Choose one. By default, numbering starts at 1 and then increments the previous number by 1 each time. To start at something other than one, change the latest “Our Ref” on the Sample Registration form.

  • Any alphanumeric data can be added. In the examples above, the identifier 9221 is used by a particular soils lab to refer to the cost centre for Soil Tests. Note that if it included a zero, hash (#), MM or YY, it would have to be inside single quotes (see below), since these characters have special meanings.

  • YY or YYYY – Represents a 2 or 4 digit year. Example: 08 or 2008

  • MM – Represents a 2 digit month. Example: 02 for February

  • ' ' (text enclosed in single quotes) - Lets you use characters that are special symbols.

Spaces, backslashes (\), and underscores (_) are not allowed. Some other characters such as D and H may produce unexpected results and should be enclosed in single quotes if in doubt. Examine the sample at the bottom right to see if you are getting what you expect.

<Top of Page

The Samples (Sample Numbering) Tab

This tab allows you to set up a series of one or more numbering systems for different types of samples (other than concrete cubes) and attach them to different Cost Centres for billing purposes, as set up on the previous tab.

The Name column contains the name of the sample type. This might be as simple as , "Samples" (all samples done in one Cost Centre for the entire Laboratory), or there might be different samples for dofferent Cost Centres for, for example, Field Tests, In-Lab Soil Tests, and Other Tests.

The Format column specifies how the unique reference for each Sample will be set up. The options for settings are the same as on the Cube Reference Tab (above). Caution: Use a different format of number if you want to be able to tell cube numbers from sample numbers. For example, use YY-00000 for samples and YY/00000 for cubes.

Number each type of sample differently. Each sample number must be unique in the database. For example, use YY-\S00000 for In-Lab Soil samples and YY-F00000 for Field Test samples.

Here is a description of the special symbols in the Format:

  • YY or YYYY – Represents a two or four digit year. Example; 09 or 2009

  • MM – Represent a two digit month. This will enable you to reset every month.

  • 00000 – Represents a five digit sequential number. Any number of digits can be specified here. These digits can be reset every year or month. Specify sufficient zeros to fit the largest number expected. If there are not enough digits an overflow condition will cause unpredictable errors.

  • A – Represents one alphabetic character. Must be followed by numbers, for example in the format “A000/YY”, numbering will start with A001/09 (in 2009) and go up to A999/09, which will be followed by B001/09, and so on. “Reset on overflow” will automatically apply: Thus, Z999/09 will be followed by A001/09. In addition the number may be reset monthly or yearly.

  • ' ' (text enclosed in single quotes) - Lets you use characters that are special symbols.

  • The backslash (\) is the "escape character": It can be used before any character that has a special format attached to it (e.g. s = seconds, d = day) to force the character instead of the format.

The “Reset" ("reset to 1" period) column allows you to specify when you want the sequential number (specified with “00000”) to start again at 1. You can only reset annually if you include “YY” or “YYYY” in the format. You can only reset monthly if you include “MM” and either “YY” or “YYYY” in the format. The principle is that Sample Reference numbers must be unique in the database. By default it is never reset.

Example 1: YY-00000 – the first two letters represent a two digit year. The next five numbers represent a sequential number and instruct the program to start with a Sample reference of “09-00001” in 2009. It should be reset every year. This is the default format.

Example 2: YYMM-000 – If you choose to specify “MM” in the date format the program should reset to 1 every month. Specify sufficient zeros so that an overflow (which will mess up sorting) will be unlikely.

Spaces, backslashes (\), and underscores (_) are not allowed. Some other characters such as D and H may produce unexpected results and should be enclosed in single quotes or preceded by a backslash (\) if in doubt. Examine the sample at the bottom right to see if you are getting what you expect.

<Top of Page


Users

Working with Users

Selecting Setup > Users from the Menu will launch the Users dialog box.

Users are your co-workers, people who work for your company and will be using Labbie.

Only users with the right security levels can get the Users dialog box to display.

The Users dialog box can be used to display information about Labbie users - it displays information about a user at a time.

This dialog box can also be used to add new users to the Users table; to edit or update information about existing users, or to delete records of users that are no longer going to use Labbie.

The Users form can also be used to navigate through all the records of existing users in the Users table, by using the Navigating Toolbar at the top of the dialog box.

This chapter contains the following topics:

· Setting up new Users.

· Navigating through existing Users.

· Editing existing Users.

· Deleting existing Users

· Saving the Users Information.

<Top of Page

Setting up new Users

Only users with the right security levels can add new users.

Labbie allows you to have any number of users. Give each user their own login name: This name is recorded for critical actions that they perform and you will therefore have a record of who did what when. To avoid clutter, it is sensible to delete users (or change their names) when users leave the company. When you delete a user, none of the work they have done is deleted.

To set up a new user, click the ‘Add a New Record’ icon (the Plus (+) button) in the Navigating Toolbar . All the information in the form (except for the User ID) will be cleared, to enable you to capture the new data.

The Current Position and Total Number of Items icons in the Navigating Toolbar will display an extra record.

The User ID is a read only field. You can not enter or modify a value in this text box. The User ID is automatically allocated by Labbie.

You can navigate through all the fields in the form in the order in which they are laid-out by pressing the Tab key. Alternatively, you can click any of the fields with you mouse.

The Password text box contains a mask, so that only the person who generated the password knows what the password is. Yet the Password text box can be used to enter an entirely new password for a particular user.

The Level field consists of a Drop-down list. You can make a selection displaying the list by clicking the arrow in the drop-down list.

Each user must be allocated a Security Level, depending on their level in the company and what they are allowed to do in Labbie:

  • 0 – User;
  • 1 – Full User;
  • 2 – Supervisor;
  • 3 – Owner;
  • 4 – Developer;
  • 5 – Administrator.

In addition there is always a login called "Administrator" that has top level (Administrator) rights and can not be deleted, but also can not function as a regular User.

Start-Up Form: The form you choose here will open as soon as this user has logged on to Labbie (a time-saving option if you frequently open the same form). Forms are added to the menu based on user demand.

The Users form also has these options:

Output Reports defines which report is used by the Cubes menu option View/Print Reports. Choose which output report to use for (a) previewing, (b) emailing and faxing, (c) results for posting and collection, and (d) file copy: The choice can be "No Letterhead" or "Custom Letterhead".

E-mail Options: This lets you set up default sender (yourself - for return messages), CC, BCC, result notifications, and signature. They will appear for each e-mail, where they can be changed for that e-mail. E-mail will by default be sent using the SMTP Address set for the company, unless you save different settings for this PC.

Fax Options: Choose the Fax Printer: Either e-mail to fax, or Windows Fax service (using a fax modem). For e-mail to fax, specify the e-mail domain of the e-mail-to-fax provider (e.g. cyberfax.co.za if you signed up with SishaFax), and whether to use a cover sheet by default. Not all systems support a cover sheet. Note that if you are using the Windows Fax service, it must be installed: Click Start > Control Panel > Add and Remove Programs > Windows Components; tick Fax service and click OK. You will probably need your original Windows CD-ROM.

Approval Signature: This appears on the Reports menu's Cube Report to Client items for batches that this user has approved. The signature is a scanned image of the user's signature (import using the Import Image button). The Text appears under the signature (usually the user's name and position).

To add the Users information to the table, you need to save your changes.

<Top of Page

Navigating through Users

You can navigate through existing users with the help of the Navigating Toolbar.

Clicking the Move Previous and Move Next icons in the toolbar will enable you to navigate from user to user.

Clicking the Move First and Move Last icons in the toolbar will take you to the beginning and to the end of the list of users, respectively.

The Total Number of Items icon indicates the number of users in the table, while the Current Position icon indicates the current user.

<Top of Page

Editing existing Users

You will use the Users form to enter new users, and also to Edit existing ones.

Only users with the right security levels can edit users.

You can easily edit the information displayed in the text boxes by selecting it and typing over it.

Both the Backspace and Delete keys in you keyboard will erase unwanted data in a field (yet in different directions!!).

You can also edit the information in a text box making use of the tools listed in the Edit menu.

For the changes to be permanent you need to Save them to the Users Table.

<Top of Page

Deleting existing Users

Only users with the right security levels can delete users.

Labbie is licensed for a specified number of users, and will not allow more than the licensed number to use the system.

It is important that users that leave the company are deleted, so that new users can be put on the system in their place.

To Delete a user you have to click the ‘Delete A Record’ Icon in the Navigating Toolbar.

The Total Number of Items, and Current Position icons will reflect the deletion, and the user will not be displayed in the Users dialog box.

But the user will only be really deleted when and if you Save the information back to the Users Table.

<Top of Page

Saving the Users Information

In order to save new Users, or updated information about existing ones, you need to save the information back to the Users Table.

Pressing the ‘Save Data’ Icon in the Navigating Toolbar will save your data.

You will notice that when you first open the Users Dialog Box the Save Data Icon is disabled, and it only becomes enabled when changes take place. If the Icon is enabled, Labbie will launch the ‘Save Data Now?’ pop-up if you try to Close the Users dialog box without saving your data.

The ‘Save Data Now?’ pop-up will give you the option to save your data, discard it, or cancel your action altogether.


Holidays

Working with Holidays

As soon as Public Holidays are known for the next year, you should select Setup > Holidays and record the company's holidays (non-working days) for that year.

The Holidays Form displays a Data Grid Control.

The same form is used to display the holidays, and to add, edit or update information to the Holidays table.

You can use the Navigating Toolbar at the top of the form to navigate through the records in the Holidays table, but you could manage just as well making selections with the mouse, as all the holidays are displayed in the Data Grid.

This chapter contains the following topics:

· Setting up new Holidays.

· Copying Holidays to the New Year

· Navigating through existing Holidays.

· Editing and Deleting existing Holidays.

· Saving the Holidays Information.

<Top of Page

Setting up new Holidays

To set up a new holiday, click the Add New icon in the Navigating Toolbar.

A new row will be inserted at the bottom of the Data Grid and the Current Position and Total Number of Items icons in the Navigating Toolbar will display an extra record.

You can navigate through the fields in the Data Grid in the order in which they are laid-out by pressing the Tab, or the Left and/or Right Arrows in your keyboard. Alternatively, you can click any of the fields with you mouse.

You can input the data into the ‘Holiday Date’ field directly, using your keyboard, or alternatively you can select the date using the Date Time Picker that will be displayed in the Navigating Toolbar when you click the Add New icon.

The ‘Day Off?’ field will specify whether this is a working holiday. This field consist of a Check box control, and you can select it by clicking it with the mouse, or by pressing the space bar in your keyboard.

The Fixed field is meant to indicate whether the date of the holiday is fixed from year to year (i.e. May 1st). This information will be used when copying the block of holidays to the next year (see relevant section below). This field also consist of a Check box control.

Labbie will enter the information in the Modified by and Modified on fields automatically, but you can amend them.

Clicking the heading of a column will sort the information in the Holidays form in ascending order by that column. You should ‘Refresh’ the list by sorting it after you have made additions.

Clicking the column heading a second time will sort the information in the reverse order.

For the addition to be permanent you need to Save it to the Holidays Table.

<Top of Page

Copying Holidays to the New Year

Once you have entered the Holidays for a particular year, you can just transfer the fixed holiday dates for the following years, as it becomes necessary.

The Navigating Toolbar in the Holidays form has an extra icon. To transfer the fixed holiday dates to a new year, click the "Copy all Holidays to the New Year" button.

Labbie will display a Pop-up dialog box, asking whether you wish to include a Monday Holiday after each

Sunday Public Holiday.

Click Yes or No to close this dialog box.

Labbie will display a second Pop-up dialog box, informing you that the form will close to incorporate the new

data into the Holidays table; and that you should manually deal with all the Public Holidays that do not have

a fixed date.

Click OK to close this dialog box.

Holidays that are not fixed require manual input using the Add New Icon.

A third Pop-up from Labbie will give you the option to save or discard your data before closing the form.

More about this under 'Saving the Holidays data'.

<Top of Page

Navigating through existing Holidays

Regardless of the fact that the Holidays form makes use of a Data Grid that combines all the holiday records, you can still make use of the Navigating Toolbar to move through the existing holidays.

Click the Move Previous and Move Next icons to navigate from Holiday to Holiday; and Click the Move First and Move Last icons to get to the beginning or the end of the list of Holidays, respectively.

The Total Number of Items icon indicates the number of Holidays in the table, while the Current Position icon indicates the Current Holiday.

You can also navigate through the Holidays using the mouse, or the up and down Arrows in your keyboard.

When appropriate, depending on size, the Data Grid will exhibit horizontal and vertical Scroll bars, which you can use to display information as needed.

<Top of Page

Editing and Deleting existing Holidays

You can also use the Holidays form to Edit existing Holidays.

You can easily edit the information displayed in the cells of the Data Grid by selecting it and typing over it. Both the Backspace and Delete keys in you keyboard will erase unwanted data in a cell (yet in different directions!!).

You can also edit the information in the cells of the Data Grid making use of the tools listed in the Edit menu.

For the changes to be permanent you need to Save them to the Holidays Table.

To Delete a Holiday you have to click the Delete Icon in the Navigating Toolbar. The Total Number of Items, and Current Position icons will reflect the deletion, and the Holiday will not be displayed in the Data Grid.

But the Holiday will only be really deleted when and if you Save the information back to the Holidays Table.

<Top of Page

Saving the Holidays data

In order to store new Holidays, or updated information about existing ones, you need to Save the information back to the Holidays Table.

Pressing the Save Data Icon in the Navigating Toolbar will save the information.

You will notice that when you first open the Holidays Form the Save Data Icon is disabled, and it only becomes enabled when changes take place. If the Icon is enabled, Labbie will launch a Dialog Box if you try to Close the Holidays Form without saving your data.

The Dialog Box will give you the option to save your data, discard it, or cancel your action all together.


Price List

Setting Up the Price List

This is the standard Price List, i.e. The list of services you offer and prices you normally charge Clients (your Customers) This may differ from Project Pricing, which is the Project-specific Price List – the prices you quoted on each project.

You should enter here all the prices that are relevant to Labbie.

If you prefer, you can import the prices from a CSV file that you have written from the price list.

The Record Navigator at the top of the form allows you to move through the records (arrows), add new records (yellow plus), delete records (red X), and save changes (blue diskette) without clicking OK. The "blue diskette" will be disabled if there are no changes to save.

The form presents a standard grid. Click on a column heading to sort by that column. Click it a second time to reverse the sort order.

The columns are:

  • Item: Price List Item Code (Text). Sorted in this order. Must be filled in – duplicates not allowed.
  • Job Type: Choose from All, Soil, Aggregate, Asphalt, Bitumen, Rubber, Cores, Cubes. This indicates for which cost centres this item can be billed.
  • Test: Set a value here to connect this billing item with a specific test (important – see below for details).
  • Test Code: The Standardised Test Code Number (e.g TMH 1). For information.
  • Description: Text description of text. Used for invoicing. Must be filled in.
  • Unit: Unit by which charged, e.g. Cube, km.
  • Rate: Rate per unit (e.g. 5 means R5/km or R5/cube)
  • Billing Code: Cost Code for exports to the Accounting program. If this exists, it will be exported as the "Code" in invoices, otherwise "Item" will be used. This is for cases where the the accounting program uses different codes to those that appear on the Price List. For example, you may have "10.01" on your Price List, but in Pastel Accounting you may use "10014" for this since Pastel does not allow GL codes containing decimals, and you use the last "4" to designate your site.
  • Modified By: Which login User changed this record last?
  • Modified On: When was this record changed last?

Click OK to Save all unsaved changes and close the form.

Click Cancel to close the form without saving any unsaved changes.

The "Test" Combo Box

This is used to connect this billing item with a specific test form and results. The items you can choose are as follows:

  • Travel – Applies to all cost centres. The rate will be per km travelled.
  • Visit – Applies to all cost centres. The rate will be once per batch/job irrespective of km travelled, if the value for km is entered.
  • Standing – Applies to all cost centres. The rate will be per hour standing time, if entered.
  • Cube – Applies to Cubes cost centre. The rate will be per cube in the batch.
  • Set – Applies to Cubes cost centre. The rate will be once per batch irrespective of number of cubes in the batch.
  • Slump – Applies to Cubes cost centre. The rate will be once per batch if there is a value for slump measured.
  • Indicator, Road Ind, Found Ind – Applies to Soils cost centre. The rate will be one per sample. These are all composites (made up of other tests).
  • Sieve – Applies to Soils cost centre. The rate will be one per sample for Sieve tests.
  • Atterberg – Applies to Soils cost centre. The rate will be one per sample for Atterberg Limits.
  • Hydrometer – Applies to Soils cost centre. The rate will be one per sample for Hydrometer tests.
  • MOD – Applies to Soils cost centre. The rate will be one per sample for moisture-density tests.
  • CBR – Applies to Soils cost centre. The rate will be one per sample for CBR tests.
  • UCS – Applies to Soils cost centre. The rate will be one per sample for UCS tests.
  • Field – Applies to Soils cost centre. The rate will be one per sample for Field tests.
  • Classifications – Applies to Soils cost centre. The rate will be one per sample for classifications.
  • Asphalt – Applies to Asphalt cost centre. The rate will be one per sample for all Asphalt tests.
  • Composite – Applies to any cost centre. The rate will be one per sample. This is for all composite tests (made up of other tests)
  • Generic– Applies to any cost centre. The rate will be one per sample per generic test.


Clients

Working with Clients

Clients are people outside the company, with whom you deal. They are the ‘bread and butter’ of your organization, and as such a form has been provided to enable you to capture all the information related to them.

To launch the Clients Form select Setup > Clients from the Menu, or press Alt + S and Alt + C in the keyboard.

The Clients Form displays a single client at a time.

The same form is used to display the information about a client, to add new clients to the Clients table and to edit or update the information of existing clients.

The Clients Form can also be used to navigate through all the records of existing clients in the Clients table, by using the Navigating Toolbar at the top of the form.

This chapter contains the following topics:

· Setting up new Clients.

· Navigating through Clients

· Editing and Deleting existing Clients.

· Saving the Client’s information.

Setting up new Clients

To set up a new client, click the Add New icon in the Navigating Toolbar. All the information in the form will be cleared, to enable you to capture the new data. The Current Position and Total Number of Items icons in the Navigating Toolbar will display an extra record.

You can navigate through all the fields in the form in the order in which they are laid-out by pressing the Tab key. Alternatively, you can click any of the fields with you mouse.

Once you enter the name of a new client in the Client’s Text Box, tabbing into the next Field, Client ID, will cause Labbie to allocate a Client ID reference to the Client. You can change a Client ID after the program has created a default, but it should be exactly of a length = number of letters + number of numbers specified in Client References otherwise there may be complications.

Some fields have typing aids to facilitate the capturing of data, and decrease the chances of typing errors.

The Contact Field, for example, meant for you to enter the name of the contact person in the Client’s organization, has typing aids providing a drop down list of titles. The list will be displayed whenever you start typing a title in the Field: you only need to highlight the one you wish to use and press the Enter key and Left arrow.

The same applies to the first line of the Postal Address Text Box, the Telephone Text Box and the Fax Text Box, all of them with typing aids to facilitate data entering.

The Active Field consists of a Check Box. The Check Box control is used to facilitate capturing data that can have one of two values.

The control displays a check mark when it is selected: therefore you need to click it with your mouse to identify the Field as Active. You can also select a Check Box by pressing the Space Bar in your keyboard.

The ‘Charge Vat?’ field also consists of a Check Box, and it indicates whether the client is South African.

The Discount Rate field expects a percentage value, but you should not enter the percentage (%) sign.

The Credit Status Text Box expects one of three possible entries: 1 for OK, 2 for Suspended and 3 for Hold Results. The default value is 0.

The new Client will only be added to the table when and if you save the data.

<Top of Page

Navigating through existing Clients

You can navigate through existing clients with the help of the Navigating Toolbar.

Clicking the Move Previous and Move Next icons in the toolbar will enable you to navigate from Client to Client.

Clicking the Move First and Move Last icons in the toolbar will take you to the beginning and to the end of the list of Clients, respectively.

The Total Number of Items icon indicates the number of Clients in the table, while the Current Position icon indicates the current client.

<Top of Page

Editing and Deleting existing Clients

You will use the Clients Form to enter new Clients, and also to edit existing ones.

You can easily edit the information displayed in the text boxes by selecting it and typing over it. Both the Backspace and Delete keys in you keyboard will erase unwanted data in a Field (yet in different directions!!).

You can also edit the information in a text box making use of the tools listed in the Edit menu.

For the changes to be permanent you need to save them to the Clients Table.

To Delete a Client you have to click the Delete Icon in the Navigating Toolbar. The Total Number of Items, and Current Position icons will reflect the deletion, and the Client will not be displayed in the Clients Form.

But the Client will only be really deleted when and if you Save the information back to the Clients Table.

<Top of Page

Saving the Clients information

In order to Save new Clients, or updated information about existing ones, you need to Save the information back to the Clients Table.

Pressing the Save Data Icon in the Navigating Toolbar will save your data.

You will notice that when you first open the Clients Form the Save Data Icon is disabled, and it only becomes enabled when changes take place. If the Icon is enabled, Labbie will launch a Dialog Box if you try to Close the Clients Form without saving your data.

The Dialog Box will give you the option to save your data, discard it, or cancel your action all together.

<Top of Page


Projects

Working with Projects

Because every one of your Clients can be engaged in several Projects (Jobs), you need a form to manage the information for every Project.

To launch the Projects Form select Orders > Projects from the Menu, or press Alt + O and Alt + P in the keyboard.

The Projects Form displays a single project at a time.

The same form is used to display the information about a project, to add new projects to the Projects table and to edit or update the information of existing projects.

The Projects Form can also be used to navigate through all the records of existing projects in the Projects table, by using the Navigating Toolbar at the top of the form.

This chapter contains the following topics:

· Setting up new Projects.

· Navigating through existing Projects.

· Editing and Deleting existing Projects.

· Saving the Projects Information.

<Top of Page

Setting up new Projects

To set up a new project, click the Add New icon in the Navigating Toolbar. All the information in the form will be cleared, to enable you to capture the new data. The Current Position and Total Number of Items icons in the Navigating Toolbar will display an extra record.

You can navigate through all the fields in the form in the order in which they are laid-out by pressing the Tab key. Alternatively, you can click any of the fields with you mouse.

The Client ID Drop Down List enables you to select a Client from a drop down list. All the clients that you have captured into the Clients table will be listed. Labbie will use this information to assign the correct Project Number to the record.

You are not allowed to type the name of a new client into the Client ID field. This would cause Labbie to display a Dialog Box, asking you whether you wish to enter a new client (you should only enter Projects for existing Clients.) Answering Yes to the Dialog Box will result in the Client’s Form being launched, making it possible for you to enter the new Client.

The Active Field consists of a Check Box. The Check Box control is used to facilitate capturing data that can have one of two values. The control displays a check mark when it is selected: therefore you need to click it with your mouse to identify the Field as Active.

You can also select a Check Box by pressing the Space Bar in your keyboard.

The Travelling Time Field displays a mask indicating the format in which the information should be entered: i.e.: an hour and a half should be entered as 01:30.

Some fields have typing aids to facilitate the capturing of data, and decrease the chances of typing errors.

The Contact Name Field, for example, provides a drop down list of titles. The list will be displayed whenever you start typing a title in the field, you only need to highlight the one you wish to use and press the Enter key and Left arrow.

The Contact Tel. Field has a typing aid providing the dialling codes for Johannesburg and Pretoria.

The Order Method and Pay Method Fields are entered by selecting one of the option buttons in the relevant groups.

The ‘Store Mths.’ Field consists of a Numeric List. You can make your selection with the help of the up and down arrows in the control.

The addition only becomes permanent when and if you save the data to the Projects table.

<Top of Page

Navigating through existing Projects

You can navigate through existing projects with the help of the Navigating Toolbar.

Clicking the Move Previous and Move Next icons in the toolbar will enable you to navigate from Project to Project.

Clicking the Move First and Move Last icons in the toolbar will take you to the beginning and to the end of the list of Projects, respectively.

The Total Number of Items icon indicates the number of Projects in the table, while the Current Position icon indicates the Current Project.

<Top of Page

Editing and Deleting existing Projects

You will use the Projects Form to enter new Projects, and also to Edit existing ones.

You can easily edit the information displayed in the text boxes by selecting it and typing over it. Both the Backspace and Delete keys in you keyboard will erase unwanted data in a Field (yet in different directions!!).

You can also edit the information in a text box making use of the tools listed in the Edit menu.

For the changes to be permanent you need to Save them to the Projects Table.

To Delete a Project you have to click the Delete Icon in the Navigating Toolbar. The Total Number of Items, and Current Position icons will reflect the deletion, and the Project will not be displayed in the Projects Form.

But the Project will only be really deleted when and if you Save the information back to the Projects Table.

<Top of Page

Saving the Project’s Information

In order to Save new Projects, or updated information about existing ones, you need to Save the information back to the Projects Table.

Pressing the Save Record Icon in the Navigating Toolbar will save your data.

You will notice that when you first open the Projects Form the Save Icon is disabled, and it only becomes enabled when changes take place. If the Icon is enabled, Labbie will launch a Dialog Box if you try to Close the Projects Form without saving your data.

The Dialog Box will give you the option to save your data, discard it, or cancel your action all together.

<Top of Page

Project Billing tab

The Project Pricing tab contains the prices you quoted the client for this Project. When you set them up they are copied from the prices you captured into your Price List form. However, they are independent of the latter, and do not change when the prices on the Price List change. Only the price list items shown here can be applied to this project.

If you select something in the "Bill For" column, then this Item will be added automatically on the Cubes Receiving form's Billing tab, as follows: Cube – The charge is per cube, Set – The charge is per set (batch) of cubes, Travel – The charge is per km (if filled in), Visit – The charge is one travel charge per batch, if km is filled in (actual amount of km is ignored).

Other items to be charged for a particular batch of cubes (other than "Bill For" items) can be entered on the Cubes Receiving form, on the Billing tab.

<Top of Page


Client Pricing

Setting up Project Pricing

The Project Pricing Form makes it possible for you to see and adjust all the prices you gave different clients for a given Price List item. In other words, prices are grouped by Price List item. Use the navigator at the top to move from one record (item) to another.

To see the prices grouped by Project (i.e. all the quoted prices for one project at a time), see the Projects form, "Project Billing" tab.

For the list of services you offer and standard prices you normally charge Clients (Customers) see the standard Price List.

This chapter contains the following topics:

· Price List – Displaying the items

· Displaying current Project Prices for different Clients

· Capturing new Project Prices

· Deleting records in the Project Prices table

· Using the Navigators

· Saving the Data

To be expanded...


Using the Program

This chapter and its pages explain regular day-to-day use of Labbie. If your interested in Installing the Program or Setting up the Program, click the preceding hyperlink. The topic "Setting up the Program" also explains setting up your Company, Users, Holidays, the standard Price List, Clients, Client Pricing and Projects (Jobs).

The pages in this chapter are:

  • Searching (Next>>)
  • Concrete Cube Tests
  • Cube Reports
  • The Soil Tests menu
  • The Soil Results menu
  • Asphalt Tests and Results
  • Invoicing


Search Notes

Using Search

Contents:

The Search Form (below)

Date Pickers

Drop-Down Lists

The Search Form (Dialog Box)

Various menu options launch the Search Dialog Box so that you can choose the data you want. You can also, in some circumstances, launch the Search form while you are in a data entry form or a report: To do so, click Edit > Search or use the "binoculars" button on the Toolbar.

You can use the Search Dialog Box to enter criteria that will be use to search for information.

You can navigate the Dialog Box using the Tab key or the Arrow keys. You can also make selections by clicking with your mouse.

Because we are dealing with a Dialog Box, the Toolbar and the Menus will not be accessible. You will use the buttons in the Dialog Box to control it:

  • Reset will clear the criteria from a previous Search.
  • OK will launch the Search process.
  • Cancel will close the Search dialog box rescinding the search.
  • Previous Search will recover the search that was saved when the dialog box was closed , e.g. at the end of the previous run of Labbie.

You may fill in any or all of the following criteria (blank ones are ignored):

Date Range: You can select the range of dates to be selected by making selections in the From and To Date Time Pickers.

Which Date?

· You can select criteria by clicking the All or Missing Check boxes (you can also select a Check box by pressing the Space Bar on your keyboard).

· If All is not selected, you can select criteria by indicating the type of date (e.g. Date Registered) in the Drop down list.

You can select a Client in the Client’s Drop down list.

You can select a Project in the Project’s Drop down list.

You can type in a Cube Batch reference in the Batches field (Concrete Cubes) or a Job reference in the Job IDs. field (Other Samples). To use several, separate them by commas.

You can type in a Cube Number in the Cubes field (Concrete Cubes) or a Sample Number in the Sample Nos. field (Other Samples). To use several, separate them by commas, e.g. 12-03049,12-03050,12-03051. Alternatively, use just one with the wildcard "%" meaning "any number of any digits" (e.g. 12-03% for all sample numbers starting with 12-03).

The checkbox "Samples ONLY" is visible only if the search can be done two ways: Either (a) For the whole job containing these sample number(s) (the default), or (b) For just these sample numbers (if the checkbox is ticked). The checkbox is only enabled (able to be ticked) if there is at least one sample number, and NO Client, Project, or Batches / Job IDs. This generally applies to reports. In the case of searches on results forms (Sieve, Mech, Hydro, etc.) the search is always just for the sample number(s) entered, not the whole job.

Some criteria can be used together, others cannot. For example, you cannot select the All and the Missing Check boxes at the same time, and selecting either of them will disable the From and To Date Time Pickers.

The Title bar of the Search form displays information regarding the form or report being searched.

When you click OK to search, if no match is found, Labbie will usually launch a Pop-up dialog box with the message: “No Cube Batches / Samples were found matching your criteria”. The dialog box will also ask you to refine your Search by selecting different criteria.

Click OK to close it.

<Top of Page

Date Pickers

The Date Picker is an intuitive graphical interface that allows you to select a date. There are two on the Search form, in the "Date Range" frame.

The Date Picker consists of two different elements:

· A Text Box with a date represented in text.

You can select different parts of this date (i.e. the year), and enter a new one from the keyboard. Selecting and replacing the month with a new entry will require you to enter the number (i.e. 5 for May) that will be changed to the correct format.

· A Calendar that appears when you click on the down-arrow next to it or when you press Alt + Down arrow.

You can select a different month by clicking the left and right Arrows on either side of the month caption. You can also click on the month and year to change them.

Clicking the month will display a list with the months of the year so that you can select one.

Clicking the year will display a ‘Numeric up and down’, where you can make a selection by clicking the Up and Down arrows in the control to display the year required.

You can navigate dates in the same month using the Up or Down arrow; and you can make your selection by clicking the mouse or pressing the Enter key.

<Top of Page

Drop-Down Lists

A Drop Down List control displays a list of items representing a list of suggested choices. There are several on the Search form, e.g. Date types, Clients, and Projects.

The Drop Down List control consists of two different elements: the top part is a Text box that displays one of the options.

The second part is a List that drops down when you click the Down arrow next to it, and displays a list of items from which you can select one.

You can also display the list of options in a Drop Down List by pressing Alt + Down arrow.

Some of the Drop Down Lists in Labbie will let you type a new item in the text box (e.g. the Client and Project on the Registration form), while others (e.g. the Login Form, and Clients and Projects on the Search Dialog Box), will select an item if you type its first letter(s).

<Top of Page


Concrete Cube Tests

The upper section of the Cubes Menu follows the sequence of testing cubes:

  • Receiving the cubes,
  • Listing the ones to be crushed each day,
  • Entering the results of crushed cubes,
  • Approving the results, or Rejecting dubious results (by a senior technician or other authorised person), then
  • Correcting dubious results (or marking them as unfixable), and
  • Finally, producing the results for the client by e-mail and/or fax and/or printing for posting and/or collection, plus printing a copy for file.

Normal Workflow

Receive Cubes – This option opens the Cubes Receiving Form. The form mimics a Cube Receiving & Registering Book, and will enable you to enter and update all information as Cubes are received. Select a client from the first combo box: If the client is not in the list (doesn't exist yet), type the name of the client and press Enter or Tab. The Clients form will be displayed for you to enter the rest of the data (click OK when done). For the selected Client, select a Project from the second combo box: If the Project is not in the list (doesn't exist yet for this client ), type the name of the Project and press Enter or Tab. The Projects form will be displayed for you to enter the rest of the data (click OK when done). The formats of "Our Reference" for the batch and the individual cubes are set in Setup > References. In the grids on the tabs at the bottom you can enter the individual cubes, plus the billing information for invoicing the client.

If you selected something in the "Bill For" column when setting up the Project Billing, then these Items will be added automatically when you click on the Billing tab, as follows: Cube – The charge is per cube, Set – The charge is per set (batch) of cubes, Travel – The charge is per km (if filled in), Visit – The charge is one travel charge per batch, if km is filled in (actual amount of km is ignored). Items other than "Bill For" items to be charged for this particular batch of cubes can be entered manually on the Billing tab.

Cube Crushing Diary – This opens the Cubes Crushing Diary report, showing the cubes that are due to be crushed today. Print it for the Lab. Use the Binoculars button on the toolbar to search for the Crushing Diary for days other than today.

Enter Cube Crushing Results – This opens the Cubes Crushing Diary form. This form will enable you to record and update the test results (cube mass and strength). Set the test date before you enter data. The button "Edit Batch" opens the Cubes Receiving form allowing you to view and edit the batch containing the selected cube.

Approve Cube Results – This opens the cube results report (without letterhead). Using arrow buttons on the Toolbar, you can walk through all the results that are waiting for approval and tick off the ones that are acceptable, and reject ones that are not. This option is only available to uses that are allowed to approve results.

View Rejected Batches – This opens the Cubes Crushing Diary form (as above), but displaying only rejected batches (all, or one at a time by client). A combo box allows you to choose which batch to view. When you click the button "Fixed" the batch is removed from the list and put back in the queue of batches waiting for approval.

View / Print Results – This opens a search form where you can choose which approved results to produce, be it by e-mail, fax, printing for post, or printing for collection. It uses the Cube Report to Client selected for the logged-on User on menu item Setup > Users in the section Output Reports. The approval signature used is the signature image and text set for the approving user on Setup > Users. The custom letterhead header and footer are set using Setup > Company, on the tabs "Header Logo" and "Footer Logo". The Notes that appear on the right-hand side of the bottom of the report, are the notes entered on Setup > Company, on the tab "Payment Details".

Extra Searches

The middle section of the Cubes Menu provides additional ways of finding and viewing cubes and batches:

Search Received Cubes – This displays a search form where you can chose batches by criteria. Click OK to opens the Cubes Receiving form showing the batches that match the search criteria.

Register – This Menu option opens the Cube Register Form, where information can be searched according to different criteria.

Cube Batches – This Menu option opens the Cube Batches form. This form consists of two sub-forms where the information of Cube Batches (upper window pane) and individual Cubes (lower pane) can be viewed but not changed. It is useful for locating cubes and batches.

Quality Control

The bottom section of the Cubes Menu allows you to enter the items that must be monitored as part of the quality control process:

Curing Bath Temperature – This Menu option opens the Curing Bath Temperature Form, which will enable you to input and control Water Temperatures.

Curing Chamber Humidity – This Menu option opens the Curing Chamber Humidity Form. You can use this form to record and monitor Humidity.

Verification of Scale – This Menu option opens the Verification of Scale Form. You will use this form to input and control the calibration of the Scales.

Verification of Press – This Menu option opens the Verification of Press Form, where you can enter and monitor information regarding the testing of the Presses.


Cube Reports

These are all items on the Reports Menu:

  • Cube Crushing Diary - Today
  • Cube Crushing Diary - Search
  • Cube Progress
  • Cube Exceptions
  • Cube Report to Client
  • Verification of Scale Report
  • Verification of Press Report
  • Cube Variation Graphs > By Cube ID
  • Cube Variation Graphs > By Date Cast
  • Temperature Chart
  • Humidity Chart

Various ones are preceded by a Search, enabling you to choose just the data you want.

Cube Crushing Diary: Today – Displays the Crushing diary report for cubes to be crushed today. Print this for the Lab

Cube Crushing Diary: Search– Displays a search form for dates and other criteria, then opens the Crushing diary report for cubes matching the criteria.

Cube Progress – Opens the Cube Progress report.

Cube Exceptions – Opens the Cube Exceptions report.

Cube Report to Client - No Letterhead – Opens the Cube Report to Client (version with no letterhead). This is for printing on pre-printed letterheads.

Cube Report to Client - Custom Letterhead – Opens the Cube Report to Client (version with customised letterhead). The custom letterhead header and footer are set using menu item Setup > Company, on the tabs "Header Logo" and "Footer Logo".

Verification of Scale Report – Opens the relevant report

Verification of Press Report – Opens the relevant report

Cube Variation Graphs – Opens the relevant graph, ordered either by Cube ID or by date cast.

Temperature Chart – Opens the graph of bath temperature over time.

Humidity Chart – Opens the graph of humidity over time.

This topic may be expanded further.


Soil Tests

Soil Tests menu

The Soil Tests menu looks like the picture on the right:

The upper section of the Menu follows the sequence of testing samples:

  • Receiving and registering the samples, and specifying the tests to be performed on each,
  • Entering the results of the various tests,
  • Later: Approving the results, or Rejecting dubious results (by a senior technician or other authorised person), then

Results are then printed using the Soil Results menu.

Register Samples

There may in fact be several choices here, using different numbering systems for different parts of the Laboratory.

Each of these options opens the Samples Receiving Form. The form mimics a Sample Receiving & Registering Book, and will enable you to enter and update all information as Samples are received. Select a client from the first combo box: If the client is not in the list (doesn't exist yet), type the name of the client and press Enter or Tab. The Clients form will be displayed for you to enter the rest of the data (click OK when done). For the selected Client, select a Project from the second combo box: If the Project is not in the list (doesn't exist yet for this client ), type the name of the Project and press Enter or Tab. The Projects form will be displayed for you to enter the rest of the data (click OK when done). The formats of "Our Reference" for the batch and the individual samples are set in Setup > References. In the grids on the tabs at the bottom you can enter the individual samples, plus the billing information for invoicing the client.

On the right-hand side of the form, you select the tests to be performed on each sample. Tests have to be selected per sample, so if the same test is to be performed on several samples, it is best to enter the first sample, select its tests, and then duplicate the sample with its tests (if necessary making changes where different tests are required).

Note that only the tests quoted for on the Clients form will be available for you to select to be performed on the sample. If you need a test that is not in the list, you will have to open the Clients Form and add it on the Billing tab.

If you selected something in the "Bill For" column when setting up the Project Billing, then these Items will be added automatically when you click on the Billing tab, as follows: Sample – The charge is per sample, Set – The charge is per set (batch) of samples, Travel – The charge is per km (if filled in), Visit – The charge is one travel charge per job, if km is filled in (actual amount of km is ignored). Items other than "Bill For" items to be charged for this particular batch of samples can be entered manually on the Billing tab.

Entering Soil Test Results

Each of the forms for entering Soil Test results has certain features in common:

The Navigating Toolbar enables you to move to different records on a Labbie Form.

For more details, do to the Navigating Toolbar page.

Go to Sample Number: – For a new set of sample test results, this will create the new record. For an existing sample test, this will take you to the record. If the sample you are looking for is not in the list, either the sample has not been registered, or the type of test you are on has not been specified for that sample (in either case, on the Soil Tests menu, use the "Search Sample Register" feature to locate the sample and its tests).

Version 2 of Labbie can process the following Civil Engineering Soils tests (all listed below):

  • Sieve Analysis (Wet Preparation) – TMH1 - Method A1 (a) - Percent Passing Sieve Size
  • Mechanical analysis - TMH1 - Method A5 - Percent Passing Sieve Size
  • Hydrometer Analysis (ASTM Standard D422) - Percent Passing Sieve Size
  • Atterberg Limits TMH 1 - Methods A2, A3, A4 (Liquid Limit, Plasticity Index, Linear Shrinkage)
  • Grading Curve plots
  • MDD: Maximum Dry Density and Optimum Moisture Content - TMH1 - Method A7.
  • CBR: California Bearing Ratio - TMH1 - Method A8.
  • UCS & ITS: Unconfined Compressive Strength and Indirect Tensile Strength
  • DCP: Dynamic Cone Penetrometer
  • On-Site Field Report
  • Soil Classifications: AASHTO Group Index (formerly HRB), Unified Classification, TRH 14 Material Type, and COLTO Type of Material.
  • Generic Results – numeric and text results (not calculations) for any other tests can be stored and reported. Apart from Soil Samples under this menu, this facility also allows for tests to Asphalt (under the "Asphalt" menu), and Aggregate, Bitumen, Rubber, and Cores (under the "Other" menu).

There are no other soil tests in Labbie at present. Depending on client requirements, we may add:

  • Oedometer
  • Shearbox
  • Troxler

Please let us know what your requirements are!

Sieve Analysis (Wet Preparation) – TMH1 - Method A1 (a) - Percent Passing Sieve Size

There are two ways you can do sieve analysis measurements: With Cumulative Mass Retained, or Mass Retained on Each Sieve:

  • Cumulative Mass Retained: Here you empty each sieve onto the scale, take the reading, repeat.
  • Mass Retained on Each Sieve: Here you empty each sieve onto the scale, take the reading, and then either empty the scale pan or zero the scale, and repeat.

Not only is the latter more work, it is also potentially less accurate: If you think about it, you will see that with the latter, an error in one reading will throw the whole set of results off, while with the former, an error in one reading will not affect the other readings. TMH1 thus recommends the Cumulative Mass Retained method. Because some labs are used to the latter, Labbie allows for either and will remember the last one you used as the default for the next one.

Start by selecting your sample number from the "Go to Sample No." Combo Box at the top, which shows all samples registered in the last month that do not yet have results on the system (to find existing results on the database, click the "Binoculars" button on the toolbar): Labbie will confirm that it has added a new Test Result for that sample (or display the existing result if there is one).

Choose or type the name of the tester, and alter the test date if either is incorrect.

Choose the method of measurement: Cumulative Mass Retained, or Mass Retained on Each Sieve.

Now type your readings in the column "Mass (g) retained" opposite the corresponding sieve size. If a given sieve was not used, just leave the block blank.

Click Recalculate, and Plot to plot a graph in the box on the right (which you can re-size if required, by dragging the bottom right corner unless the form is maximized). Be sure to plot, because the chart will be used "as-is" in the output.

When you have entered the set of results for one sample,

  • If you want to enter results for another sample, click the blue diskette button to save, and then the yellow plus button to create a new, blank record, and repeat from above.
  • If you have finished entering results, click OK.

Tip: If you already have the readings in Excel, select the cells and copy (Ctrl+C), then swap here and click the button Paste Data: This will paste all the values in one operation.

Tip 2: Once you have entered your Mechanical Analysis (and, possibly, Hydrometer Analysis) data, return here and re-plot. Labbie will look up and use the other data too.

Mechanical analysis - TMH1 - Method A5 - Percent Passing Sieve Size

Start by selecting your sample number from the "Go to Sample No." Combo Box at the top, which shows all samples registered in the last month that do not yet have results on the system (to find existing results on the database, click the "Binoculars" button on the toolbar): Labbie will confirm that it has added a new Test Result for that sample (or display the existing result if there is one).

Choose or type the name of the tester, and alter the test date if either is incorrect.

Click Get Sieve Data to import the values in the white boxes on the right from your Sieve results as entered above.

Now type the rest of your data in the remaining white blocks ('fields'). Labbie recalculates as you type.

When you have entered the set of results for one sample,

  • If you want to enter results for another sample, click the blue diskette button to save, and then the yellow plus button to create a new, blank record, and repeat from above.
  • If you have finished entering results, click OK.

Grading Modulus = 3 - (Fraction Passing 2.0 mm sieve) - (Fraction Passing 0.425 mm sieve) - (Fraction Passing 0.075 mm sieve)
[NB: Decimal fractions, not percentages]

Note: If you also have the Sieve form open, you must Save before this form will be able to read the Sieve Data!

Hydrometer Analysis (ASTM Standard D422) - Percent Passing Sieve Size

Start by selecting your sample number from the "Go to Sample No." Combo Box at the top, which shows all samples registered in the last month that do not yet have results on the system (to find existing results on the database, click the "Binoculars" button on the toolbar): Labbie will confirm that it has added a new Test Result for that sample (or display the existing result if there is one).

Choose or type the name of the tester, and alter the test date if either is incorrect.

Type your data in the white blocks ('fields') and then in the grid below. Labbie recalculates as you type into the grid.

Tin number is optional. If you choose a tim from the list, its mass will be filled in from the list of Tin properties.

If you have already calculated the Hygroscopic Moisture Factor, you can enter that in the grey block instead of entering the data above it. Likewise, if you have a correction factor but have not done the calculation in Labbie, you can ignore the Hydrometer Serial Number and the Cylinder Number, and enter the Correction Factor directly, otherwise it will be looked up for you.

The ASTM default times of 2, 5, 15, 30, 60, 250, and 1440 minutes will automatically appear in the first column as you add lines to the grid, but you can overwrite them. You must then add data in the next two columns, Hydrometer Reading and Temperature (ºC), and Labbie will calculate the last two columns for you. Alternatively, if you are using old results, you can ignore the two columns, Hydrometer Reading and Temperature, and instead enter the data in the last two columns, Diameter (mm) and % Finer than.

Click the button Interpolate % at Std Sizes, and Labbie will work out the % Passing figures at the bottom of the form, based on a straight-line interpolation between the points in the last two columns of the grid. The actual points are plotted as red crosses, and the straight lines as purple lines. The calculated (interpolated or extrapolated) points are plotted as blue crosses.

Labbie will then ask (as shown above): OK to Refine? - Linear Interpolation / Extrapolation Done. OK to do Spline Curve Interpolation?

Click OK to do the Spline Curve Interpolation:

The new calculated (spline interpolated) points are plotted as green X's, and the spline curve as green curves. Labbie only interpolates Spline Curves. If some of the required points were outside the actual points, the linear extrapolation is kept, and Labbie warns you as shown above (note the two points on the top right of the plot).

In some cases, for a badly-conditioned set of data points, the spline curve may actually rise! Labbie will limit the interpolated points to the % Finer values of the data points on either side, as shown by the green crosses at the right below (on the horizontal "40 % Finer" line):

When you have entered the set of results for one sample,

  • If you want to enter results for another sample, click the blue diskette button to save, and then the yellow plus button to create a new, blank record, and repeat from above.
  • If you have finished entering results, click OK.
  • The chart is used for assistance during the calculation process, so is not stored.

Grading Curve plots

Having entered the Sieve Analysis, Mechanical Analysis, and possibly also the Hydrometer Analysis, return to the Sieve Analysis form, locate the sample, and click Plot.

The grading curve will be plotted, now including the Mechanical Analysis and the Hydrometer Analysis results. When you Save, the graph will be stored for later use in reports.

Atterberg Limits TMH 1 - Methods A2, A3, A4 (Liquid Limit, Plasticity Index, Linear Shrinkage)

Start by selecting your sample number from the "Go to Sample No." Combo Box at the top, which shows all samples registered in the last month that do not yet have results on the system (to find existing results on the database, click the "Binoculars" button on the toolbar): Labbie will confirm that it has added a new Test Result for that sample (or display the existing result if there is one).

Choose or type the name of the tester, and alter the test date if either is incorrect.

Now type the rest of your data in the remaining white blocks ('fields'). Labbie recalculates as you type.

If you have the tin's data stored in Labbie (Soil Tests > Lookup Tins), you can select the tin number from the combo box (drop-down list) near the top, and its mass will be filled in for you. Otherwise you can fill in the mass.

Click Recalc/Plot LL if you want to re-plot the Liquid Limit interpolation.

When you have entered the set of results for one sample,

  • If you want to enter results for another sample, click the blue diskette button to save, and then the yellow plus button to create a new, blank record, and repeat from above.
  • If you have finished entering results, click OK.
To draw the Expansiveness chart (Van Der Merwe diagram) as shown below, click the Expansiveness button:

MDD: Maximum Dry Density and Optimum Moisture Content - TMH1 - Method A7.

Start by selecting your sample number from the "Go to Sample No." Combo Box at the top, which shows all samples registered in the last month that do not yet have results on the system (to find existing results on the database, click the "Binoculars" button on the toolbar): Labbie will confirm that it has added a new Test Result for that sample (or display the existing result if there is one).

Choose or type the name of the tester, and alter the test date if either is incorrect.

Now type the rest of your data in the remaining white blocks ('fields') and the grid. Labbie recalculates as you type.

Note that there are two tabs: The first (Compaction Data) is for the preliminary (first day) results; the second (Moisture Content Data)) is for the final (second day) results after oven-drying of the samples.

Compaction Data:

Moisture Content Data:

In each case, click the Plot Graph button to see your results graphically, and do the calculation.

When you have entered the set of results for one sample,

  • If you want to enter results for another sample, click the blue diskette button to save, and then the yellow plus button to create a new, blank record, and repeat from above.
  • If you have finished entering results, click OK.

CBR: California Bearing Ratio - TMH1 - Method A8.

Start by selecting your sample number from the "Go to Sample No." Combo Box at the top, which shows all samples registered in the last month that do not yet have results on the system (to find existing results on the database, click the "Binoculars" button on the toolbar): Labbie will confirm that it has added a new Test Result for that sample (or display the existing result if there is one newly-entered).

Choose or type the name of the tester, and alter the test date if either is incorrect.

Because the CBR data is rather complex, data entry and calculations are split across several tabs:

  1. Moulding Moisture Content: MC (%) = ([Mass of Container & Wet Material] - [Mass of Container & Dry Material]) / ([Mass of Container & Dry Material] - [Mass of Container]) * 100. pH is used for the Classifications.
  2. Compaction Data: Wet Density = [Mass Wet] / [Mould Volume] * 1000
    Dry Density = [Wet Density] / (100 + [Average Moisture Content]) * 100
    % Compaction = [Dry Density] / [Max Dry Density] * 100
    Note: If you enter a Mould Factor instead of the Mould Volume, Labbie will calculate the Mould Volume for you from the Mould Factor.
  3. Penetration Data: Enter the data as read during the test.
  4. Curve Correction: Select MOD at the top. Click the button "Best Guess" and Labbie will calculate the X-intercept and slope (∆y/∆x) for the line that fits the first inflection point. If you don't like this, you can adjust it. Repeat, choosing NRB, and then Proctor, at the top.
  5. Results: Click the Calculate button. Click the } button next to CBR (%) to plot CBR on the graph. Click the } button next to Swell (%) to plot Swell on the graph. If the graphs are badly-conditioned, you can adjust them somewhat by choosing California Stadard Values of 20.016 or 25.354 instead of the usual 13.344 for MOD, NRB, or Proctor in the block "Corrected CBR Values (%)". Click the Calculate button to recalculate the "Results Interpolated using 2 Straight lines".

Work through these in order, typing the data in the white blocks ('fields'). Labbie recalculates as you type, although in places there are buttons to Recalculate.

When you have entered the set of results for one sample,

  • If you want to enter results for another sample, click the blue diskette button to save, and then the yellow plus button to create a new, blank record, and repeat from above.
  • If you have finished entering results, click OK.

UCS (Unconfined Compressive Strength) and ITS (Indirect Tensile Strength)

Start by selecting your sample number from the "Go to Sample No." Combo Box at the top, which shows all samples registered in the last month that do not yet have results on the system (to find existing results on the database, click the "Binoculars" button on the toolbar): Labbie will confirm that it has added a new Test Result for that sample (or display the existing result if there is one).

Choose or type the name of the tester, and alter the test date if either is incorrect.

Now type the rest of your data in the remaining white blocks ('fields'). Labbie recalculates when you click the Recalculate button, and plots the chart when you click the Plot Graph button.

The ITS (Indirect Tensile Strength) data was added at the bottom of the form for Version 3.1.0.8 – 5 December 2012.

When you have entered the set of results for one sample,

  • If you want to enter results for another sample, click the blue diskette button to save, and then the yellow plus button to create a new, blank record, and repeat from above.
  • If you have finished entering results, click OK.

DCP: Dynamic Cone Penetrometer

Start by selecting your sample number from the "Go to Sample No." Combo Box at the top, which shows all samples registered in the last month that do not yet have results on the system (to find existing results on the database, click the "Binoculars" button on the toolbar): Labbie will confirm that it has added a new Test Result for that sample (or display the existing result if there is one newly-entered). It will then ask you for the Starting Depth (mm). When you have entered that, it will display a data grid (spreadsheet) for you to enter your readings..

Choose or type the name of the tester, and alter the test date if either is incorrect.

One you have entered a Starting Depth, the grid appears, into which you can type your readings (in mm) in the first column. Press the Down Arrow key ê for the next row. All other columns are calculated for you, and cannot be changed. The form and the grid columns can be resized. The vertical bar between the grid and the graph can be dragged sideways to alter their relative sizes.

Click Plot Graph to plot the chart (this is saved for the report).

When you have entered the set of results for one sample,

  • If you want to enter results for another sample, click the blue diskette button to save, and then the yellow plus button to create a new, blank record, and repeat from above.
  • When you have finished entering results, click OK to Save and Exit.

On-Site Field report

This form is not yet complete.

Soil Classifications (simpler):

The "simpler" Classifications were the only ones on offer in the program until end 2012, but are being phased out in favour of the more rigorous version below. The "simpler" Classification makes several assumptions for the COLTO Classification, i.e. that rock type = "Other " for Table 3602/2 (Durability for G1-G3) and Table 3602/3 (Strength for G1-G3); the Table 3402/3 Durability Requirements for G4 Material are ignored, as are the Soluble Salts (pH) per Clause 3602 for G1-G4. Only COLTO G-Classifications (natural samples) are done.

The Classifications are: AASHTO Group Index (formerly HRB), Unified Classification, TRH 14 Material Type, and COLTO Type of Material.

Select the Sample number, then click the Calculate button. In some cases extra data may be needed or warnings given, e.g.

  • for TRH 14 Classes G2/G3, Labbie will ask for the Crushing Strength (10% FACT) and Flakiness Index.
  • For COLTO G4/G7: Is this a Crushed sample? No = Uncrushed. (Tip: Avoid this question by including the letters "Crush" or "Uncrush" in the Description column for the Sample in the Sample Register)
  • Extrapolating Grain Size: Unified may be inaccurate: - Warning: % Finer for smallest Hydrometer Analysis size (size mm) is percent% (>10%).
    Grain size for 10% passing will be extrapolated from (last two values).
  • As at Version 6.0.0.6 – 21 August 2013, there is a lack of clarity on the definition of Gravel for the Unified classification. If there is a disagreement between the two definitions, Labbie will ask which one to use.
For a more detailed explanation of the reasons for a TRH14 or COLTO classification, double-click the relevant box:

Note that only the first 200 characters of the explanation are stored. If you have moved off the record and want the full explanation again, first click the Calculate button again.

When you have classified one sample,

  • If you want to classify another sample, click the blue diskette button to save, and then the yellow plus button to create a new, blank record, and repeat from above.

  • If you have finished classifying samples, click OK.

Soil Classifications (rigorous):

The "rigorous" Classifications were first released in early 2013 as part of Phase 6 and are intended to supersede the "simpler" version above. It makes fewer assumptions for the COLTO Classification, and hence requires more data.

The Classifications are: AASHTO Group Index (formerly HRB), Unified Classification, TRH 14 Material Type, and COLTO Type of Material (detailed) (both G-Classifications (natural samples) and C-Classifications (Stabilised samples) are done).

Select the Sample number. If you wish, choose a preferred classification for TRH14 and COLTO. Then click the Calculate button. If you have failed to fill in the required data the program will prompt you to do so. pH is now stored in the CBR data, but will be requested if absent. For the COLTO C-Classes (Stabilised samples), there must be a preceding natural (unstabilised) sample in the same job, from which the G-Classification can be obtained. The program will look through the earlier sample numbers for the job, and use the numerically closest natural (unstabilised) sample.

References:

  • The AASHTO Soil Classification System (developed by the American Association of State Highway and Transportation Officials) was obtained from the Ohio Department of Agriculture, Ohio, USA, http://www.ohioagriculture.gov/pubs/divs/lepp/curr/rules/lepp-rl-10203App-021304.pdf a page which no longer exists. The information can be found on Wikipedia at http://en.wikipedia.org/wiki/AASHTO_Soil_Classification_System and derives ultimately from AASHTO M145 or ASTM D3282.
  • Unified Classification, per p88 of "Principles of Geotechnical Engineering" (5th Edition) by B. M. Das, ISBN 0-534-38742-X. It probably occurs in many other textbooks, can also be found on Wikipedia at http://en.wikipedia.org/wiki/Unified_Soil_Classification_System and derives ultimately from "Classification of Soils for Engineering Purposes: Annual Book of ASTM Standards", D 2487-83, 04.08, American Society for Testing and Materials, 1985, pp. 395–408.
  • TRH14: Technical Recommendations for Highways - TRH14 Guidelines for Road Construction Materials, 1985. ISBN 0 7988 3311 4 obtainable from Department of Transport, PO Box 415, Pretoria 0001, Republic of South Africa. Chapter 3, pp13-25.
  • COLTO: Standard Specifications for Road and Bridge Works for State Road Authorities, 1998. by COLTO (Committee of Land Transport Officials), Department of Transport, Republic of South Africa. Obtainable at R200 from the South African Institution of Civil Engineers (SAICE), Private Bag X200, Halfway House 1685. Tel 011 805-5947, e-mail civilinfo@saice.org.za

This section will be expanded.

Generic Results

Numeric and text results (not calculations) for any other tests can be stored and reported. Apart from Soil Samples, this also allows for tests to Aggregate, Bitumen, Rubber, and Cores. Asphalt tests have their own menu.


Soil Results

Here you may view the results of Civil Engineering soils tests:

  • Sieve Analysis (Wet Preparation) – TMH1 - Method A1 (a) - Percent Passing Sieve Size
  • Mechanical analysis - TMH1 - Method A5 - Percent Passing Sieve Size
  • Hydrometer Analysis (ASTM Standard D422) - Percent Passing Sieve Size
  • Atterberg Limits TMH 1 - Methods A2, A3, A4 (Liquid Limit, Plasticity Index, Linear Shrinkage)
  • Grading Curve plots
  • “MOD”: Maximum Dry Density and Optimum Moisture Content - TMH1 - Method A7.
  • CBR: California Bearing Ratio - TMH1 - Method A8.
  • UCS: Unconfined Compressive Strength
  • DCP: Dynamic Cone Penetrometer
  • On-Site Field report
  • Soil Classifications: AASHTO Group Index (formerly HRB), Unified Classification, TRH 14 Material Type, and COLTO Type of Material.
  • Generic Results – numeric and text results (not calculations) for any other tests can be stored and reported. Apart from Soil Samples, this also allows for tests to Asphalt (under the "Asphalt" menu), and Aggregate, Bitumen, Rubber, and Cores (under the "Other" menu).

This topic may be expanded.


Asphalt Tests and Results

Here you may enter the data for, and view the results of Asphalt Tests:

  • Binder Content
  • Maximum Theoretical Relative Density: (Rice's Method)
  • % Voids
  • Bulk Relative Density (BRD) - 6 briquettes
  • Marshall Stability & Flow - 3 briquettes with highest BRD
  • (24-hour) Immersion Index - 3 briquettes with lowest BRD
  • Indirect Tensile Strength (ITS) - 1 briquette
  • Generic Results – numeric and text results (not calculations) for any other tests can be stored and reported. Apart from Asphalt, this also allows for tests to Aggregate, Bitumen, Rubber, and Cores.

This topic may be expanded.


Invoicing

This menu option (menu: Orders > Invoicing) opens the Invoice Summary Form, where you can print invoices, export them to your accounting package, edit existing invoices, and view closed invoices. For details of the form, click here.

We will first review the whole billing process:

Summary of the Billing Process

Price List form

On this form, set up your standard Price List, i.e. The list of services you offer and prices you normally charge Clients (your Customers) This may differ from Project Billing (next section below), which is the Project-specific Price List – the prices you quoted on each project.

Projects form – Project Billing tab

Having set up the standard Price List, you set up here the prices you quoted the client for this Project. They are copied from the prices on the Price List form, but do not change when the prices on the Price List change. Only the price list items shown for each project can be applied to that project. To have prices added automatically on the Cubes Receiving form's Billing tab (next), select something in the "Bill For" column.

Cubes Receiving form – Billing tab

Fill in all your cubes and km travelled first. Then click on the Billing tab. Based on the "Bill For" column as set above, Labbie will fill in certain items automatically, as follows: Cube – The charge is per cube (Labbie counts the number of cubes), Set – The charge is per set (batch) of cubes (i.e. always 1), Travel – The charge is per km (if filled in), Visit – The charge is one travel charge per batch, if km is filled in (actual amount of km is ignored).

Other items to be charged for a particular batch of cubes (other than "Bill For" items) can be entered manually using the drop-down lists on the Billing tab.

Invoices Summary

The Invoices Summary form (menu: Orders > Invoicing) is where you can print invoices, export them to your accounting package, view/edit existing invoices, and view closed invoices. It shows all open invoices (invoices that have not yet been processed).

You select (check box in first column) the invoices you want to process now, then click the button "Invoice Now!". The program will ask for confirmation, and then print the "Pro Forma Invoice with Subtotals". It will also export CSV files for the Invoices and the Clients involved, which can be imported into Pastel Accounting. Once processed, the invoices are "closed" and can no longer be modified (but can be reprinted).

If you want to see, and possibly change, the detailed lines that make up any of the invoices, select the invoices you want and click the button View Invoices to open the Invoices form:

Invoices form

The Invoices form allows you to see all the items that make up an invoice. The navigator at the top allows you to move between the selected invoices: The detail lines then show in the grid for that invoice. They can be edited, deleted, or moved to another open invoice for that project.

There will usually be one open invoice per project. If you click the "Split Invoice" button you create a second open invoice for the project and move the selected detail lines to it. The idea is to move the items you do not want to bill now, to the later open invoice. You then bill the earlier invoice, which leaves you with one open invoice again. There will never be more than two one invoices for a project. If you accidentally "split" an item to the newer invoice and want it back, open the newer invoice and "split" the erroneous item: It will return to the earlier invoice.

The View Data button will open the Cubes Receiving form for all batches selected in the grid. On the Billing tab you can add new items if needed.

The View Report button will open the Cubes Report to Client for one batch selected in the grid. This will allow you to see which results have been processed.

The Delete Items button will let you delete all detail lines selected in the grid. If all detail lines have been deleted, it will let you delete the invoice itself.

<Top of Page


Frequently Asked Questions

Frequently-Asked Questions (FAQ's)

<<Previous – Next>>

These will be added from user feedback as required: With the problem visible on screen, press Print Screen on the keyboard. Click here to create a e-mail user feedback.

Problems Installing Labbie:

Labbie is intended for modern versions of Windows (XP or later) with the complete operating system and a recent version of Internet Explorer (5.1 or later). A few problems may arise if your Windows system is not up to date. Here are some problems and their solutions. If your problem is not listed, please e-mail us.

".NET Framework 2.0" is Needed

Labbie can run on earlier versions of Windows, but you will have to install the "dot NET Framework version 2.0" first if it is not already installed on your PC. It should download and install automatically (if required) when you click the Install button on the Labbie Setup page, but if this does not happen for any reason, click here to go to the download page for the .NET Framework (22 MB).

Crystal Decisions is Needed

Message: System Update Required:
Unable to install or run the application. The application requires that assembly Crystal Decisions Version 10.2.3600.0 be installed in the Global Assembly Cache (GAC) first.
To fix this problem, download CRRedist2005_X64.msi (27 MB) from our web site to a suitable folder such as C:\Temp Set the download window to NOT close when download completes. When download is complete, click the button to open the file, and follow installation instructions (alternatively, run* it later).

ADODB is Needed

Message: System Update Required:
Unable to install or run the application. The application requires that assembly ADODB Version 7.0.3300.0 be installed in the Global Assembly Cache (GAC) first.

To fix this problem, download FixADODB.exe (100KB) to C:\Temp and then run* it. When you run it, click UnZip to copy the missing ADODB.DLL to the folder "C:\Windows\Assembly".
If your Windows won't let you unzip to "C:\Windows\Assembly", Unzip instead to C:\Temp, then find and run the file C:\Temp\CopyADODB.bat

Internet Explorer 5.01 or Greater Needed

Prerequisite check for system component .NET Framework 2.0 fails with the following error message: "Installation of the .NET Framework 2.0 requires Internet Explorer 5.01 or greater. Contact your application vendor."

This may happen on versions of Windows prior to XP. Solution: Download and install Internet Explorer 6 SP1 from microsoft.com.

Missing "Primary Interop Assemblies"

Solution: Download FixInterop.exe (1.8 MB) to a suitable folder such as C:\Temp and then run* it. When you run it, click Unzip to place the missing DLL files on the folder "C:\Program Files\Microsoft.NET\Primary Interop Assemblies". Do not overwrite existing files.

**Note: To Run a program or Open a file, find "Windows Explorer" or "My Computer" on the desktop and double-click it (or press "Windows Logo"+E on the keyboard), find the file and double-click it. Alternatively, use a file, click Start > Run (> Browse)).

Problems Running Labbie:

Here are some run-time problems and their solutions. If your problem is not listed, please e-mail us.

In Cubes Receiving, "A related record is required in 'Projects'."

Check if the "Project" (2nd combo box from the top) is blank. You have chosen the client but not the project. You have to choose a project too, even if the client has only one.

Unable to Fax using Windows Fax service

If you want to use the Windows Fax service, it must be installed: Click Start > Control Panel > Add and Remove Programs > Windows Components; tick Fax service and click OK. You will probably need your original Windows CD-ROM.

Remember that to fax using the Windows Fax service, you need a working fax modem. Test your modem by faxing from another program, e.g. Microsoft Word. If you do not have a working fax modem, use e-mail-to-fax instead.

Disk or Network Error

This message can occur at any time and any place in the program. "Disk or Network Error" arises if there is a problem with your data connection to the Server on which the database resides. A cable might be unplugged or there may have been a power interruption at the Server or a hub/switch between the Server and your PC.

Solution: In Labbie, click File > Restore Connection. If it does not restore, ask your computer support person whether there are problems on the network, and check if any other Labbie user has the same problem.

Error: Crystal Report request could not be submitted for background processing

Problem: When printing or previewing a report, you get a message like:

Crystal Report Windows Forms Viewer
–––––––––––––-
Error in File C:\Users\Rick\AppData\Local\Temp\temp_b10d6dc3-265e-47ea-88fc-31516020b768 {050DBB43-5083-467E-95AD-B7AADB8A96C3}.rpt:
The request could not be submitted for background processing..

Solution: Crystal Reports is having trouble with a graph. Locate the sample number and result type (e.g. MDD) that is causing the problem, then open the data entry form and search for that sample. Re-plot the graph, and save.


Glossary

Glossary and Important Concepts

<<Previous – Introduction>>

Active Window: The window that has the focus (was clicked on last). In the case of a Child Window inside the main program window, its title bar is the same colour as that of the active program. All open Child Windows are listed in the Window Menu and can be activated from there.

Administrator: A login name with special rights. Can change things other Users cannot, but cannot function as an ordinary User. See Users.

Clients: These are people outside the company, with whom you deal.

Data Grid Control: These control provides a powerful and flexible way to display data in a tabular format. The Data Grid control displays data in a scrollable grid (see Scroll Bars). The data appears in a simple series of rows and columns, emulating a spreadsheet. You can use the Tab key, or the left and right Arrows to navigate between fields, which correspond to the columns in the grid. You can use the up and down Arrows to navigate between the records, which correspond to the rows in the grid.

Dialog Boxes or Pop Up Dialog Boxes: A type of window or "form" that pops up over other windows. Labbie uses Dialog boxes to interact with the user and retrieve information. They are different to other forms in that they have to be responded to before the user can work with another part of the program. You cannot use another window of Labbie (including the Main Window and its Menu or Toolbar) while a Dialog Box is open. You need to use the Dialog Box's own Control buttons, providing the information required. The Labbie Search Utility is an example of a Dialog Box.

Exit (close) button at the top right-hand corner of a program window or a dialog box. Ends the program or cancels the dialog box.

Form controls are windows and are like windows through which you can see and reach the information stored in the tables of your databases. An effective form speeds up the use of your database, because you don't have to search for the information that you need.

Landscape Printing where the lines of print run parallel to the long side of the paper. Compare with Portrait.

Maximize button near the top right-hand corner of a window. Maximizes the window to full screen size.

Menu Bar directly under the Title Bar at the top of the program window, this contains the menus you can use in the active window. Each menu contains commands that relate to the menu name; e.g. the Help menu contains commands for getting help.

Minimize button near the top right-hand corner of a window. Reduces the window to an icon (a Minimized program still appears on the Windows Task Bar, a Minimized child window still appears on the program’s Window Menu).

Portrait Printing where the lines of print run parallel to the short side of the paper. Compare with Landscape.

Restore button near the top right-hand corner of a window. Restores the window to a size less than full screen ("Normal") size. In this state the window can be re-sized by dragging corners or edges, and moved around the screen by dragging the Title Bar.

Run: To run a program, either:

§ Click Windows Start > Run and enter the file name; or

§ Double-click “My Computer” on the Desktop, locate the file, then double-click it; or.

§ Run Windows Explorer (typically from Windows Start > Programs > Accessories), locate the file, then double-click it.

Scroll Bars are controls used to provide easy navigation through a long list of items or a large amount of information by scrolling either horizontally and/or vertically within an application or control (i.e. the Data Grid ). The Horizontal and Vertical scroll bars operate independently from each other. The user can navigate through the data by dragging the scroll box to any point along the bar with the mouse, by clicking along the bar, or by clicking one of the Arrow keys in the Scroll bar.

Setup: The program (Setup.exe) used to install Labbie.

Title Bar coloured line at the top of windows and dialog boxes: Displays the name of the program or dialog box, and often the names of open files. The Title Bar usually bears three buttons (Minimize, Maximize/Restore, and Exit) at top right.

Toolbar directly under the Menu Bar and in the Preview Window, contains Toolbar Buttons. Point at a Toolbar button and wait a second and a ToolTip will appear explaining what the button does. Click the button to make the action take place.

Users: These are you and your co-workers who use Labbie. Each user is allocated a Security Level (User, Full User, Supervisor, etc.); and a Permission Level (Full, Partial, etc.) depending on their echelon in the company and what they are allowed to do in Labbie. Your Administrator should set up the Users.

Window: A rectangular area of the screen with “bevelled” edges and a coloured Title Bar. Except in the case of Dialog Boxes, restored (normal) Windows can be re-sized by dragging a corner or an edge. Windows are forms and can be repositioned by dragging the title bar.


Main Window

The Main Window

The Main Window has the title "Labbie", with the Menu below it, and the Main Toolbar below that.

At the bottom of the window is the Status Bar.

The Main Window can contain other windows, known as child windows. You can swap between all the open child forms, and can tile, cascade, minimize or maximize them.

You can use the controls in the child’s form Title Bar to minimize or maximize the form, or to Close it.

Clicking Labbie’s Icon in the Child Form’s Title Bar will display a drop down menu that will also enable you to Minimize or Maximize the Child Form, Move or Size it, navigate between open child forms (you can also toggle between forms by pressing Ctrl + F6 in your keyboard); or Close it (pressing Ctrl + F4 will have the same effect).

Clicking Labbie’s Icon in Labbie’s Main Window Title Bar will display the same drop down menu, enabling you to Close Labbie.

You can select Windows > Cascade, Windows > Tile Horizontal or Windows > Tile Vertical to organize the child forms inside Labbie’s Main Window.

You can easily identify the active Child Window by the colour of the Title Bars.

Child Windows are listed at the bottom of the Windows menu. The active child window is clearly indicated in the menu.

To swap to any open child window you can click it, or select it in the Windows menu.

To close the active Child Window use File > Close.

To close all the open Child Windows select Windows > Close All.

<Top of Page

The Status Bar

The right-hand panel of the Status Bar contains your login name and user security level (Full User, Administrator, etc.).

The left-hand panel of the Status Bar will contain useful information based on what you are doing at the time. Look there first for hints if you are stuck.